25.03.20 Release Total Commander 9.51 final
25.03.20 Fixed: Lister, Explorer preview: With some preview handlers, a minimized Lister couldn't be restored any more by clicking on its taskbar icon (32/64)
24.03.20 Fixed: Edit comment (Ctrl+Z) didn't work with option "DOS charset" when the current encoding wasn't "Western" (32/64)
24.03.20 Fixed: Lister: Disallow Explorer preview (mode '8') for font files due to a security hole in Windows font handler. Can be enabled manually after Microsoft releases a patch via wincmd.ini [Configuration] FontPreview=1 or FontPreview=2 for only Windows 10 1607 or newer, where fonts are loaded outside the kernel (32/64)
23.03.20 Fixed: Find files: Ignore last (incorrect) semicolon in "Search in" field when searching in multiple paths, e.g. c:\path1;d:\path2; (32/64)
23.03.20 Fixed: Files - Create Checksum File(s): When creating separate checksum files per file or folder, skip all files in subfolders which have the same extension as the created checksum, e.g. create sha256 checksum -> skip all with extension .sha256 (32/64)
23.03.20 Fixed: Command line, CM_LIST and CM_LISTINTERNALONLY: Delete trailing spaces from name (32/64)
23.03.20 Fixed: Synchronize dirs with ZIP archive: Remove warning about stuck ESC key, which was shown when closing warning about read-only ZIP archive with ESC (32/64)
23.03.20 Fixed: Lister, Explorer preview: Preview could hang when holding down '8', 'n' or 'p' key (32/64)
20.03.20 Fixed: Lister, Explorer preview: Hotkey '8' invoked switch to Explorer preview twice (32/64)
20.03.20 Fixed: Lister, Explorer preview: Open Quick view panel and separate Lister with Explorer preview each, close Lister so Quick view panel gets focus -> hotkeys like ESC no longer worked (32/64)
19.03.20 Fixed: Lister, Explorer preview: Open 2 Lister windows with Explorer preview, close one so the other gets the focus -> hotkeys like ESC no longer worked (32/64)

18.03.20 Release Total Commander 9.51 release candidate 6 (RC6)
18.03.20 Fixed: Configuration - Options - Packer: Some >> buttons had no bottom border on high DPI screens (64)
18.03.20 Fixed: Line breaks in comments were lost when changing an OEM/DOS descript.ion comment via Files - Change attributes (32/64)
18.03.20 Fixed: Internal 7zip unpacker would sometimes request the same password multiple times (32/64)
17.03.20 Fixed: Main program: Prevent privilege escalation by putting fake dll in program directory, via sspicli.dll (64-bit only), winsta.dll, version.dll, winmm.dll, mpr.dll, winspool.drv. Instead, load them via LoadLibrary directly from System32 (32/64)
17.03.20 Fixed: Installer: Prevent privilege escalation (found by vulnary.com, Hacktivity Labs) by putting fake dll in installer directory, via sspicli.dll (64-bit only), winsta.dll (Windows bug, the installer doesn't use these dlls directly) (32/64)
17.03.20 Fixed: Right to left language: Fixed alignment in custom columns (if left aligned) and free/total space shown in drive buttonbar (32/64)
17.03.20 Fixed: Regional settings, "Beta: Use Unicode UTF-8 for worldwide language support": Configuration - Options - Font examples were wrong (32/64)
17.03.20 Fixed: Dark mode: Configuration - Options - Plugins - File system plugins - Configure: Line distance too narrow on higher DPI screens (64)
16.03.20 Fixed: Lister, Explorer preview: Support shortcut keys n, p and 1..8 (32/64)
16.03.20 Fixed: Lister, Explorer preview: Use WH_KEYBOARD_LL hook instead of WH_KEYBOARD, so tckeyhandler.dll/tckeyhandler64.dll is no longer needed (32/64)
16.03.20 Fixed: Lister, Explorer preview: Call SetRect immediately after SetWindow to handle bug in Microsoft Word preview handler sized incorrectly (32/64)
15.03.20 Fixed: Main window hanging when dragging URLs from Firefox to it. Reason: Firefox doesn't support synchronous drop -> implement asynchronous drop (32/64)
13.03.20 Fixed: Find files: Going through the list of stored searches without loading one reset the "Search in subdirectories" value to "all" (32/64)
13.03.20 Fixed: Name of settings files was changed incorrectly if the registry contained just the file name (e.g. just wincmd.ini) (32/64)
12.03.20 Fixed: Installer: The field "Product name" was not set (32/64)

11.03.20 Release Total Commander 9.51 release candidate 5 (RC5)
11.03.20 Fixed: If the current user profile directory contains characters from a different codepage and 8.3 names are disabled, set default ini file dir to c:\totalcmd, with c the same drive as the user directory (32/64)
10.03.20 Fixed: Allow to install/uninstall/repair and use Total Commander even if the current user profile directory contains characters from a different codepage, as long as the disk has 8.3 names enabled (32/64)
09.03.20 Fixed: Intercept Ctrl+V and Shift+Insert to command line and current path edit when it doesn't contain plain text, to avoid crash due to a Windows bug (32/64)
09.03.20 Fixed: Multi-rename tool: button to load results for next step not adapted to dark mode or high DPI (32/64)
09.03.20 Fixed: Dark mode: Right click on vertical button bar: Dialog box to confirm hiding of vertical button bar not dark (32/64)

04.03.20 Release Total Commander 9.51 release candidate 4 (RC4)
04.03.20 Fixed: Find files: Using a list file wouldn't find all files any more when each line of the list contained a file name with wildcards (32/64)
04.03.20 Fixed: Find files: Regular expressions+DOS charset+ignore case didn't work (32/64)
04.03.20 Fixed: Dark mode: Redraw buttons when user presses a key in a dialog box while quick access letters aren't underlined (32/64)
04.03.20 Fixed: New option in regional settings "Beta: Use Unicode UTF-8 for worldwide language support": Read both UTF-8 and ANSI values from wincmd.ini (32/64)
03.03.20 Fixed: Lister, Explorer preview: Use IPreviewHandlerVisuals to set foreground and background colors of some preview handlers like font preview (32/64)
03.03.20 Fixed: Lister, Explorer preview: Improved stability, especially out of process like PDF (32/64)
03.03.20 Fixed: Overlapping components in FTP connection details dialog (64)
02.03.20 Fixed: Right to left language: Make all edit boxes and editable comboboxes left-aligned like in the 32-bit version (64)
02.03.20 Fixed: Right to left language: Show size unit to the left of the size field when it's not using English abbreviations (32/64)
02.03.20 Fixed: Right to left language, dark mode: Comboboxes with no edit part must be mirrored too (64)
02.03.20 Fixed: Right to left language: Some dialogs not mirrored correctly: Compare by content, Folder tabs - Show icons on tabs, Change button bar (upper listbox must not be mirrored!) (32/64)
02.03.20 Fixed: Quick search: Do not scale icon and text with DPI set by user in Configuration - Options - Font (32/64)
02.03.20 Fixed: MessageBox dialogs (e.g. shown on Shift+F8) were not mirrored for right to left languages (32/64)
02.03.20 Fixed: Problems caused by new option in regional settings "Beta: Use Unicode UTF-8 for worldwide language support": No more ANSI/OEM text support in compare by content, search function (32/64)
02.03.20 Fixed: Access violation in background transfer manager and background copy dialog (F5-Enter-Background) if program data was loaded above 4GB limit in memory (64)
02.03.20 Fixed: Mouse wheel no longer worked in path panel -> breadcrumb dropdown list (32)
02.03.20 Fixed: Configure custom columns: Only the dialog size was restored, not the position (64)
02.03.20 Fixed: Configuration - Options - Icons - Vertical: Don't select value of zero (32)
02.03.20 Fixed: Tab order in overwrite confirmation dialog incorrect (32)
01.03.20 Fixed: Ctrl+F FTP connections: Focus rectangle was drawn incorrectly with classic theme (64)
01.03.20 Fixed: Drag file from inside archive to Chrome would sometimes cause an access violation (64)
01.03.20 Fixed: Switch from dark to light mode while FTP connection was active -> combobox for transfer mode was still dark (32/64)
01.03.20 Fixed: Better automatic color conversion for colors by file type from light to dark mode (32/64)
28.02.20 Fixed: Problems caused by new option in regional settings "Beta: Use Unicode UTF-8 for worldwide language support": No more ANSI/OEM text support in ZIP, FTP and Lister (32/64)

26.02.20 Release Total Commander 9.51 release candidate 3 (RC3)
26.02.20 Fixed: Find files, load old search via LOADSEARCH <saved name> which didn't contain a stored directory -> set start directory to current directory (64)
26.02.20 Fixed: Dark mode: Access violation in various dialogs using custom checkbox controls if program data was loaded above 4GB limit in memory (64)
26.02.20 Fixed: Dark mode, classic theme: Find files, plugin fields had wrong font (32)
25.02.20 Fixed: Dark mode, FTP connect: wrong background color of focused item when using classic theme (64)
25.02.20 Fixed: Compare by content: keyboard shortcuts in context menu were not working any more (64)
25.02.20 Added: Lister: Use Uniscribe for all languages, even when not needed, by setting wincmd.ini [Lister] Uniscribe=2 (32/64)
24.02.20 Fixed: ESC and TAB didn't work in Lister with Explorer preview, use tckeyhandler.dll/tckeyhandler64.dll for temporary WH_KEYBOARD hook. A global hook is used only when the preview is loaded in a separate process (32/64)
24.02.20 Fixed: Still access violation in main menu/folder tabs if program data was loaded above 4GB limit in memory (64)
24.02.20 Fixed: Search function, load previous search parameters: No preview for "compressed" and "encrypted" options (32/64)
24.02.20 Fixed: ZIP packer: Attributes "pinned" and "not content indexed" were not preserved when modifying a ZIP archive (32/64)
23.02.20 Fixed: Search filter dialog (e.g. for colors by file type): When loading existing filter, the plugin edit box was either invisible or too small (32/64)
23.02.20 Fixed: Dark mode, Lister: wrong background color (except behind text) when it was different from the default (32/64)
23.02.20 Fixed: cm_commandbrowser: Shift+Double click or Ctrl+Shift+C on a command/Shift+Click OK no longer worked on Windows 9x/ME (32)
23.02.20 Fixed: No focus rectangle was drawn in various listboxes (colors by file type, languages, multi-rename tool, FTP connect) (64)

19.02.20 Release Total Commander 9.51 release candidate 2 (RC2)
19.02.20 Fixed: Renamed release from 9.50a to 9.51, because the beta test is taking longer (32/64)
19.02.20 Fixed: Custom columns view: when not using folder tabs, the column headers had no left border (64)
19.02.20 Fixed: F5 copy, click on "Background": 0% had wrong font as long as it stayed at 0 (32/64)
18.02.20 Fixed: Dark mode: Border around tab control in search or system information had wrong color (highlight instead of line color) (64)
18.02.20 Fixed: Attribute 0x80000 used by OneDrive for files always kept on that computer was lost when renaming (32/64)
18.02.20 Fixed: Quick search in a listbox (e.g. main settings): no more timeout for typed search string (32)
18.02.20 Fixed: Help file would get locked when opened with a page other than the main index (e.g. Keyboard shortcuts) -> use HH_DISPLAY_TOPIC instead of HH_HELP_CONTEXT (only works on Windows Vista and newer) (32/64)
17.02.20 Fixed: Access violation in main menu/folder tabs/uninstaller if program data was loaded above 4GB limit in memory (64)
17.02.20 Fixed: Updated tc7z.dll/tc7z64.dll and tcmdLZMA.dll/TCLZMA64.DLL to 7zip/lzma version 1900. The former is used for unpacking 7z archives, the latter for lzma+xz-packed ZIP files (32/64)
17.02.20 Fixed: Some rare zip archives packed with "shrink" method couldn't be unpacked correctly, resulting in a CRC error (32/64)
17.02.20 Fixed: Search files, Feed to Listbox, switch to Brief mode -> division by zero when scrolling through list (32/64) 
17.02.20 Fixed: Dark mode: Try to not show white background in resizeable dialogs (e.g. multi-rename tool) while they are loading (32/64)
16.02.20 Added: New USB drive overlay icons for 125% and 150% scale (32/64)
16.02.20 Fixed: Scaling of USB drive overlay wrong when using uneven scaling factor like 125% (64)
16.02.20 Fixed: Dark mode, synchronize dirs: font color of inplace rename edit box wrong (32/64)
16.02.20 Fixed: Windows 10, context menu: "Share" menu item didn't work in search results (32/64)
16.02.20 Fixed: Couldn't enter subdirectories in archives storing entire URLs, e.g. https://www.ghisler.com/index.htm (reason: dual slashes) (32/64)
14.02.20 Fixed: New field [S] (File size) only worked in multi-rename tool, not in F7 new folder and Shift+F4 new file (32/64)

12.02.20 Release Total Commander 9.50a release candidate 1 (RC1)
12.02.20 Fixed: FTP server: Support longer Unicode names, especially for Asian languages with multiple bytes per character (32/64)
12.02.20 Fixed: Access violation accessing drives mounted via RaiDrive pointing to a WebDAV server, the drive reported an impossibly large free/total space (32)
12.02.20 Added: Dark mode: Open help file named totalcmddark.chm if it exists in the same location as totalcmd.chm (32/64)
11.02.20 Fixed: Changing dark mode colors via main settings sometimes lost border around main window file lists (32/64)
11.02.20 Fixed: Search in 7z archives with internal 7zip unpacker was much slower than extracting the same archive (32/64)
11.02.20 Fixed: Changed default of HistoryCut option from 0 to 1 until a better solution is found (32/64)
10.02.20 Fixed: "Mark newer, hide same files": Access violation when using this function while a quick search filter was active (32/64)
10.02.20 Added: "Visit Totalcmd's Website" now directly goes to the German/French localized Web pages (32/64)
10.02.20 Fixed: Installer couldn't write to "c:\Program files" or other privileged locations for users with limited accounts, even when requesting admin rights (32/64)
10.02.20 Fixed: Directory history wasn't stored correctly when HistoryLenStored was set (32/64)
09.02.20 Fixed: Dark mode, auto-complete: Make scrollbar dark on Windows 10 1809 and newer (32/64)
09.02.20 Fixed: Dark mode: Auto-complete was flickering heavily on Windows XP (32)
09.02.20 Fixed: Synchronize dirs: Ctrl+PageUp/PageDown to jump to next/previous directory didn't set focus on header (32/64)
09.02.20 Fixed: Create CRC checksums: Do not add UTF-8 byte order marker to beginning of checksum file when using "Unix format" (32/64)
07.02.20 Fixed: Lister: Explorer method (8) didn't work with Adobe Acrobat Reader, fixed for 64-bit only so far (64)
07.02.20 Fixed: Main configuration dialog no longer had an icon in the title bar after changing language to English (internal) and clicking on Apply (32)
07.02.20 Fixed: Ctrl+Q on lnk file: Only follow the link if it points to a file, not to a directory (32/64)
07.02.20 Fixed: Couldn't go to subfolders in archives where the file name was stored with full path and drive letter, e.g. c:\path\file.txt (32/64)

05.02.20 Release Total Commander 9.50 final (32/64)
05.02.20 Fixed: Cancelling master password dialog kept keyboard hook active by mistake (32)
05.02.20 Fixed: Compare by content, vertical arrangement with lists of different height, only showing differences: Error displaying empty lines below the end of the files (32/64)
04.02.20 Fixed: Hide button "Dark<->Normal" in Configuration - Options - Color - "Define colors by file type" when the dark mode options are disabled with ForceDarkModeOptions=0, or unsupported (32/64)
04.02.20 Fixed: Overlapping groups in Configuration - Options - Operation (32)
03.02.20 Fixed: Do not show dark main menu in Windows 95, it doesn't work properly due to missing functions (32)
03.02.20 Fixed: Dark mode, classic theme: No checkbox drawn in background transfer manager (32/64)
02.02.20 Fixed: Multi-rename tool, button "[=?] Plugin": Quick search for multiple characters no longer worked (same also in button bar dialog - magnifying glass button) (32)
02.02.20 Fixed: Dark mode, background transfer manager: Aborting operation by clicking on close button could freeze the main program when minimized to system tray (32/64)
31.01.20 Fixed: If there is a popup window (e.g. main settings) while refreshing a remote or plugin directory, show the progress dialog with this popup as the parent (32/64)

29.01.20 Release Total Commander 9.50 release candidate 2 (RC2)
28.01.20 Fixed: uc2: when listing content of archives, a file u$~reslt.ok was created in the current directory (not necessarily the one of the archive) (32)
28.01.20 Fixed: If the display has 256 or less colors, set default dark mode background color to black (0,0,0) (32/64)
28.01.20 Fixed: Windows 7: Background transfer got distorted when resized from the top window border (32/64)
28.01.20 Fixed: Dark mode, classic theme: Pause copying with ENTER on Pause button showed normal (not dark) pause/start button (32/64)
27.01.20 Fixed: Dark mode crashing on Windows 9x/ME (problem with main menu subclassing), some controls not showing text (32)
27.01.20 Fixed: Create CRC checksums: Some radio buttons were overlapping with the surrounding frame with classic theme (64)
27.01.20 Fixed: Compare by content: Couldn't scroll with mouse wheel when the cursor was not in one of the two file lists (64)
27.01.20 Fixed: Synchronize dirs: Couldn't remove unwanted entries from filter combobox whith Shift+Delete (32/64)
27.01.20 Fixed: Unpack specific files (Alt+F9): Couldn't remove unwanted entries from "Files to unpack" with Shift+Delete (32/64)
27.01.20 Fixed: Archive open, right click on [auto] -> choosing codepage from list didn't work (64)
27.01.20 Fixed: F5 copy: Do not move copy dialog up when clicking on Options button (64)
27.01.20 Fixed: Files - Change attributes: Changed button "Less attributes to "Fewer attributes" for consistency with 64-bit version (32)
27.01.20 Fixed: Dark mode: Reduced flickering of main window border by using CBT hook and reacting to WM_PRINT message (32/64)
26.01.20 Fixed: Internal 7zip unpacker: extract directory timestamps if CopyDirTimeStamp is set (32/64)
26.01.20 Fixed: Also tell plugins in quick view panel (Ctrl+Q) when switching between dark and normal mode (standalone quick view is only updated when activated) (32/64)
26.01.20 Fixed: Synchronize dirs, standalone (Totalcmd.exe /S=S), load stored options with FTP on one side while other FTP server open -> disconnect caused access violation (32/64)
26.01.20 Fixed: Synchronize dirs, load stored options with FTP on one side -> time options were not available (32/64)
26.01.20 Fixed: FTP connect to stored connection: ignore any trailing slashes or backslashes, e.g. when the user entered ftp.servername.com/ (32/64)
26.01.20 Fixed: Configuration - Options - Custom columns: Columns were not scaled on higher DPI screens (64)
26.01.20 Fixed: Dark mode: Scrollbar in Configuration - Options - Custom columns wasn't dark on Windows 10 1809 and newer (32)
26.01.20 Fixed: Show all dark mode menu items as disabled instead of hiding them when ForceDarkModeOptions=0 (which is the default on Windows versions older than XP) (32/64)
26.01.20 Fixed: Dark mode menu item wasn't documented in the help (32/64)

22.01.20 Release Total Commander 9.50 release candidate 1 (RC1)
22.01.20 Fixed: Mouse cursor didn't jump to default button when this option was enabled in control panel - mouse (32/64)
22.01.20 Fixed: Lister: When using "Define view method by file type" to assign *.txt to text mode (1), switching to next/previous file also showed image files as text (32/64)
22.01.20 Fixed: Dark mode: Hovering with mouse over first main menu item (default: "Files") didn't highlight it (32)
22.01.20 Fixed: Find files: Allow to start search in a directory where SetCurrentDirectory fails (32/64)
22.01.20 Fixed: Pack files (Alt+F5) resulted in a CRC error when the entered archive name ended with a space (32/64)
22.01.20 Fixed: Tree button was not shown in FTP download dialog (32/64)
22.01.20 Fixed: Tree button was shown in FTP upload dialog for some servers (32/64)
22.01.20 Added: Tell lister plugins with ListSendCommand also when switching between dark and normal mode (32/64)
21.01.20 Fixed: Dark mode: Draw tree triangles internally on Windows versions older than Windows 10 1809 (32/64)
21.01.20 Fixed: Uploading to file system plugin (e.g. cloud) in the background: refresh after upload was stealing focus from active popup window (32/64)
20.01.20 Added: Menu item "Dark<->Normal" to "Configuration" menu, hidden if the dark mode options are disabled with ForceDarkModeOptions=0, or unsupported (32/64)
20.01.20 Fixed: Crash when downloading files >16kBytes from certain proftpd versions, which initially sent more data than the schannel sample code could handle (32/64)
20.01.20 Fixed: External search with Alt+Shift+F7: "Only search in selected files/directories" only worked for first search (32/64)
20.01.20 Fixed: Couldn't switch to plugins with '4' key when viewing RTF file with Alt+Shift+F3 (32/64)
19.01.20 Fixed: Access violation when moving Alt+F10 tree dialog between screens with different DPI, or opening it on secondary screen with different DPI (32/64)
19.01.20 Fixed: Switch /A (don't open archives) together with /O (open in running program) only worked with one archive parameter (32/64)
19.01.20 Fixed: Synchronize dirs: "By content" option still didn't work with internal 7zip unpacker with the archive in the right panel. Also detect solid 7zip archives (32/64)
19.01.20 Fixed: Dark mode: Don't turn off tree triangles when setting ForceDarkModeOptions=2 (32/64)
17.01.20 Fixed: Windows 10 1809 and newer: Change context menus drawn by Windows (e.g. file properties) between light and dark mode: call FlushMenuThemes(), function without parameters (index 136) from UxTheme.dll (note: on Windows 10 1809, dark context menus only work when apps are set to dark mode) (32/64)
15.01.20 Added: Tell lister plugins with parameter lcp_darkmodenative=256 when using native dark mode (in addition to lcp_darkmode=128) (32/64)

15.01.20 Release Total Commander 9.50 beta 13
15.01.20 Fixed: Use simulated dark mode also on Windows 10 1809 and later if scrollbars with theme "DarkMode_Explorer" aren't dark, otherwise we will sometimes get white text on white context menus (32)
15.01.20 Fixed: Icons defined via internal associations were lost when changing any color settings or switching between dark and normal mode (32/64)
15.01.20 Fixed: Dark mode: Added a second, shorter timer for overdrawing listbox scrollbar (32/64)
15.01.20 Fixed: Ctrl+Alt+Q in quick search dialog closed it (32/64)
15.01.20 Fixed: Synchronize dirs: "By content" option didn't work with internal 7zip unpacker, only with 7zip plugins (32/64)
15.01.20 Fixed: Dark mode: Disable themed cursor by default on Windows XP, because it would show light gray text on white background (32/64)
15.01.20 Fixed: Dark mode: Listbox scrollbars couldn't be used on 32-bit Windows XP (32)
14.01.20 Fixed: High DPI screen with 200% scale: Some menus had wrong font size or line spacing, e.g. list of redefined hotkeys in Configuration - Options - Misc, or Change>> options in button bar dialog (64)
13.01.20 Fixed: UnRAR: Ignore codepage override options if the archive contained Unicode names (32/64)
13.01.20 Fixed: Drag&Drop to breadcrumb bar, move cursor outside of dropdown panel, release mouse button -> forbidden cursor remained (64)
13.01.20 Fixed: Dark mode: HTTP download in background (via Ctrl+N, paste URL) had some non-dark elements (32/64)
13.01.20 Fixed: Dark mode, drive combobox disabled, non-flat drive buttons: Border around label and free/total space on drive wasn't drawn until the window was resized (64)
12.01.20 Fixed: With overlay icons enabled, some .lnk files in archives didn't have the link icon (32/64)
12.01.20 Fixed: Option TreeTriangles in section [Colors] was ignored after recent fix (Show [+] icons to expand tree nodes). Note: TreeTriangles in [ColorsDark] is only used in Windows 10 1809 and newer (32/64)
12.01.20 Added: Lister: RTF files: Allow to also switch to internal RTF viewer by pressing '4' in a lister plugin (32/64)
12.01.20 Fixed: Folders in archive subdirs sometimes had refresh icon instead of normal folder icon (32/64)
12.01.20 Fixed: Synchronize dirs with archives (e.g. 7zip): Compare by content no longer worked in at least partially uppercase subdirectories (32/64)
10.01.20 Fixed: Dark mode: some checkboxes in "Create checksum file(s)" had black text on black background when using classic theme (32/64)

10.01.20 Release Total Commander 9.50 beta 12a
10.01.20 Fixed: Separate tree: Do not focus line when just clicking on expand or collapse icon (64)
10.01.20 Fixed: Dark mode, tree view: Show [+] icons to expand tree nodes instead of triangles ">", also after switching from normal to dark mode (32/64)
09.01.20 Added: Tell lister plugins with parameter lcp_darkmode=128 when using dark mode, changed plugin interface version to 2.12 (32/64)
09.01.20 Fixed: Files in archive subdirectories were not shown in some cases where files in the archive root were stored after files in subdirectories (32/64)

08.01.20 Release Total Commander 9.50 beta 12
08.01.20 Fixed: Dark mode: Ctrl+C in message box now handled in "key down" event instead of "key up" event (32/64)
08.01.20 Fixed: Dark mode: Combobox with no item selected (e.g. drive combobox after "Feed to listbox") not dark (32/64)
08.01.20 Fixed: Main window closed when aborting FTP connection to not responding server by pressing ESC twice (64)
08.01.20 Added: Further improved speed of switching between directories within a large archive (32/64)
08.01.20 Fixed: Going back to a different directory within an archive via history was re-reading the entire archive (32/64)
07.01.20 Added: wincmd.ini [Configuration] ForceDarkModeOptions=2: Same as 3, but use dark title bar (32/64)
07.01.20 Added: wincmd.ini [Configuration] ForceDarkModeOptions=3 disables Windows 10-specific dark mode functions and uses compatibility mode from older versions (32/64)
07.01.20 Fixed: Dark mode, Windows 10 1809 or newer: Turn on separate tree, switch from light to dark mode -> scrollbars were not changed to dark (32/64)
07.01.20 Fixed: Tooltips for very long file names (option "Win32 style tips disabled") had wrong font size on high DPI screens (64)
07.01.20 Fixed: Dark mode: When using option "Only when enabled for Windows 10 apps" and changing the color with cm_SwitchDarkMode, any settings change in Control Panel like in regional settings switched back to the default app color (32/64)
07.01.20 Fixed: Parameters /O /P=R didn't put focus on right panel if the already running copy of Total Commander was minimized (64)
06.01.20 Fixed: Do not show an exception "WMSize loop detected" when resizing a control fails, e.g. when moving the main window between two screens with different DPI (64)
06.01.20 Fixed: Unlock or permanently lock tab which was set to "locked with directory changes allowed" in a different directory -> only change tab header to that new directory name if the tab didn't have a custom title (32/64)
05.01.20 Fixed: Configuration dialog: Quick search in left list of categories no longer worked as in older versions (32)
05.01.20 Fixed: Dark mode: Separate tree was using the wrong background color (main window background instead of file list background (32/64)
03.01.20 Fixed: Menu bar color wrong (missing theme background) on Windows XP after switching from dark mode to normal mode (32/64)
03.01.20 Fixed: Font leak in Configuration - Options - Color - Others, in the title bar preview (64)
31.12.19 Added: Faster loading of large archives, and faster switching between directories within that archive (32/64)

30.12.19 Release Total Commander 9.50 beta 11
30.12.19 Fixed: Dark mode, classic theme: Moving mouse cursor away from combobox sometimes didn't change the border from focused to normal (32/64)
30.12.19 Fixed: ESC in F5 copy dialog caused an unwanted beep from Windows 10 1909 (64)
30.12.19 Fixed: Internal associations: when using **internal_sha as "open" command, also allow the extension in menu Files - Verify checksums (32/64)
29.12.19 Fixed: Unpacking RAR with Alt+F9 didn't unpack directory attributes like "hidden", which worked when unpacking with F5 from open archive (32/64)
29.12.19 Fixed: Unlock or permanently lock tab which was set to "locked with directory changes allowed" in a different directory -> change tab header to that new directory name (32/64)
24.12.19 Fixed: Some buttons like F7/F8 buttons in copy dialog (F5) were still dark after starting with dark mode, using F5 once, and then switching to normal mode (Windows 10 1903) (32/64)
24.12.19 Fixed: Find files, F2 search in found files/folders: 'Everything' option must be ignored, it could lead to duplicate search results when nested directories were in the previous results (32/64)
23.12.19 Fixed: GDI leak (font) when opening and closing any dialog with comboboxes to which WM_SETFONT was sent (bug in Windows 10 1909 but not 1803) -> explicitly delete the edit box part with DestroyWindow (64)
22.12.19 Fixed: Configuration - Options - Color, Windows 7, default theme: Preview of synchronize dirs selection text color for equal items was wrong, should be white on blue (32/64)
22.12.19 Fixed: Configuration - Options - Color: Wrong color of "default" item when the list was open but the "default" item wasn't focused (32/64)
22.12.19 Fixed: Configuration - Options - Edit/View: Don't draw vertical separator as line, instead draw two overlapping boxes side by side to fix overlapping lines (32/64)
20.12.19 Fixed: Configuration - Options - View Mode: "Additional sort orders" picker added wrong numbers 3, 4 etc. for custom columns instead of 101, 102 etc. (32/64)
20.12.19 Fixed: Compare by content: results still couldn't be scrolled with the mouse wheel when using the option "Scroll inactive windows when I hover them" was enabled while Total Commander's main window was in the foreground (32)
20.12.19 Fixed: cm_RereadSource with parameter didn't work combined with other commands, e.g. cm_FocusTrg,cm_RereadSource 2  in internal command (32/64)
20.12.19 Added: Internal associations: **internal_sha uses internal "Verify checksums" function for user-defined types, e.g. for *.sha256sum (context menu: only first selected) (32/64)

18.12.19 Release Total Commander 9.50 beta 10
18.12.19 Fixed: Compare by content: results couldn't be scrolled with the mouse wheel when using the option "Scroll inactive windows when I hover them" was enabled, but another window was in the foreground (32/64)
18.12.19 Fixed: Dark mode: Apply new dark/normal mode also to currently open background transfer manager and background copy dialogs (32/64)
17.12.19 Fixed: Dark mode: When program was started with dark mode and later switched to light mode, don't show dark context menus on Windows 10 1809 and newer in various places, mainly the file context menu (32/64)
17.12.19 Fixed: Dark mode: Lister had dark submenus on windows 10 1809 and newer when TC was started with dark mode and later switched to normal mode (32)
17.12.19 Fixed: Show fake OneDrive reparse points as <DIR> instead of <LNK>, by checking with FindFirstFile whether the value of dwReserved0 equals one of the cloud values 0x9000101A..0x9000F01A (32/64)
17.12.19 Fixed: Dark mode: Removed duplicate lines to the left/right of the current path when using folder tabs (32/64)
16.12.19 Fixed: Help: Added descriptions for various fields in [layout] section (32/64)
16.12.19 Fixed: Sorting by additional custom columns didn't work (click on first column, ctrl+click on second) (32/64)
16.12.19 Fixed: Define colors by file type: Adding a new color didn't move down the previously defined colors for dark mode (32/64)
16.12.19 Fixed: GDI leak (region) in Configuration - Options - Color when drawing color comboboxes (32/64)
16.12.19 Fixed: Configuration - Options - Color: Tab order was wrong (64)
16.12.19 Fixed: Turning off dark mode kept dark background in main menu when using internal English menu without icons (32/64)
16.12.19 Fixed: Configuration - Options - Color: Use COLOR_HIGHLIGHTTEXT for "default" text in comboboxes with focus (32/64)
16.12.19 Fixed: Dark mode: focus rectangles on buttons were still dashed (not dotted) in background transfer manager and copy in background (32/64)
16.12.19 Fixed: FTP connection toolbar had dark scrollbar in normal mode when connecting in normal mode (but not when switching from dark to normal mode after connecting) (32/64)
16.12.19 Fixed: Configuration - Options - Color: Explicitly refresh color combobox when choosing item from "Others" combobox also in not dark mode (64)
13.12.19 Fixed: User choice of unpacker (e.g. via context menu from internal association) was ignored in plugin auto-installer, using the default unpacker for that extension (32/64)
13.12.19 Fixed: "Edit comment" dialog had dark scrollbars in normal mode on Windows 10 1809 and newer (32)
13.12.19 Added: cm_rereadsource 2 re-applies automatic view mode change to current directory (cm_rereadsource 3 also forces a refresh if nothing has changed) (32/64)
13.12.19 Fixed: Opening *.url files pointing to https urls no longer worked (32/64)
13.12.19 Fixed: Configuration - Options - Color - Preview: Synchronize dirs preview wrong (e.g. black on dark background) for selected equal files (32/64)
13.12.19 Fixed: Synchronize dirs: Equal sign color wrong (black instead of white) when using dark custom selection background color (32/64)
12.12.19 Fixed: Updated unrar.dll and unrar64.dll to latest version 5.80.0 (5.80.3 was a pre-release version) (32/64)

11.12.19 Release Total Commander 9.50 beta 9
11.12.19 Fixed: Dark mode: focus rectangles on buttons were not dotted but dashed (bug in function CreatePen) (32/64)
11.12.19 Fixed: Dark mode: Configuration - Options - Ignore list still had white scrollbars on Windows 10 1809 and newer (32/64)
11.12.19 Fixed: Find files, F2 search in found files/folders: When using "current dir only", found folders were also counted as files (32/64)
11.12.19 Fixed: NOCLOSE.EXE: Do not quote command after /K when using command.com (32)
11.12.19 Fixed: Find files - Load/Save: The list was no longer sorted alphabetically, and therefore had reduced quick search (32)
10.12.19 Fixed: Drive buttonbar: Drive icons could be invisible when they had to be scaled for higher DPI (32)
10.12.19 Fixed: In place rename (Shift+F6) was closed by mistake when pressing cursor left at leftmost position, and quick view was open (64)
10.12.19 Fixed: Compare by content: Going to next/previous difference may skip results when only showing differences with 0 extra lines (32/64)
09.12.19 Fixed: FTP connect: If AUTH TLS/SSL fails, retry with it enabled if the user confirms to retry (32/64)
09.12.19 Fixed: Configuration - Options - View Mode: Combobox "View mode" showed modes from file system plugins while in a plugin, although they cannot be set this way (32/64)
09.12.19 Fixed: FTP upload in background would send file to wrong directory if "Send commands" contained a command to change directory (32/64)
09.12.19 Added: Auto-convert sharepoint URLs like https://intranet/projects/123/ABCD/Documents/... to \\intranet\DavWWWRoot\projects\123\ABCD\Documents\... in button bar, command line etc. (32/64)
08.12.19 Fixed: Configuration - Options - Color: Preview for synchronize dirs used wrong background color if the file list background wasn't the default (32/64)
08.12.19 Fixed: Dark mode: FTP log panel didn't have dark scrollbars on Windows 10 1809 and newer (32/64)
08.12.19 Fixed: Made buttons for USB drives without drive letter 2 pixels wider (32/64)
08.12.19 Fixed: Configuration - Options - Color - Preview: Reduce font size for file lists and title bars if the list/main window font was set very large (32/64)
08.12.19 Added: cm_rereadsource: Parameter 1 forces refresh even if nothing has changed in that directory, e.g. to re-load icons and overlays (32/64)
08.12.19 Fixed: USB drives without drive letters: button could get focused when clicking on it twice (32/64)
06.12.19 Fixed: Find files - Duplicates - Feed to listbox - Select files: Second tab had different upper and lower part colors (64)
06.12.19 Fixed: Breadcrumb bar button to open dropdown list sometimes had wrong colors, e.g. after switching between normal and dark mode (32/64)

04.12.19 Release Total Commander 9.50 beta 8
04.12.19 Fixed: Dark mode: Use dark scrollbars in background transfer manager on Windows 10 1809 and newer (32/64)
04.12.19 Fixed: USB drives without drive letters were not updated on newer Windows 10 versions due to a bug in SHChangeNotifyRegister (32/64)
04.12.19 Fixed: Dark mode: When starting with a virtual folder in one of the panels, the drive combobox was white (32/64)
04.12.19 Fixed: CM_LISTINTERNALONLY and CM_LIST didn't accept path in double quotes (32/64)
04.12.19 Fixed: Dark mode: Dark scrollbars were lost on Windows 10 1809 and newer when switching between brief, full, and thumbnails view, or changing DPI, which recreated the listbox (32/64)
03.12.19 Fixed: Right click menu (and middle click open) on USB drive without drive letter in drive buttonbar didn't work (32/64)
03.12.19 Fixed: FTP auto-reconnect on connection loss didn't send TYPE I before requesting the remote file size (32/64)
03.12.19 Fixed: Files - Internal associations - Edit - ">>" had the same title and text (32/64)
03.12.19 Fixed: Dark mode: Files - Internal associations - "Edit" had some remaining white dialog elements (32/64)
03.12.19 Fixed: Alt+Tab while Total Commander is in system tray -> show instance number in task switcher (32/64)
02.12.19 Fixed: Dark mode: Do not show any scrollbars for "Ignore list" edit box on older Windows versions (32/64)
02.12.19 Added: Dark mode: Add bottom line to listbox, and top line when not showing current path (32/64)
02.12.19 Fixed: Dark mode: Buttons had bright background when not using flat buttons, and the icon size was unusual, e.g. 19x19 pixels (32/64)
02.12.19 Fixed: Auto-installing plugins via pluginst.inf didn't work when archive was opened via internal association (32/64)
02.12.19 Fixed: Configuration - Options - Color: Show preview also for synchronize dirs (32/64)
01.12.19 Fixed: Configuration - Options - Color: Made items in the various color previews a bit higher (32/64)
01.12.19 Fixed: The buttonbar icon cache was always reloaded when using the older style icons from wcmicons.dll, and a line like IconDll_DEFAULT.BAR=TCNewLib1 was in [buttonbar] section from previous TC versions (32/64)
01.12.19 Fixed: Option "F2 search in found files/folders" would find a file twice if both the file and one of its parent folders were in the previous search results (32/64)
29.11.19 Fixed: Dark mode: "Edit comment" dialog called from "Change attributes" always had empty comment field on Windows 10 1903 (32)
29.11.19 Fixed: Drive button bar: USB drives with no drive letter had no icon with Explorer icons disabled (32/64)
29.11.19 Fixed: Drive button bar: Make buttons larger when the text doesn't fit, e.g. for USB drives or tsclient drives with some fonts (32/64)
29.11.19 Fixed: F5 Copy: Remove '&' underline symbol from title in F5 copy: dialog for saving default overwrite options (32/64)
29.11.19 Fixed: Support parameter 0 also for cm_LeftViewModeList and cm_RightViewModeList (32/64)
29.11.19 Added: Command line parameter support for command CM_LISTINTERNALONLY in button bar and command line (32/64)

27.11.19 Release Total Commander 9.50 beta 7
27.11.19 Fixed: With RestrictInterface=6144, show translated "Plugins are disabled" in groupbox with not title (32/64)
27.11.19 Fixed: Copy or pack large files, click on "Background" -> background progress dialog could be outside of visible screen when using multiple monitors (32/64)
27.11.19 Fixed: Dark mode: "Edit comment" dialog called from "Change attributes" had bright title bar and scrollbar on Windows 10 1903 (32)
27.11.19 Fixed: Dark mode: icons in message box were not scaled on high DPI screens (32/64)
26.11.19 Added: Always show borders around file lists in dark mode. Can be disabled via wincmd.ini [Layout] DarkListBorders=0 (not used for classic theme) (32/64)
26.11.19 Added: wincmd.ini [Configuration] DriveBarHide=; hides USB devices without drive letter from drive button bar (32/64)
26.11.19 Added: Show up to 3 connected USB devices without drive letter (e.g. phones, tablets) also in drive buttonbar (32/64)
25.11.19 Added: New string for title in Configuration - Options - Color - Define colors by file type - Add... (32/64)
25.11.19 Fixed: Ctrl+C in dark mode message box didn't beep (32/64)
25.11.19 Added: Support substrings from environment variables, e.g. %variable:~2,3% skips 2 characters and then keeps 3. Negative variables are counted from the back of the string (32/64)
25.11.19 Fixed: cm_SrcViewModeList with parameter 0 didn't switch to default view mode (32/64)
25.11.19 Fixed: cm_SrcViewModeList with parameter did not work on command line (32/64)
24.11.19 Fixed: Configuration - Options - Plugins - Lister plugins: List was sorted by mistake since beta 6 (32)
24.11.19 Fixed: Alt+F7 search: Put brackets [] around directories even if both brackets and appending a backslash were disabled in settings (32/64)
24.11.19 Fixed: F7 new folder: Adding placeholders like [N] always put them at the end when the "<" character was already there (32/64)
24.11.19 Added: Load "!" overlay icon from EXE if missing in external icon library, e.g. flat_FileIcons.dll (32/64)
24.11.19 Fixed: WCMICONS.DLL: Updated so all icons are fully visible in normal and dark mode (32/64)
24.11.19 Fixed: FTP resume upload: Use command REST <size> if the server responds with an error to APPE command, and REST STREAM is returned to FEAT command (32/64)
24.11.19 Fixed: F3 on icon file with extension .bmp caused program to disappear (due to exception EInvalidGraphic, tried to delete object twice) (64)
22.11.19 Fixed: Configuration-Options-Color: The preview didn't have an inner border (64)
22.11.19 Fixed: Configuration-Options-Color: Improved preview of active and inactive title bars (higher, draw frame) (32/64)
22.11.19 Fixed: Configuration-Options-Color: Use file list font for color preview (32/64)
22.11.19 Fixed: F5 upload from archive to FTP: Labels of the options "Preserve file dates" and "Convert file names to lowercase" were reversed (32/64)
22.11.19 Fixed: Some texts in "Select duplicate files" dialog were clipped with some fonts (64)
22.11.19 Fixed: Changing scrolling margins in "Extra lines below cursor" to a new value and back to the previous one didn't work (32/64)
22.11.19 Fixed: F5 Copy: Use different title and Yes-No-Cancel buttons in F5 copy dialog for saving default overwrite options (32/64)
22.11.19 Fixed: Use larger borders in F5 copy dialog (32/64)
22.11.19 Fixed: Text "Example:" no longer shown in Configuration-Options-Color (64)
22.11.19 Fixed: ScrollingBottomMargin was ignored when selecting files with Insert key (64)
22.11.19 Fixed: Find files: When searching in search results failed due to bad search parameters (e.g. ed: prefix), the same search without this option also failed, even after clicking "New search" (32/64)

20.11.19 Release Total Commander 9.50 beta 6
20.11.19 Fixed: Delete file(s) from archive: Preserve selection in opposite window (32/64)
20.11.19 Fixed: (Experimental) Configuration-Options-Font: On system locales other than Western, e.g. Cyrillic, when choosing Western encoding for a font, it wasn't saved (32/64)
20.11.19 Fixed: Dark mode: Ctrl+C in message box added extra lines by mistake (32/64)
20.11.19 Fixed: Dark mode: Move dialog box with edit box outside the screen and back: The edit box became white (32/64)
20.11.19 Fixed: On Windows 10 build 18875 and newer, a new function SetWindowCompositionAttribute needs to be called to set a dark title bar (32/64)
20.11.19 Fixed: Directory hotlist in F5 copy dialog: Relative paths were ignored (32/64)
20.11.19 Fixed: FTP download file (F5): The confirmation dialog had wrong title "Upload" (32/64)
19.11.19 Fixed: Set DPI scale factor to 72 -> dialog boxes were not scaled, although the fonts were scaled (32)
19.11.19 Added: Configuration - Options - Color: Show preview (example output) also for Lister, Compare by contents, title bars, hint windows, and dark mode (32/64)
19.11.19 Added: Configuration - Options - Color: Added translations for color preview (32/64)
19.11.19 Added: Configure hint border color (32/64)
18.11.19 Added: Use dark mode for scroll bars in "Compare by content" on Windows 10 1809 or newer (not on older versions) (32/64)
18.11.19 Fixed: Dark mode, verify checksums dialog: Listbox scrollbar not dark themed on Windows 10 1809 or newer when line height changed from default (32)
18.11.19 Fixed: Dark mode, classic theme: Checkboxes in various dialogs (edit box plus 1-3 checkboxes), e.g. in Ctrl+D, Add current directory had black text (32)
18.11.19 Fixed: Dark mode, classic theme: Checkboxes in Shift+F5 dialog had black text (32/64)
18.11.19 Fixed: Multi-rename tool, F7 new folder: New placeholders like [C] were not inserted at the cursor position on dual byte language windows (e.g. Chinese) (32/64)
18.11.19 Added: Default dark mode background color is now a bit brighter (RGB=32,32,32), the same as in the Explorer (32/64)
18.11.19 Added: Hint foreground and background color are now configurable, both in normal and in dark mode (32/64)
17.11.19 Fixed: ScrollingBottomMargin didn't always work correctly in the right panel with brief view (32/64)
15.11.19 Fixed: With VistaDelete=-1 and "F8/Del deletes to recycle bin" disabled and no Windows delete confirmation dialog, Shift+Del on a file didn't delete to recycle bin (32/64)
15.11.19 Fixed: Configuration - Options - Color: Color comboboxes were not high enough on high DPI screens on Windows 10 1809 and newer (64)
15.11.19 Fixed: ZIP file encoding shown in tab header wasn't translated immediately when changing language (32/64)
15.11.19 Fixed: Dark mode: The scrollbar in print file list dialog still had light scrollbars on Windows 10 1809 and newer (32/64)
15.11.19 Fixed: Dark mode: The cm_CommandBrowser window still had light scrollbars on windows 10 1809 and newer (32)
15.11.19 Fixed: Nag dialog: The two "About" buttons were not bold (64)
15.11.19 Fixed: Dark mode: Starting with fresh wincmd.ini set to dark mode and empty startup directories -> line with updir item wasn't drawn (32/64)
15.11.19 Fixed: Find files in separate process: No longer add start path in the "Search in:" field when the field was empty and searching with ed: prefix (32/64)
15.11.19 Fixed: Dark mode: The system menu (Alt+Space) had white background with dark borders (32/64)
15.11.19 Fixed: The nag dialog (1-2-3) always requested the same number 1 (64)
15.11.19 Fixed: Dark mode: Some more listboxes were not dark, in: Files->Associate->Edit type->Change icon, Context menu->X64->Configure, FTP connection->Define host (Alt+Shift+Enter), Search->Drives (32/64)

13.11.19 Release Total Commander 9.50 beta 5
13.11.19 Fixed: Dark mode, thumbnail view: Text thumbnails were not drawn with darker background (64)
13.11.19 Added: Dark mode: Show border around file panels when not using the option "Flat user interface" (32/64)
13.11.19 Added: New option wincmd.ini [Configuration] ScrollingMarginFlags=3 determines whether: 1: vertical lists (e.g. Full view), or 2: horizontal lists (Brief view) should be scrolled automatically, or both (32/64)
13.11.19 Fixed: Configuration - Options - Color: Explicitly refresh color combobox when choosing item from "Others" combobox (64)
13.11.19 Added: FTP, send commands: Allow to send semicolons within a command by duplicating it, e.g. CWD /test/a;;b;;c;PWD sends commands CWD /test/a;b;c and PWD  (32/64)
13.11.19 Added: Dark mode, Windows 10 1809 or newer: Add dark mode for scrollbars in the listbox part of comboboxes (e.g. Configuration - Button bar) (32/64)
13.11.19 Fixed: Dark mode, Windows 10 1809 or newer: Listboxes with horizontal scrolling (e.g. button bar change dialog, icon library selection) had light scrollbars (32)
13.11.19 Fixed: Shift+F5 in FTP connection (server to server transfer) dialog didn't work properly, e.g. copy to other server no longer worked (32/64)
13.11.19 Added: Upload from archive directly to FTP: Option to preserve timestamps if the server supports it (32/64)
12.11.19 Fixed: Dark mode: In "Unpack Specific Files" (Alt+F9), the edit box sometimes became white when one of the comboboxes opened upwards (dialog at the bottom) (32/64)
12.11.19 Added: Dark mode: Always show border around current path, also when using tabs (32/64)
12.11.19 Fixed: Dialog "System information" was scaled twice on high DPI screens, so some fields were overlapping (32/64)
12.11.19 Fixed: Ctrl+Z edit comment: Do not show vertical scrollbar in dark mode (32/64)
12.11.19 Fixed: Configure custom columns: Placement of up/down button was wrong if there were many columns and the list was scrolled down (64)
12.11.19 Fixed: Dark mode: Tooltips in main window and dialogs like multi-rename were not dark (32/64)
11.11.19 Fixed: F5 copy, click on "Options", then on disk icon: added new translation for confirmation dialog (32/64)
11.11.19 Fixed: FTP toolbar: Background color of text inside the bar wrong after switching from dark to normal mode (32/64)
11.11.19 Fixed: Lister: In mode 8 (Explorer preview mode), make text "Explorer" translatable (32/64)
11.11.19 Fixed: Dark mode, verify checksums dialog: scrollbar to jump to next/previous error not dark themed (64)
11.11.19 Fixed: Dark mode, main menu: Menu items not drawn correctly when menu was higher than the screen (32/64)
11.11.19 Fixed: Dark mode: Resizing the cm_CommandBrowser window would make scrollbars and edit box white -> redraw with a timer (32/64)
10.11.19 Fixed: Dark mode, apply new language in main settings dialog: Some buttons were not shown dark (32/64)
10.11.19 Fixed: Dark mode, classic theme, flat user interface disabled: Draw frames around free/total disk space and status line in dark frame color (32/64)
10.11.19 Fixed: Windows Vista, classic theme: Main menu background remained black after switching to dark mode and back (32/64)
10.11.19 Fixed: Ctrl+Q quick view panel: Do not show error when viewing a LNK file which cannot be resolved. Show link content instead (32/64)
10.11.19 Fixed: FTP remote copy with Shift+F5 didn't work if the server supports SSCN but the user set PROT C in "Send commands" (32/64)
10.11.19 Fixed: Crash when opening main menu with icons in menu enabled, but wcmicon*.* files missing (64)
10.11.19 Fixed: Find files: Option "F2 search in found files/folders" wasn't enabled when only folders were found (32/64)
10.11.19 Fixed: Context menu for choosing archive encoding didn't have black border (the menu is always bright in 32-bit) (64)
10.11.19 Fixed: Overlay for USB drive didn't have transparent background in drive dropdown combobox (32/64)
08.11.19 Fixed: Standalone search would not start searching in the current directory when started without parameter (when there was a separate help file for that language in the language directory) (32)
08.11.19 Fixed: Dark mode, thumbnail view: Items were not drawn correctly on the line with the focus (64)
08.11.19 Fixed: Dark mode, thumbnail view: Font was wrong (32)
08.11.19 Fixed: Main menu: Checked items were no longer shown with a separate checkmark (when not showing them as pressed buttons) (64)
08.11.19 Fixed: Drag&Drop: Alt+Tab to other program during drag, then Alt+Tab back -> wrong cursor shown (64)
08.11.19 Fixed: Dark mode: Ctrl+Q Quick View panel didn't switch text and background color from/to dark mode (32/64)
08.11.19 Fixed: cm_commandbrowser: Shift+Double click on a command/Shift+Click OK didn't always correctly copy non-English characters (32/64)
08.11.19 Fixed: Context menu hanging when using internal associations with option "Load extra commands from all matching types" and one of the "open" commands wasn't * or ** (32/64)

06.11.19 Release Total Commander 9.50 beta 4
06.11.19 Fixed: Dark mode, synchronize dirs: Draw focused directory with dark text on white background (32/64)
06.11.19 Fixed: cm_gotofirstentry and cm_gotofirstfile didn't update inactive cursor position (with SelectionFocus!=0) when Total Commander didn't have the focus (32/64)
06.11.19 Fixed: Synchronize dirs: Empty dirs were sometimes not shown when there was a hidden directory elsewhere in the compared directories (32/64)
06.11.19 Fixed: The dialogs of some plugins (e.g. SFTP: Properties) had garbled text in the title bar (reason: subclassing of dialog box class to intercept Ctrl+C from MessageBox) (32/64)
05.11.19 Added: Find files: "F2 search in found files" now also searches in previously found folders (32/64)
05.11.19 Fixed: Right click context menu on file in archive didn't support verbs from multiple internal associations (32/64)
05.11.19 Fixed: Dark mode: Corrected look of sorting headers with themes disabled (64)
05.11.19 Fixed: Dark mode: Buttons F3, F4 etc. looked different with flat buttons disabled and highlight color changed (32)
05.11.19 Fixed: Dark mode, File lists: thumb box was too high with classic theme when there were a lot of items in the list (32/64)
05.11.19 Fixed: FTP direct server to server transfers (FxP): Copying the timestamp could fail because it was sent to the wrong server (32/64)
05.11.19 Fixed: Added: Allow to check both "Show square brackets [] around directories" and "Append \" if the second one is checked first (DirBrackets=3 in wincmd.ini) (32/64)
05.11.19 Fixed: Find files: Couldn't go back to previous searches when the search parameters were invalid, e.g. the start path didn't exist (32/64)
04.11.19 Added: When adding new colors by file type, set the color for the other mode (dark/normal) too. Can be changed afterwards via Dark<>Normal button (32/64)
04.11.19 Fixed: Dark mode: Draw breadcrumb bar dropdown list with thin 1 pixel border (32/64)
04.11.19 Fixed: FTP server to server copy (FxP): use plain text connection via PROT C if the user has defined it in "Send commands" for the connection (32/64)
04.11.19 Fixed: Internal command LOADSELECTION now looks for list file in active panel if no path is specified (32/64)
04.11.19 Fixed: Configuration - Options: Set current directory to path of active panel when opening configuration dialog (also in associate, internal associations, multi-rename, compare by content, user menu), for various file open dialogs (32/64)
04.11.19 Fixed: Configuration - Options - Copy/Delete: Apply settings with VerifyEnabled=0 -> Option "Use Explorer delete" disappeared (32/64)
04.11.19 Fixed: Alt+Tab during drag&drop no longer worked, the drag operation was aborted (32/64)
04.11.19 Fixed: Dark mode: Lister main menu didn't switch from dark to normal mode after cm_SwitchDarkmode and activating lister (32/64)
03.11.19 Fixed: Dark mode: Removed panel border also when there are no tabs (32/64)
03.11.19 Fixed: Dark mode: Folder tabs: Only use highlight color for active tab borders, not for inactive tab borders (32/64)
03.11.19 Fixed: Printing: Catch error "Access denied" (64)
03.11.19 Fixed: Lister: "Define view method by file type" took precedence over command line paramter /S=L:Pplugin (32/64)
03.11.19 Fixed: Right click on button bar shown as menu no longer opened the button context menu (32/64)
03.11.19 Fixed: Dark mode: 2 buttons in "Change attributes" were not translated, as well as the buttons F3 and F4 in "Find files" (64)
01.11.19 Fixed: Configuration - Button bar had wrong width for items in the upper list if there were too few items in the bar (32)
01.11.19 Fixed: Find files: Uncheck option "F2 search in search results" when user clicks on "New search" (32/64)
01.11.19 Added: FTP, Shift+F5 copy file within server: Support options "Copy via local PC" and "Preserve file dates" (32/64)
01.11.19 Fixed: FTP server to server copy (FxP): Couldn't copy files between FTPS servers if they didn't support SSCN -> use plain text connection via PROT C (32/64)
01.11.19 Fixed: Dark mode: Drive combobox had white background after connecting to FTP server (64)
01.11.19 Fixed: Dark mode: Lister buttons in search and settings were not themed when Lister was started as a separate process via Totalcmd.exe /S=L <filename> (32)
01.11.19 Fixed: Dark mode: Crash when opening sub-menu in the main menu and not choosing any command (64)

30.10.19 Release Total Commander 9.50 beta 3
30.10.19 Fixed: cm_commandbrowser: Ctrl+Shift+C on a command didn't always correctly copy non-English characters (32/64)
30.10.19 Fixed: Filter icon in main window and synchronize dirs (on the right side of the status bar) wasn't scaled for high DPI displays (32/64)
30.10.19 Fixed: Dark mode: Moving main window between screens with different DPI changed scroll bars to bright on Windows 10 1809 or newer (32/64)
30.10.19 Fixed: Dark mode, synchronize dirs: Filter icon in lower right (when files were hidden) had white background, and wasn't always displayed (32/64)
30.10.19 Fixed: Dark mode, Alt+F10 Tree: Entries in listbox were not high enough on high resolution displays (32/64)
30.10.19 Fixed: Dark mode, Configuration - button bar: Scaled icons had white background, e.g. on 4k displays with 200% scale (32/64)
29.10.19 Fixed: File list numbers drawn with Uniscribe (e.g. for Segoe UI Semibold) had wrong spacing after moving main window between screens with different DPI (64)
29.10.19 Fixed: Dark mode: Moving main window between screens with different DPI showed buttons F3..Alt+F4 and text near drive combobox in wrong font size (32/64)
29.10.19 Added: File open dialog: Default to current directory in active panel when adding plugins manually (32/64)
29.10.19 Added: Dark mode: Enable dark mode options by default also on Windows XP and newer (32/64)
29.10.19 Added: Dark mode: Partial support for dark scrollbars in listboxes on older Windows versions (only when scrolling with the keyboard) (32/64)
28.10.19 Fixed: Drag&Drop to ZIP or folder didn't work if it was the last item in the list, and the list was longer than the displayed file window (32/64)
28.10.19 Fixed: Compare by content: Background color below last line wasn't adjusted to dark mode (32)
28.10.19 Fixed: Main window flickered when closing various dialogs via X button, e.g. CRC create (problem with OnClose) (64)
28.10.19 Fixed: Updated unrar.dll and unrar64.dll to latest version 5.80.3 (32/64)
28.10.19 Fixed: Find files: Show error when user combines option "F2 Search in found files" or "Only search in selected directories/files" with prefix "ed:" or "ev:" (32/64)
28.10.19 Added: New option in wincmd.ini [Configuration] HistoryCut=1 Cuts history after current entry when in the middle of the history and the user goes to a different directory (32/64)
27.10.19 Fixed: When using "Extra lines below cursor" with SingleClickStart=1, do not auto scroll list when moving cursor with the mouse, only when moving it with the keyboard (32/64)
27.10.19 Fixed: Do not show tooltip for drive buttons with no label (32/64)
25.10.19 Added: Dark mode: Highlight frame and opening indicator in combobox when hovering with the mouse over it (32/64)
25.10.19 Fixed: ZIP archive, right click on [Auto], choose entry: Added missing translations for Japanese and the various ASCII/DOS encodings (32/64)
25.10.19 Added: Find files: For test purposes, when searching with option ed:, put the used start path in the "Search in:" field when the field was empty (32/64)
24.10.19 Fixed: Dark mode: Button bar: Draw "down" state like pressed button with highlight color (32/64)
23.10.19 Fixed: Dark mode: In main menu, lister menu, and button bar as menu, overdraw white frame with own dark frame (32/64)
23.10.19 Added: Save new dark mode option set via cm_SwitchDarkmode/cm_EnableDarkmode/cm_DisableDarkmode to wincmd.ini, except when the default was "Only when enabled for Windows 10 apps" (32/64)
23.10.19 Added: Three new internal commands: cm_SwitchDarkmode to switch dark mode on/off, cm_EnableDarkmode to switch it on and cm_DisableDarkmode to switch it off (useful e.g. for time controlled dark mode) (32/64)
23.10.19 Fixed: Dark mode: Make main menu owner drawn even without icons in the menu, otherwise the menu isn't dark (32)
23.10.19 Added: When enabling option "Extra lines below cursor" without changing the value, use the values previously stored as negative numbers (32/64)
23.10.19 Added: When disabling option "Extra lines below cursor", store previous values as negative numbers in ScrollingTopMargin and ScrollingBottomMargin (32/64)
22.10.19 Fixed: Moved new USB drive overlay icon to upper left, so it doesn't overlay the encrypted drive lock icon (32/64)
22.10.19 Fixed: Handle incomplete paths passed to SAVESELECTION and SAVEDETAILS, e.g. just the file name -> save to current directory (32/64)
22.10.19 Fixed: Colors by file type were sometimes ignored in dark mode (32/64)
22.10.19 Added: Show <Explorer> in Lister title bar when using Explorer preview handler (but not thumbnail viewer) (32/64)
22.10.19 Fixed: When launching Lister with Explorer preview via switch /S=L:T8 <filename>, the option '8' wasn't selected for some file types like .htm (32/64)
22.10.19 Fixed: Remove entry from "Recently closed tabs" list when re-opening that tab via that list (32/64)
22.10.19 Added: SELECTFILES command: Support list up to 32767 characters long, e.g. SELECTFILESBTS with parameter %Z%Y%S (32/64)
22.10.19 Fixed: Dark mode: When Manually checking for updates, the dialog box to enable/disable automatic update had "Yes" as the default instead of "No" as in normal mode (32/64)
22.10.19 Fixed: Folder tabs randomly disappeared in dark mode when using tabs on multiple lines (32/64)

21.10.19 Release Total Commander 9.50 beta 2
21.10.19 Fixed: In place rename (Shift+F6): Quick view contents (Ctrl+Q) were sometimes not updated when actually changing the name of a file (32/64)
21.10.19 Fixed: Dark mode: Rename file in place (Shift+F6) -> OK button had wrong background color (64)
21.10.19 Fixed: Dark mode: Standalone search dialog didn't have the correct colors (32/64)
21.10.19 Added: Dark mode: show hover effect for folder tabs and sorting headers (32/64)
21.10.19 Fixed: Dark mode: Crash when repeatedly clicking on up/down buttons in search dialog (64)
20.10.19 Added: Auto-installer: Option to load a second inf file from the net, e.g. for older beta versions (32)
20.10.19 Fixed: Help: Added descriptions for various fields, and the missing section [ColorsDark], corrected some errors (32/64)
20.10.19 Fixed: Lister, view mode by file type: Deleting or sorting entries mixed up the "file type -> mode" associations (32/64)
20.10.19 Fixed: Lister: Window flickers when closing lister configuration dialog (problem with OnClose) (64)
20.10.19 Added: Missing entry 476=34 to WCMICONS.INC, fixed sort order (32/64)
20.10.19 Fixed: Explorer Preview couldn't be loaded from command line via switch /S=L:T8 <filename> (32/64)
20.10.19 Fixed: Dark mode: Show Lister main menu items as grayed when window doesn't have the focus (32)
20.10.19 Fixed: Dark mode: Make Lister main menu top items fully owner drawn, otherwise the grayed item "Encoding" wasn't shown (32)
20.10.19 Fixed: Context menu: Add missing menu item "Paste shortcut" below "Paste" also on Windows XP and Vista (32/64)
20.10.19 Fixed: \\tsclient shared drives were not displayed (64)
20.10.19 Fixed: Various missing translations, e.g. "Dark<>Normal" button in "Define colors by file type", and new internal commands (32/64)
18.10.19 Fixed: Configuration - Options - Color: When changing from dark to light mode, the title bar color of the individual settings page was wrong (32/64)
18.10.19 Fixed: Support ScrollingTopMargin and ScrollingBottomMargin also in brief view, scrolls sideways when less than the given number of lines is visible above/below (32/64)
18.10.19 Fixed: F5 copy dialog: Don't put cursor on OK button when user presses Ctrl+D (32/64)
18.10.19 Fixed: Directory hotlist (Ctrl+D) in F5 copy dialog didn't support entries with environment variables, e.g. cd %commander_path% (32/64)
18.10.19 Fixed: Custom columns dialog: Program was hanging when clicking behind custom column options (64bit). Solution: Set up/down button already when just moving the mouse, not when clicking (32/64)
18.10.19 Fixed: Change dark mode background color during light mode, then switch to dark mode -> color wasn't applied to all dialog box elements (32/64)
18.10.19 Fixed: Find files: "F2 Search in found files" not working if search text had prefix ed: or ev: (32/64)
18.10.19 Fixed: Button bar: remove second bright line above button bar in dark mode (32/64)
18.10.19 Fixed: Alt+F10 tree: Show progress dialog while 'Everything' tool is busy (e.g. updating its database on startup) (32/64)
18.10.19 Fixed: Configuration - Options - Color - Define colors by file type - Cancel - Cancel -> main window file list got dark background (32)
18.10.19 Fixed: Find files: Access violation when start directory doesn't exist, because it couldn't be added to the new search result history (32/64)
18.10.19 Fixed: Defining color filters didn't work while in dark mode (32/64)
17.10.19 Fixed: Windows XP/7, classic theme: Drive buttons had invisible drive letters (32/64)
17.10.19 Fixed: Dark mode, drive combobox not shown -> incorrect coloring of parent/root buttons, volume label and free and total space (32/64)
17.10.19 Fixed: Dark mode combobox options in Configuration - Options - Color were not translated (64)
17.10.19 Fixed: descript.ion file didn't contain info about TCshareWin10.dll and TCshareWin10x64.dll, which are used to show the Windows 10 "Share" menu (32/64)
17.10.19 Fixed: Tabstop headers, "name" section: field [encoding] didn't support accented characters when showing custom archive encoding (64)
17.10.19 Fixed: Lister: Configuration - "View methods by file type": view method dropdown list didn't support accented characters (64)
17.10.19 Fixed: Couldn't set top/bottom margin for scrolling in file lists via Configuration - Options - Operation, only via wincmd.ini (32/64)
17.10.19 Fixed: Switch from light to dark mode: Text in right directory tabs still had the wrong dark color (64)
17.10.19 Fixed: High DPI display: use larger icons for command browser (button change dialog, main settings) and list of existing hotkeys (32/64)
17.10.19 Fixed: Crash when using quick search with search window on high DPI display (64)

16.10.19 Release Total Commander 9.50 beta 1
16.10.19 Fixed: System information: Some text was cut on high DPI screens (32/64)
16.10.19 Fixed: System information: Windows 10 Professional was reported as Enterprise due to bad values in 32-bit part of the registry (32)
11.10.19 Fixed: Line breaks in comments were lost when renaming a file with DOS-encoded descript.ion which was converted to UTF-16 (32/64)
07.10.19 Fixed: Lister, define which view method and plugin should be used when opened: Option 4i (internal image viewer) wasn't working (32/64)
02.10.19 Fixed: In place rename (Shift+F6): Update quick view contents (Ctrl+Q) also when just switching between files with up/down arrow without renaming anything (32/64)
02.10.19 Fixed: Lister Crash trying to view *.eml file with new mode 8 (64)
02.10.19 Fixed: FTP connect: When adding the FTP panel, the current file item could be scrolled out of the visual part of the file list (32/64)
02.10.19 Fixed: Lister: Printing of images: Always limit size to paper size even when display isn't set to "Fit image to window". Smaller images will not be scaled up, though (32/64)
02.10.19 Fixed: Lister: Printing of images other than BMP (e.g. JPG, GIF, PNG) didn't work (32/64)
02.10.19 Fixed: Compare by content: Scroll horizontally when selecting with the mouse and moving the mouse cursor to the left/right of the compare window (32/64)
02.10.19 Fixed: Port connection server started via switch /S=P:portnr could be closed, but the program continued running in the background (64)
02.10.19 Fixed: Verify checksums: couldn't load files with very long path names if they used slashes instead of backslashes in the checksum file (32/64)
24.09.19 Added: Codepage menu for archives: Added OEM/DOS encoding option for each Windows encoding where applicable (32/64)
24.09.19 Fixed: Right click context menu, "New" submenu: skip entries with empty name (32/64)
24.09.19 Fixed: Right click context menu, "New" submenu: use "FriendlyTypeName" even if it only provides plain text (it doesn't start with @ linking to dll) (32/64)
24.09.19 Fixed: UTF-8 file comments not always correct on systems with dual byte characters (e.g. Chinese) (32/64)
17.09.19 Fixed: Unpack faulty ZIP files created by sync.com "Download all" function (32/64)
23.08.19 Fixed: Comments for network shares (shown in root of server) didn't support Unicode (32/64)
30.07.19 Added: Start working on dark mode support for Windows 10 1809 and later (32/64)
29.07.19 Added: wincmd.ini [Configuration] HistoryLenStored= set maximum number of entries in history to be stored to wincmd.ini [LeftHistory] and [RightHistory]. Default=200 on NT based systems, same as HistoryLen on 9x/ME due to limited max ini size (32/64)
24.07.19 Added: Custom codepage in Lister, FTP connection settings or archive: list all installed codepages in dropdown combobox (32/64)
22.07.19 Added: Quick search/Quick filter dialog: Clear search with Ctrl+Y (like in the command line) (32/64)
22.07.19 Added: Search with 'Everything': Show percent of the search results transferred to Total Commander and added to the result list (Everything reports the total number of found files) (32/64)
22.07.19 Added: Search with 'Everything': Show command sent to 'Everything' in search status bar. Repeated calls are shown with the file numbers requested, e.g. 10000- (32/64)
22.07.19 Added: Right click on directory tab -> "Recently closed tabs": Hold down Shift to open restored tab in background (do not activate it) (32/64)
19.07.19 Fixed: OneDrive: On Windows 10 1803 or newer, do not load thumbnails for files which are available online only, to not force their download (32/64)
19.07.19 Fixed: OneDrive: Folders appearing as file system links (fake reparse points) were not included in many functions, e.g. packing, synchronizing (32/64)
19.07.19 Added: Search via 'Everything': Show percentage done verifying the returned search results (32/64)
19.07.19 Added: Search via 'Everything': Request results in chunks of 10000 files so it can be aborted when accidentally finding too many files (32/64)
17.07.19 Fixed: Internal content plugin: Do not load version info fields if the file is a OneDrive online only file (not available offline), attribute contains 0x400000 (32/64)
17.07.19 Added: Increased directory history length to 200, otherwise not many entries may remain when doing history thinning. The actual number of items shown is set by HistoryLen in wincmd.ini (32/64)
16.07.19 Added: Find files: Automatically check 'Everything' option when using prefix ev: or ed: in search field (32/64)
16.07.19 Fixed: Compare by content: when comparing 2 files, and a file loaded in memory was deleted, saving the file failed because no .bak file could be created (32/64)
16.07.19 Added: Compare by content: wincmd.ini [Configuration] MaxCompareSizeInMem=1048576 size limit for files which are loaded completely in memory for comparison. Larger files are mapped into memory (file mapping) (32/64)
15.07.19 Added: Directory history thinning: wincmd.ini [Configuration] HistoryThinning=1, HistoryThinningDelta=0 enables thinning only when user starts some operation in the directory, not by timeout (32/64)
15.07.19 Added: Directory history thinning: wincmd.ini [Configuration] HistoryThinning=1/0 turns thinning on and off without changing the value of the timeout (32/64)
14.07.19 Added: Directory history: When going to previous entry via Alt+Left arrow, and then manually changing to a different directory, append that directory to the END of the history (32/64)
14.07.19 Added: Directory history thinning: Alt+Shift+Down arrow or new command cm_DirectoryHistoryNoThinning shows history list without thinning (32/64)
14.07.19 Added: Directory history thinning: Keep normal history (Alt+Left/Right arrow) unchanged, only apply to history menu (Alt+Down arrow) (32/64)
09.07.19 Added: Drive dropdown list, drive buttonbar: Show "eject" overlay over drive icon from Explorer for external USB harddisks. Enable/Disable via wincmd.ini [Configuration] CheckUsbHdd=1/0 (32/64)
08.07.19 Added: Windows XP and newer: Call SetThreadStackGuarantee to have a minimum of 16kBytes stack left when getting into an infinite loop, so the exception handler can handle it (32/64)
08.07.19 Added: New configuration option shown in Configuration - Options - Operation: Extra lines below cursor. Sets both ScrollingTopMargin and ScrollingBottomMargin (32/64)
08.07.19 Added: Directory history thinning: New configuration option shown in Configuration - Options - Operation (32/64)
08.07.19 Added: Directory history thinning: wincmd.ini [Configuration] HistoryThinningDelta=5000 defaults to 5 seconds the user must stay in a directory to keep it in the history (32/64)
08.07.19 Added: Directory history thinning: Only add directory to history if the user stayed there for x seconds, or performed any file operation in that location (32/64)
05.07.19 Added: Right click on directory tab -> show submenu "Recently closed tabs" to restore closed tabs. Not remembered when program is closed (32/64)
03.07.19 Fixed: Drag from TC running with normal user rights to program with elevated (administrator) rights via taskbar icon or Alt+Tab -> drag was cancelled (GetAsyncKeyState(VK_LBUTTON) returned "not pressed") (32/64)
28.06.19 Fixed: Drag currently not selected folder from tree -> that folder received the "open" indicator, although the previous folder was still open in the file panel (32/64)
28.06.19 Fixed: Do not clear icons when changing file list colors, because icons in file system plugins were lost (32/64)
28.06.19 Added: Menu item "Paste shortcut" below "Paste" in right click context menu on Windows versions where this menu item is missing (32/64)
26.06.19 Fixed: Drag&Drop from other program: allow to drop files to read-only folder requiring elevation, e.g. c:\Program Files (32/64)
26.06.19 Fixed: Drag&Drop from other program: data type HGLOBAL wasn't always accepted (64)
25.06.19 Fixed: Windows 10, 2 monitors with different DPI: Right mouse button drag from Explorer to TC showed inaccessible drop menu -> call SetThreadDpiAwarenessContext (32/64)
24.06.19 Added: wincmd.ini [Configuration] InheritCaseSensitiveDir=1: If a folder has "case sensitive names" option set, inherit it when creating new folder inside. 0=off, 1=on, 2=on also when needing admin rights (tcmadmin) (32/64)
24.06.19 Added: New internal function [=tc.case sensitive in folder] to check whether a folder is set to case sensitive mode for the files inside. Returns false for files, they cannot contain other files (32/64)
24.06.19 Added: New internal function [=tc.case sensitive name] to check whether a file/folder name is case sensitive or not. Per folder case sensitivity requires Windows 10 1803 or newer (32/64)
24.06.19 Added: New internal function [=tc.path length] to get the current path length (folder+file name). Uses Unicode on NT-based systems, ANSI otherwise (32/64)
23.06.19 Fixed: Synchronize dirs: Improvements when comparing two case sensitive folders (Windows 10 1803 or newer): now supports 2 or more files where the name only differs in case, but not folders (32/64)
23.06.19 Fixed: Installer: Add fields InstallLocation and EstimatedSize to the registry (32/64)
23.06.19 Fixed: Search result, feed to listbox, Show - Comments, Show - Full -> names were still truncated (32/64)
21.06.19 Fixed: Numbers with thousands separators: support sizes > 1000TByte (32/64)
21.06.19 Fixed: File associations: Also look for icon in HKEY_CLASSES_ROOT\.ext\DefaultIcon if all other locations are missing (32/64)
21.06.19 Fixed: Lister: In some cases, "Cannot focus inactive control" error was shown in Ctrl+Q when pressing '4' (32/64)
21.06.19 Fixed: FTP: Auto detect MLSD/MLST support also when the server sends 211-MLST in reply to "FEAT" command (32/64)
21.06.19 Added: Find files, text search, Office XML, plus Lister, view HTML: When removing XML tags from Office XML, add line breaks for </w:p> and </text:p> paragraph end tags (32/64)
21.06.19 Added: Find files, text search, Office XML: When removing XML tags, replace entities like "&lt;" -> "<" (32/64)
20.06.19 Added: Find files, text search, Office XML: Search the xml files both unmodified and with all XML tags removed, e.g. to find text with some characters set to attributes like bold (32/64)
20.06.19 Fixed: Preserve attribute "not content indexed" (Can be set via Properties - Advanced) when renaming files (32/64)
19.06.19 Added: Multi-rename tool: New placeholders [c3]: The last value of the counter defined in the Define counter field (32/64)
19.06.19 Added: Multi-rename tool: New placeholders [c2]: Like [c] but with the number of digits defined in the Define counter field (32/64)
19.06.19 Added: Multi-rename tool: New placeholders [c1] or [c]: Number of files/folders in the file list, e.g. "File [C] of [c]" -> "File 1 of 101" etc. (32/64)
19.06.19 Fixed: Find files: Search for UTF-8 may not find a file when looking for the string by which the file ends, e.g. </html>, and there is no line break after it (32/64)
19.06.19 Added: 256x256pixel icon (only to 64-bit version, 32-bit fails to compile - new icon must be replaced manually, e.g. with resource hacker) (64)

26.05.19 Release Total Commander 9.50 beta 1 pre 3
26.05.19 Fixed: Tab, locked with directory changes allowed, try to go to inaccessible drive via history -> tab icon from desktop.ini lost (32/64)
26.05.19 Added: Lister: Bypass view method per file type when using Alt+Shift+F3 (32/64)
20.05.19 Added: New internal command cm_ChangeArchiveEncoding=2948 to open the archive encoding popup menu via keyboard or button (32/64)
20.05.19 Fixed: [Auto] in tab header displayed with separator when using classic theme (32)
19.05.19 Fixed: File system plugins: Background button wasn't shown any more although the plugin supported it (bug after 9.22a) (32/64)
19.05.19 Fixed: Upload/Download single file no longer suggested the file name in the F5 dialog - instead, *.* was shown (bug after 9.22a) (32/64)
19.05.19 Added: Lister (F3): When a single method per file type is defined, '4' switches to that method from any other than 4, but cycles through plugins otherwise (32/64)
19.05.19 Added: Lister (F3): When multiple methods per file type are defined, e.g. fileinfo.wlx,3,2 then Lister cycles through these methods when the user presses '4' (32/64)
19.05.19 Added: Lister (F3): Define which view method and plugin should be used when opened, separately by file type (32/64)

17.05.19 Release Total Commander 9.50 beta 1 pre 2
17.05.19 Fixed: Choose codepage for archive: Show an error if a codepage isn't installed (32/64)
17.05.19 Fixed: Crash when using file names as tooltips but not win32-style tips or comments (bug was introduced during the pre-release) (32/64)
16.05.19 Fixed: Codepage change not working in CAB files (32/64)

15.05.19 Release Total Commander 9.50 beta 1 pre 1
15.05.19 Fixed: Per file icons (e.g. for .url files) could be lost when entering archive containing the same file type (32/64)
15.05.19 Added: Choose codepage when unpacking multiple files with Alt+F9 (32/64)
14.05.19 Added: Choose codepage when unpacking ZIP, ARJ, LZH, RAR, CAB, TAR, GZ via right click on [auto] in tabstop header (name, ext. etc) (32/64)
10.05.19 Added: wincmd.ini [Packer] OverrideCodepage=-1 set default codepage for ZIP archives manually (32/64)
03.05.19 Added: F5 copy dialog: Support directory hotlist (Ctrl+D) also in this dialog, only for targets in the file system (32/64)
03.05.19 Added: F5 copy dialog: Add current target to target list (section [TargetList]) with F7 or button, or remove if it's already in the list (32/64)
30.04.19 Added: F5 copy dialog: Insert target paths from wincmd.ini section [TargetList], e.g. 0=c:\first target\ 1=d:\second target\ (32/64)
22.04.19 Added: Transfer from FTP server to FTP server with F5: Option to preserve time stamps if the target supports it (32/64)
22.04.19 Added: Transfer from FTP server to FTP server with F5: Option to copy via local PC, for servers which don't support direct transfers (32/64)
19.04.19 Added: Download via PORT connection: Support copy filters like the local file copy function, e.g. *.txt | excludeddir\ (32/64)
19.04.19 Added: Download from FTP: Support copy filters like the local file copy function, e.g. *.txt | excludeddir\ (32/64)
17.04.19 Added: Upload via PORT connection (USB or parallel): Support copy filters like the local file copy function, e.g. *.txt | excludeddir\ (32/64)
17.04.19 Added: Upload to FTP via HTTP proxy: Support copy filters like the local file copy function, e.g. *.txt | excludeddir\ (32/64)
16.04.19 Added: Upload to FTP: Support copy filters like the local file copy function, e.g. *.txt | excludeddir\ (32/64)
14.04.19 Added: Open files and run programs in file list from background thread if handle isn't needed. Disable with wincmd.ini [Configuration] OpenInThread=0 (32/64)
12.04.19 Added: Download from file system plugins: Support copy filters like the local file copy function, e.g. *.txt (32/64)
12.04.19 Added: Upload to file system plugins: Support "skip empty dirs" via copy filters, e.g. *.txt|**\ (32/64)
10.04.19 Added: Upload to file system plugins: Support copy filters like the local file copy function, e.g. *.txt (32/64)
10.04.19 Added: Configure top/bottom margin when scrolling through file lists: wincmd.ini [Configuration] ScrollingTopMargin=4 ScrollingBottomMargin=4 (32/64)
10.04.19 Added: When scrolling through file lists with the keyboard, keep a margin of 4 lines above/below the current position (32/64)
09.04.19 Fixed: Quick search with search dialog, switch away to other app and back -> cursor no longer displayed in file list (64)
09.04.19 Fixed: Do not force-reload the main button bar on each WM_DISPLAYCHANGE message if the cache is still good (32/64)
09.04.19 Fixed: Right click on tabs was disabled when a quick view panel was shown on that side (32/64)
07.04.19 Added: Configuration - Options - Display - [+] button: Option to show custom hints for all matching file types instead of only the first (32/64)
07.04.19 Fixed: Lister, Ctrl+C: Error copying Cyrillic ASCII text in mode "ascii" (32/64)
07.04.19 Fixed: Lister, font picker: On system locales other than Western, e.g. Cyrillic, when choosing Western encoding for a font, it wasn't saved (32/64)
05.04.19 Fixed: When using SelectionFocus, also draw focus with larger border when using CursorPenWidth option (32/64)
14.03.19 Added: Show location of Total Commander EXE file in about box (32/64)

Options added during the development of 9.22 (but only added to 9.50):
25.02.19 Added: Internal associations: When adding extra verbs from all matching filters, show filter name instead of (internal) in context menu (32/64)
20.02.19 Added: New internal commands cm_GotoNext, cm_GotoPrev, cm_GoToLast to put the caret (text cursor) on the next, previous, or last entry in the list (32/64)
20.02.19 Added: New internal command with parameters: LOADSELECTION <filename>: Load selection from specified file (32/64)
20.02.19 Added: New internal commands with parameters: SAVESELECTION, SAVESELECTIONA, SAVESELECTIONW, SAVEDETAILS, SAVEDETAILSA, SAVEDETAILSW to save selection in default, ANSI or Unicode format to the specified file, without or with all details (32/64)
20.02.19 Added: Create CRC checksums: New option to use Unix format: Unix style line breaks (<lf> instead of <cr><lf>), and forward slashes instead of backslashes in relative paths (32/64)
20.02.19 Added: Create CRC checksums: New option to always use UTF-8 for names (32/64)
18.02.19 Added: Lister: Press '8' to use IPreviewHandler to show preview as the Explorer, or use IThumbnailProvider when there is no preview handler (shows as '4') (32/64)
17.02.19 Added: RestrictInterface=6144: Disallow all plugins (for companies with highest security requirements) (32/64)
17.02.19 Added: RestrictInterface=4096: Only allow plugins with a valid digital signature (32/64)
17.02.19 Added: RestrictInterface=2048: Only allow plugins signed by us (ghisler) (32/64)
04.02.19 Added: Search dialog: Option to search in search results only (32/64)
04.02.19 Added: Search dialog: View previous search results (32/64)
01.02.19 Added: New internal commands cm_MoveTabLeft and cm_MoveTabRight to manually move current tab with keyboard shortcuts or button (32/64)
01.02.19 Added: Directory panels: Show <LINK> for soft (symbolic) links to files instead of 0 size (32/64)
30.01.19 Added: Quick view panel (Ctrl+Q): Close plugin or currently playing video/audio file when the user tries to move or delete it (32/64)
30.01.19 Added: New internal command cm_LayoutConfig: Separate option for "Layout" page, in preparation for cm_Config redefinition (32/64)
29.01.19 Added: Alt+F10 Tree: Option to use the tool "Everything" for loading the tree. Uses fast standard sort function (not natural sorting) (32/64)
28.01.19 Added: Alt+F10 Tree: Combobox to change drive, open with Alt+F1 or Alt+F2 (32/64)
27.01.19 Added: Network drive right click menu: Show new command "cd \\server\path" to switch to UNC path of that drive letter (32/64)
27.01.19 Added: wincmd.ini [Configuration] PathExtraHeight=-100: Set additional/reduced height of current path field (for 96dpi, scaled). Turns off automatic larger height on touch screens (32/64)
27.01.19 Added: Compare by content: Set color for underlined search results: Configuration - Options - Color - "Search results (underline)". wincmd.ini [Colors] CompareSearchLine= (32/64)
27.01.19 Added: Set flag FILE_ATTRIBUTE_TEMPORARY when unpacking to TEMP, e.g. when searching or comparing by content (32/64)
25.01.19 Added: Do not delete tabs when unchecking Configuration - Options - "Show folder tabs" and closing TC. Instead, reload last saved tabs when re-enabling "Show folder tabs" (32/64)
25.01.19 Added: F5 Copy - Options: New button to save default overwrite method, uses existing "CopyOverwriteDefault" wincmd.ini option (32/64)
25.01.19 Added: Files - Associate: notify the shell with SHChangeNotify(SHCNE_ASSOCCHANGED,SHCNF_IDLIST,NULL,NULL); when an association is changed (32/64)
25.01.19 Added: wincmd.ini [Configuration] QuickViewFollowLinks=1: Show contents of link target on Ctrl+Q: 0=off, 1=only network paths when source is also on net, 2=always (32/64)
25.01.19 Added: Ctrl+Q quick view: Show contents of link target instead of lnk file content (32/64)
23.01.19 Added: Auto-detect harddisk partitions if they aren't set manually in Configuration - Options - Copy/Delete (32/64)
23.01.19 Added: Configuration - Options - Display: New option "Append \" to show folders as Folder\ instead of [Folder]. Stored as dirbracket=2 (32/64)
23.01.19 Added: Set encrypted attribute to file when moving unencrypted file to encrypted folder on same volume (32/64)
23.01.19 Added: wincmd.ini [Configuration] AssociationMultiVerbs=1: Internal associations: Enable multiple commands from all matching file types (32/64)
23.01.19 Added: Internal associations dialog: New checkbox "Load extra commands from all matching types" (32/64)
22.01.19 Added: Internal associations: Optional: Add extra verbs from ALL matching filters, default "open" only from the first match (32/64)
21.01.19 Added: Menu Mark - "Copy names with path to clipboard": Copy current directory when cursor on [..] and nothing is selected (32/64)
20.01.19 Added: FTP, upload/download with F5 - F2 in background: Support client certificate (32/64)
14.01.19 Added: Show "New" submenu also in context menu for [..] entry, to create new file in current directory (32/64)
14.01.19 Added: Don't convert volume label to lowercase, except when it's all uppercase (32/64)
14.01.19 Added: If a drive has no volume label, get it from HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\DriveIcons\<drive>\DefaultLabel like the Explorer (32/64)
14.01.19 Added: Button bar, parameters "%S", "%R", "%P%S", "%T%R": Surround all names with quotes when user puts parameter in quotes, e.g. "%S" -> "name1" "name2" (32/64)
14.01.19 Fixed: Button bar, parameters %S, %R, %P%S, %T%R: Also surround with quotes when name contains "=", needed for batch files (32/64)
07.01.19 Added: Multi-rename tool: New field [S] inserts the file size (32/64)
28.11.18 Fixed: File system plugins, FsGetBackgroundFlags: BG_UPLOAD was ignored, only BG_DOWNLOAD was used to allow background transfers (32/64)
12.11.18 Added: wincmd.ini, resolution-specific section (e.g. [1920x1080 (8x16)], CursorPenWidth_96=0: Set width in pixels of the caret (current file cursor) in file lists for secondary screen with specific DPI value (needs Windows 10 creators update or newer) (32/64)
12.11.18 Added: wincmd.ini, resolution-specific section (e.g. [1920x1080 (8x16)], CursorPenWidth=0: Set width in pixels of the caret (current file cursor) in file lists: 0=thin, >0 value in pixels, automatically scaled with DPI (32/64)
05.11.18 Added: Search function, load/save: Show more details about stored search: date from/to/newer/older, search archives (shown as zip), size, attributes, duplicates (shown as 2x), search depth (shown as D<=), plugins (32/64)
05.11.18 Added: Synchronize dirs: Use Ctrl+PageUp/PageDown to jump to next/previous directory (32/64)
04.11.18 Fixed: Lister (F3) showing message box (e.g. after unsuccessful search): Switch back to TC, press Ctrl+C -> it was intercepted by the still open message box in Lister (32/64)
30.09.18 Added: New internal command cm_ModernShare allows to use the new Windows 10 "Share" context menu item directly (32/64)
30.09.18 Added: Windows 10, context menu: Menu item "Share" didn't do anything -> handle it internally (32/64)
24.09.18 Fixed: Compare by content: Adjust scroll width when changing font size (32/64)
24.09.18 Fixed: Compare by content: Windows didn't display strings longer than 32767 pixels -> split into multiple strings (was already done, but with fixed 2000 character width) (32/64)
24.09.18 Fixed: Search function: prevent flickering of status panel by using double buffering (32/64)

31.03.19 Re-release Total Commander 9.22a final (32/64)
31.03.19 Fixed: Couldn't unpack ZIP files with LZMA compression (64)

29.03.19 Release Total Commander 9.22a final (32/64)
29.03.19 Fixed: Difficult to reproduce crash in F7 new folder inside ZIP archives (timing problem with removing progress dialog) (32/64)
27.03.19 Fixed: F7 new folder: Invalid name created when user specifies path in zip incorrectly with starting and/or trailing slash, e.g. /dir1/dir2/dir3/ (32/64)
27.03.19 Fixed: F7 new folder: ensure that the dialog isn't displayed outside of the current screen (32/64)
26.03.19 Fixed: Alt+F5 pack: Invalid name created when user specifies path in zip incorrectly with trailing forward slash, e.g. c:\test\test.zip/dir1/dir2/ (32/64)
26.03.19 Fixed: Viewing LZMA-compressed files in ZIP sometimes failed with an unpack error (64)
25.03.19 Fixed: Ctrl+Q, click on active tab header of current tab above the quick view panel -> Tab no longer switched sides (32/64)
25.03.19 Fixed: Duplicating a tab which was locked with directory changes allowed could leave it with an empty name if it caused an additional line of tabs to appear (32/64)
21.03.19 Fixed: Couldn't open 7z archives with Unicode characters from different codepage (e.g. Chinese on English Windows) (64)
21.03.19 Fixed: Leaving branch view inside archive with Ctrl+B no longer went to the directory of the file under the cursor (32/64)
19.03.19 Fixed: Internal associations: **ext only worked for packer plugins, not for internal unpackers like **zip. Now also supports **internal_zip to override external packers (32/64)
19.03.19 Fixed: Opening xlsx files associated with Office 365 app (Windows 10) failed, they opened as ZIP files instead (32/64)
19.03.19 Fixed: In the following dialogs, ENTER confirmed the dialog also on other buttons like Cancel: password input, pack/unpack, other general input dialogs (64)
17.03.19 Fixed: Packing/unpacking with ace32.exe 2.6 didn't work - it expects ";" as delimiter in list file instead of line break (32/64)
17.03.19 Fixed: Do not try to unpack archives with ":" in them after the second character in them with F5 using external unpackers (32/64)
17.03.19 Fixed: Do not try to unpack ace archives with absolute paths or ..\ in them with external ace32.exe or winace.exe via Alt+F9 (32/64)
17.03.19 Fixed: Width of drive dropdown combobox (Alt+F1/Alt+F2) wrong when using screens with different DPI (32/64)
17.03.19 Fixed: Icons in file lists displayed incorrectly when moving main window to a screen with different DPI (64)

14.03.19 Release Total Commander 9.22 final (32/64)
12.03.19 Fixed: Copy hidden or system file with older default method (standard unchecked) -> no overwrite warning for hidden/system files for which the normal overwrite dialog was shown (32/64)
12.03.19 Fixed: Overwrite read only confirmation dialog may be shown in the middle of copying instead of at the end (32/64)
11.03.19 Fixed: Overwrite read only file while warning for read only was disabled but for hidden/system enabled -> still read only warning when using the expanded overwrite dialog (32/64)
11.03.19 Fixed: Thumbnail cache: Don't try to save uncompressed thumbnails when saving compressed fails (32/64)
10.03.19 Fixed: Copy hidden or system file with standard method (CopyFileEx) -> no overwrite warning, except when it also had the read only attribute. Can be overridden with OverwriteHidSysNotReadonly=1 (32/64)
08.03.19 Fixed: Possible crash in compiler library when window handle becomes invalid in main window message handler (64)

06.03.19 Release Total Commander 9.22 release candidate 2 (32/64)
06.03.19 Fixed: Copy in background: wait up to 5 seconds while mouse button is currently down, e.g. for drag&drop, then cancel operation with ESC to avoid lockup (32/64)
05.03.19 Fixed: Improved patch of unacev2.dll, also handling absolute paths (c:\ or \) in addition to relative ..\ (32)
03.03.19 Fixed: Lister: Press '4' while already using a single plugin, then '1' would not turn off that plugin (64)
03.03.19 Fixed: Lister: Hide percent when using internal media player (32/64)

27.02.19 Release Total Commander 9.22 release candidate 1 (32/64)
27.02.19 Fixed: String "Search result:" in drive label field wasn't updated when changing language (the fix also updates the current tab, but not other tabs) (32/64)
27.02.19 Fixed: Synchronize dirs: Do not warn if local dir contains 2 identical names with different case, e.g. a.txt and A.txt. However, sync functions are limited in this case (32/64)
27.02.19 Fixed: Ctrl+D, add directory to subfolder containing nested subfolders -> it wasn't added at the end of the subfolder, but before the first nested subfolder (32/64)
26.02.19 Fixed: Accessing tab with inaccessible network path can cause a hang when using IgnoreDirErrors=1 (32/64)
26.02.19 Fixed: After uploading zip file to virtual path (e.g. Android device), it could sometimes be opened internally by mistake (32/64)
26.02.19 Added: Included latest unrar dll 5.70.0 from www.rarlab.com (32/64)
22.02.19 Fixed: Handle directory traversal bug in unacev2.dll, affecting only the "unpack all" (Alt+F9) function (32)
17.02.19 Fixed: Shift+F4 dialog: Buttons "Tree" and "Cancel" were incorrect when using Cyrillic translation on English locale (32)
01.02.19 Fixed: Search: Detection of infinite loops in hard links/junctions/reparse points didn't always work (32/64)
23.01.19 Fixed: Couldn't drag directory from separate tree to empty space in tab header to add it (32/64)
21.01.19 Added: Always look in registry for key if no wincmd.key file is found in the supported locations (32/64)
21.01.19 Fixed: ZIP packer: ???? were shown instead of the name when packing to Unicode extra field, and verifying any Unicode mode (32/64)
14.01.19 Fixed: Directory history with shift+mouse wheel not working (64)
14.01.19 Fixed: Lister (F3), internal media player: Window size too small when viewing a lot of mp3 files, so the menu is broken into 2 lines (64)
14.01.19 Fixed: Lister (F3) was ticking the wrong codepage in the "Encoding" menu when opened (64)
14.01.19 Fixed: Folder tabs: when not using multiple lines for tabs, drag & drop of a tab to the opposite panel would add it to the source panel if it had hidden (scrolled) tabs under that position (32/64)
14.01.19 Fixed: Ignore X64Menu option on 32-bit Windows (32)
14.01.19 Fixed: When using X64Menu=1 in 64-bit version, the dialog in context menu - X32 - Configure was very small (64)
12.11.18 Fixed: ZIP packer: An incompressible file slightly smaller than 4GB, resulting in a compressed file >4GB appeared with a size of -1 in the created ZIP (but could still be unpacked) (32/64)
11.11.18 Fixed: Re-upload to FTP after editing now also works when the FTP connection is not displayed in one of the two panels, but still active (32/64)
11.11.18 Fixed: Compare by content, 2 files on the same FTP server but different user names -> edited file could be re-uploaded to the wrong server (32/64)
04.11.18 Fixed: Select all, switch between full and brief view mode: Entire list was scrolled slowly (64)
04.11.18 Fixed: FTP Upload/Download: Selection wasn't cleared when adding files to already opened background transfer manager with F5 - F2 (32/64)
04.11.18 Fixed: Header-encrypted RAR: Open archive, minimize+restore TC, try to unpack file, enter wrong password (remember password checked) -> user isn't asked again for the correct password (32/64)
30.10.18 Fixed: Dual screen, TC on the right screen: Search in separate process, maximize, minimize, restore -> search window had 0*0 pixel size (32/64)
01.10.18 Fixed: FTP error "Command in progress" in special case: Synchronize dirs, compare local dir with ftp, compare by content, edit remote file, save file, close compare tool, re-upload (32/64)
01.10.18 Fixed: Function to check file system links (junctions, reparse points) for infinite loops didn't handle relative paths created e.g. via "mklink /D MyDirLink ..\MyDir" while in directory "C:\MyDir" (32/64)
25.09.18 Fixed: Button bar: cd *.ext (to set custom filter) didn't support Unicode when using separate Left/Right menus (32/64)
24.09.18 Fixed: Multi-rename tool: [f] option didn't work for manually entered text, only for placeholders like [N] -> [f] is now applied for the entire text until the end or the next upper-/lowercase placeholder (32/64)
24.09.18 Fixed: Click on locked tab (directory changes not allowed) showed message about new tab when using TabEnterDirChange=2, but only if it was already the active tab (32)
24.09.18 Fixed: Click on locked tab (directory changes not allowed) showed message about new tab when using TabEnterDirChange=2 (64)
24.09.18 Fixed: Crash when starting external sync tool with /S=S parameter when PreventScrollbarCrash=1 was set (the default on Windows 8.1) (64)
24.09.18 Fixed: Search function: when going through list of old searches with up/down keys while the combobox was closed, the "RegEx" checkmark was only set, not removed (32/64)
24.09.18 Fixed: Search function: when going through list of old searches with up/down keys, the index reverted to the first item when a search with regular expression was encountered (64)
24.09.18 Fixed: Open archive with alternate packer via right click menu (internal association: **ext), then press Ctrl+B -> the default packer was now used (32/64)
23.09.18 Fixed: Crash viewing ICO files containing multiple PNG images (the problem seems to be re-using the TLazReaderPNG) (64)
23.09.18 Fixed: Search in archives by size wouldn't reliably find files >=2GBytes (32/64)
23.09.18 Fixed: Crash unpacking xz-packed zipx archives (because the necessary functions were missing from newer TCMDLZMA.DLL / TCLZMA64.DLL files) (32/64)

21.08.18 Release Total Commander 9.21a final (32/64)
18.08.18 Fixed: Compare by content: Disable button "Show only differences" during comparison, otherwise clicking it in the wrong moment could cause a crash (32/64)
16.08.18 Fixed: Ctrl+E and ESC (only with auto-complete+auto-append disabled) no longer worked in command line (32/64)
16.08.18 Fixed: Icons in menus: Selected items could no longer be shown as pressed buttons instead of checkmarks after saving icon options once (32/64)
15.08.18 Fixed: Crash when passing path to zip file to TC (e.g. from external Everything.exe), mostly on 64-bit (32/64)

15.08.18 Release Total Commander 9.21 final (32/64)
15.08.18 Fixed: Search in background: click on "Go to file" not going to files inside archives (64)
14.08.18 Fixed: FTP/FTPS via HTTP CONNECT proxy: Always send server name instead of IP address to proxy, also for data connections (can be overridden with SpecialFlags=1024) (32/64)
14.08.18 Fixed: Link overlay icons were shown for custom icons in file system plugin, e.g. for connections in SFTP (32)
13.08.18 Fixed: Crash in Lister when aborting text search with ESC (32)
13.08.18 Fixed: FTPS via HTTP CONNECT proxy: Reading directory not working after uploading a file (32/64)
10.08.18 Fixed: FTP/file system plugins: Log function could suddenly stop logging (32/64)
10.08.18 Fixed: Alt+F1, Alt+F2 drive dropdown combobox: No drive was shown after closing list with ESC (problem caused by Korean text input fix - needs to be applied to editable comboboxes only) (64)
10.08.18 Fixed: Any tree view: Icons to expand/collapse tree branches were wrong on some high DPI devices (32)
10.08.18 Fixed: Ctrl+F FTP connections: Folder icons were not displayed on high DPI screens when the file list icon size was changed (e.g. to 24x24) (32/64)
09.08.18 Fixed: Configuration - Options - Icons: Applying "Show drive icons from Explorer" didn't update Network Neighborhood, Computer and My Documents icons until after restarting TC (32/64)

08.08.18 Release Total Commander 9.21 release candidate 3 (32/64)
08.08.18 Fixed: FTP: Auto-reconnect when the connection is lost while uploading/downloading many empty directories recursively (32/64)
07.08.18 Fixed: Updated to latest unrar.dll 5.60.0 from www.rarlab.com, and latest tcmdlzma.dll (18.05) from 7-zip.org (32/64)
07.08.18 Fixed: Search function: Buttons below the search result couldn't be reached with Tab key, only with mouse or hotkeys (32/64)
07.08.18 Fixed: When using IgnoreDirErrors=1, don't show dialog to connect to network share twice, e.g. when changing to a network tab (32/64)
07.08.18 Fixed: When using IgnoreDirErrors=1, wait with connecting to UNC path \\server\share while nag dialog (with 1-2-3 buttons) is displayed (32/64)
07.08.18 Fixed: Keep nag dialog (with 1-2-3 buttons) usable and focused when dialog to connect to computer on the network (\\servername) is shown below it (32/64)
06.08.18 Fixed: Button bar: Button highlights (not pressed, hovered) not always disappearing after moving mouse away, e.g. after Alt+Shift+F11 (32/64)
03.08.18 Fixed: DPI dependent main menu icon sizes were not saved in resolution-specific section, loading worked fine (64)

01.08.18 Release Total Commander 9.21 release candidate 2 (32/64)
01.08.18 Fixed: Moved DPI dependent main menu icon sizes from [Configuration] to resolution-specific section for full multiple screen support, e.g. to [1920x1080 (16x20)] (32/64)
01.08.18 Fixed: Button bar, start menu parameters: %M added .. for updir item, but only when used in combination with %T (32/64)
01.08.18 Fixed: FTP: Auto-reconnect when the connection is lost while uploading recursively (32/64)
01.08.18 Fixed: Configuration - Options - Misc - Hotkey dropdown combobox: ESC now keeps the last chosen hotkey also on Windows 7 (32/64)
01.08.18 Fixed: Configuration - Options - Misc - Hotkey dropdown combobox: Do not open help on F1 (32/64)
01.08.18 Fixed: FTP: Auto-reconnect when the connection is lost while reading a subdirectory when downloading recursively (32/64)
01.08.18 Fixed: FTP: Dialog box "Not connected!" was shown as independent window without parent when TC wasn't in the foreground (32/64)
01.08.18 Fixed: Ctrl+Q: Focus went from active panel to quick view panel after switching away from TC and back, but only when ActiveTitle was set in wincmd.ini (32/64)
31.07.18 Fixed: Handle structured exceptions within wcmzip64.dll to prevent crashes with thumbnail packing (64)
30.07.18 Fixed: Problems with descript.ion files using UTF-8: Upper/lowercase conversion was incorrect, so comments were not picked up when accented characters had different case. Also caused problems with special characters on Chinese locale (32/64)
29.07.18 Fixed: Search with "Everything": Put regular expressions in double quotes, e.g. user enters ^(ABC|BCD) and checks "RegEx" and "Everything" -> send regex:"^(ABC|BCD)" (32/64)
29.07.18 Fixed: When closing some dialogs with ESC, e.g. FTP connection details, the dialog would disappear, and briefly re-appear before disappearing again (64)
29.07.18 Fixed: Distinguish between empty environment variables and non-existing environment variables. Replace %variable% with empty string in the first case (32/64)

25.07.18 Release Total Commander 9.21 release candidate 1 (32/64)
25.07.18 Added: Use smaller 16x16 link overlay icon (32/64)
25.07.18 Added: wincmd.ini [Configuration] PreventScrollbarCrash= enable function to prevent crash when loading Lister multiple times manually (32/64)
25.07.18 Fixed: Prevent crash when loading Lister multiple times also on Windows Server 2016 (32/64)
24.07.18 Added: wcx_ftp.ini [General] ReturnToReUploadDir=0 Set to 1 to automatically return to the directory to which an edited remote file was re-uploaded when saved (32/64)
20.07.18 Fixed: Crash in FTP connection details (Ctrl+F - Edit) in case of problems with user certificate store (32/64)
18.07.18 Added: Also show png images in addition to icons from ico/dll/exe files defined in file associations (32/64)
18.07.18 Fixed: All combobox controls: When entering Korean text and the last entered character is incomplete, clicking on another control inserted that character at the start of the control (32/64)
17.07.18 Fixed: Prevent flickering about 1 second after starting on Windows 7 (which was sending a WM_THEMECHANGED notification although the theme didn't change) (32)
17.07.18 Fixed: With option "Select only the filename when renaming" set, the name+extension were still selected when pressing down arrow on last file in list (32/64)
17.07.18 Fixed: Shift+F7 while the Quick View panel was shown -> other file operations like F5 stopped working (32/64)
16.07.18 Fixed: Reading directories with FindFirstFile/FindNextFile: Ignore empty names (0 length) returned by certain SMB servers (32/64)
16.07.18 Fixed: Alt+F1/F2 drive dropdown combobox: Show context menu also for Computer, Documents, Network Neighborhood, and connected devices. Opens location in Explorer (32/64)
15.07.18 Fixed: Always show internal link overlay icons for file system links (junctions, reparse points) (32/64)
15.07.18 Fixed: Lister: View RTF file with F3, press 1 then 4 -> two scrollbars were visible (64)
08.07.18 Fixed: Font in copy/pack progress bar wrong when using NewStyleProgress=0 -> use dialog box font, changed to bold (32/64)
08.07.18 Fixed: Default window position and size wrong when starting TC after changing scale factor in Windows 10 without logging out and back in (32/64)
08.07.18 Fixed: Empty directory panels when OldStyleDir=1 was set (it took precedence over IgnoreDirErrors) (32/64)
08.07.18 Fixed: Commands - Search -Load/Save, double click on saved item -> default focus was not set to start button (64)
08.07.18 Fixed: There was no more beep when foreground file operation ended while the main window was in the background (e.g. re-upload when editing) (32/64)
06.07.18 Fixed: Compare by content and Synchronize dirs also crashed on Windows 8.1 64-bit, happened after opening them multiple times (solution: keep hidden Lister open in the background) (64)
06.07.18 Added: Lister: Allow to set maximum line length for text when not using word wrap: wincmd.ini [Lister] unwrapwidth=1024 (uses more RAM for buffer for bigger numbers. Max. 16384) (32/64)

04.07.18 Release Total Commander 9.20 final (32/64)
04.07.18 Fixed: Header didn't show sort options of new view mode after duplicate search - feed to listbox (32/64)
03.07.18 Fixed: Do not apply sort order from automatic view mode switch when using Search - Advanced - Find duplicate files - Feed to listbox, and the view mode defined a custom columns view sorted by a custom column (32/64)
02.07.18 Fixed: Do not apply sort order from automatic view mode switch when using Search - Advanced - Find duplicate files - Feed to listbox, and the view mode defined a custom columns view (32/64)
01.07.18 Fixed: Configuration - Options - Misc - Hotkey dropdown combobox: ESC now closes dialog when ESC is already the chosen hotkey (32/64)
01.07.18 Fixed: Configuration - Options - Misc - Hotkey dropdown combobox: pressing F1-F12 now chooses that hotkey (F1 additionally opens the help) (32/64)
29.06.18 Fixed: Windows 10 developer preview, build 17686: Disable new tabbed interface in Lister window (32/64)

27.06.18 Release Total Commander 9.20 release candidate 3 (32/64)
27.06.18 Fixed: Skip internal associations in virtual folders where we can't get a local path for the file, e.g. a phone connected via MTP (32/64)
26.06.18 Fixed: DrivesShowUpcase=0 was ignored in %t parameter, always used uppercase drive letter (32/64)
25.06.18 Fixed: Prevent crash when reloading list of shared folders (e.g. to show shared overlay) (32/64)
24.06.18 Fixed: Lister crash on Windows 8.1 64-bit only, happened after opening Lister multiple times (solution: keep hidden Lister open in the background) (64)
22.06.18 Fixed: Moving separator between main panels wrong when showing two separate tree panels (32/64)
20.06.18 Fixed: Directory handle leaking in watchdir thread, preventing the ejection of USB sticks, and sometimes the closing of the program (32/64)

20.06.18 Release Total Commander 9.20 release candidate 2 (32/64)
20.06.18 Fixed: Client certificates: For the chosen certificate, store the SHA1 digest in addition to the serial number, because the latter isn't unique (32/64)
20.06.18 Fixed: Prevent thread watching for directory changes (Configuration-Options-Refresh-Auto-refresh when the file system changes) from hanging the main thread (32/64)
20.06.18 Fixed: Prevent blinking when opening main configuration dialog (caused by LockWindowUpdate) (32)
20.06.18 Fixed: Configuration - Options - Misc, hotkey dropdown combobox: Handling of ENTER, ESC and TAB keys was different in 32-bit and 64-bit (32/64)
19.06.18 Fixed: WM_DEVICECHANGE: Also react to DBT_DEVNODES_CHANGED notification to get correct drive icons (32/64)
19.06.18 Fixed: Ctrl+Q didn't work in virtual folders for files in the file system where the parent folder wasn't a file system directory, e.g. in libraries (32/64)
19.06.18 Fixed: Lister: Set new optimized default position and size on Windows XP or newer: Right aligned, width enough to show at least 84 characters (32/64)
19.06.18 Fixed: Windows 10 developer preview, build 17686: Open the windows for Lister, Verify Checksums, and Compare by Content in separate windows, not on extra tabs (32/64)
18.06.18 Fixed: Button bar, start menu: %t now also inserts the URL of the directory for FTP connections, just like %p (32/64)
18.06.18 Fixed: Lister: Switching between view options 4 and 5 could switch focus to main TC when using Alt+Letters for quick search (64)
18.06.18 Fixed: Inplace rename (Shift+F6): Moving to the previous/next file with cursor up/down could leave parts of the apply button on the previous line, e.g. on Windows XP (32)
18.06.18 Fixed: Removed error beep when user right clicked on drive button while context menu for folder tab or sorting header was already open (32/64)
17.06.18 Fixed: Do not re-load file lists showing custom columns when moving window between screens with different DPI. Instead, only adjust the column widths (32/64)
17.06.18 Fixed: New per monitor window sizes not used when using option ResolutionSpecific=0 in wincmd.ini (32/64)
17.06.18 Fixed: When using IgnoreDirErrors=1, switching to non-existent parent directory didn't work by double clicking on [..] entry (32/64)
15.06.18 Fixed: Change attributes: Date conversion only supported lowercase am/pm (32/64)
15.06.18 Fixed: Search function, find files in archive: "Search path not found" was shown by mistake (32/64)
15.06.18 Fixed: Button bar, start menu: Parameters %T and %t contained 0: prefix when the target directory was an FTP connection (32/64)
15.06.18 Fixed: Button bar, start menu: Parameters %M and %m contained full path when the target directory was an FTP connection (32/64)
15.06.18 Fixed: Change attributes: Prevent beep when using hotkey for "Load from file under cursor" groupbox (32)
15.06.18 Fixed: Lister, RTF view: Prevent crash when trying to print when the chosen printer is invalid (32/64)
15.06.18 Fixed: Load old searches from wincmd.ini: Not all searches were loaded from ANSI ini file if the total size of the names was >4095 characters (32/64)

13.06.18 Release Total Commander 9.20 release candidate 1 (32/64)
13.06.18 Fixed: Windows 10, main menu: Change screen scaling from 100% to 125% and back -> icons were too big (24x24 instead of 16x16) (32/64)
13.06.18 Fixed: Switch from search result (from "feed to listbox") to Network Neighborhood or other virtual folder -> the tab title still displayed "Search result:" (32/64)
13.06.18 Fixed: Search: Show "Search path not found!" not just for first invalid search location, but for all locations (up to 20), also when using list file (32/64)
13.06.18 Added: Windows XP and newer: Restore stored per monitor window size also when dragging Total Commander between monitors (32/64)
12.06.18 Added: Windows 7 and newer: restore saved position on Win+Shift+Cursor left/right, can be prevented with RestoreSize=0 (32/64)
12.06.18 Added: Windows XP and newer: save position separately for each monitor and dpi, in the form: monitor(x,y,w,h,dpi)=x,y,w,h (the last saved position remains the default) (32/64)
12.06.18 Fixed: Search: When specifying multiple search locations, the search was aborted when the first location couldn't be accessed, e.g. z:\;c:\ (32/64)
12.06.18 Fixed: Change attributes: Ignore leading and trailing spaces in date and time fields (32/64)
12.06.18 Fixed: FTP couldn't connect with implicit SSL via sChannel when the server sent a long banner message (32/64)
11.06.18 Fixed: Open files: Replace %1 with file name (if available) in FormatMessage error when available (32/64)
11.06.18 Fixed: Virtual folder "Computer" wasn't always updated when a drive was removed, e.g. for mounted ISO files (32/64)
11.06.18 Fixed: Don't inform user about new version twice if he checked manually immediately after starting TC with auto update checks enabled (32/64)
10.06.18 Fixed: Configuration-Options-View mode: too many custom columns listed in "Columns view" when the page "Custom columns" wasn't opened before (32/64)
10.06.18 Fixed: Reload theme data also when receiving WM_DPICHANGED, otherwise buttons in button bar may have black background until they are reloaded (32/64)
10.06.18 Fixed: Reduce redrawing of main window/flickering when receiving WM_THEMECHANGED message after WM_DPICHANGED (the theme wasn't actually changed) (32/64)
10.06.18 Fixed: Changed background color of parent/root buttons to button face color also on folder tabs (64)
08.06.18 Fixed: When using IgnoreDirErrors=1, and switching to a drive via drive bar or dropdown list, and a directory cannot be opened (e.g. because it was deleted), go to parent until the drive root (32/64)
06.06.18 Fixed: Auto-complete/Auto-append in Shift+F4: auto-append was only changed to auto-complete when auto-complete itself was turned off (32/64)

06.06.18 Release Total Commander 9.20 beta 6 (32/64)
06.06.18 Fixed: Couldn't create more archives of type .tar.plugin if files with that extension already existed, and "Create separate archives..." was checked (32/64)
06.06.18 Fixed: Auto-complete/Auto-append in Shift+F4: do not use auto-append here even if it's enabled by the user - only use auto-complete dropdown (32/64)
05.06.18 Fixed: Do not apply sort order from automatic view mode switch when using Search - Advanced - Find duplicate files - Feed to listbox (32/64)
05.06.18 Fixed: Update file/folder list in virtual folder "Computer" when a drive is removed (32/64)
05.06.18 Fixed: Launch programs/open files: Use GetLastError for FormatMessage error instead of error returned in hInstApp when showing launch error (32/64)
04.06.18 Fixed: Change Attributes dialog: Button placement wrong for right to left languages (32/64)
04.06.18 Fixed: Made Change Attributes dialog a bit larger to give more room for Russian and other languages (32/64)
03.06.18 Fixed: Decoding of MIME files: Detect multi-line names and named with different encodings, e.g. name*0*=UTF-8''part1  name*1*=part2.txt -> part1part2.txt (32/64)
03.06.18 Added: Option to show/hide speed info in background thread: wincmd.ini [Configuration] BackgroundSpeed=2 : 0=name, 1=speed when available, 2=alternating (32/64)
03.06.18 Added: Option to disable the centering of the F7/Shift+F7 dialog over the active panel: wincmd.ini [Configuration] NewFolderOverPanel=0 (32/64)
03.06.18 Fixed: F7/Shift+F7 dialog: Center dialog over top/bottom file panel when using vertical arrangement (32/64)
03.06.18 Fixed: Change attributes, "Load from file under cursor": Couldn't read attributes from file with access denied like c:\pagefile.sys (32/64)
03.06.18 Fixed: Automatic log rotation by date no longer worked (due to the fix for log files >4GB) (32/64)
31.05.18 Fixed: Multiple chained cm_xyz commands, e.g. cm_selectall,cm_copy on a button -> the last command was no longer executed (32/64)

30.05.18 Release Total Commander 9.20 beta 5 (32/64)
30.05.18 Added: Recognize .t7z extension as internal packer extension, show with archive icon (32/64)
30.05.18 Fixed: "Auto-rename copied" option not working properly when copying a file which can only be read as administrator (elevated) from a directory which can be read without admin rights (32/64)
30.05.18 Fixed: Drive selection dialog in search function, Plugin field picker in multi-rename tool: Disable minimize button when the parent dialog was maximized (64)
29.05.18 Fixed: Maximize, minimize, restore dialog -> dialog was no longer maximized: Custom Columns, FTP connection progress, Multi-rename tool, Plugin field picker, Print preview, Drive selection dialog, Configure file system/lister/content plugins (64)
29.05.18 Added: Decoding of MIME files where the name wasn't given -> use .txt extension for TEXT/PLAIN fields, and .htm for TEXT/HTML instead of .bin (32/64)
29.05.18 Fixed: Changed how the Drive selection dialog in the search function was minimized (32/64)
29.05.18 Fixed: Do not open 32-bit version when 64-bit version is already running and option "Allow only 1 copy of Total Commander at a time" was set (32)
29.05.18 Fixed: Disabled or removed some options like 'Everything' on older Windows versions when not available (32)
28.05.18 Fixed: Crash when comma is used after cm_command with parameter, e.g. "cm_SrcByDateTime 1," -> detect it as an error (32/64)
28.05.18 Fixed: Change attributes: Don't show error for default date/time field placeholders, e.g. dd/mm/yyyy, when the user didn't change them (32/64)
28.05.18 Added: Support Unicode in names of saved searches when the wincmd.ini (or the redirected ini for [searches] section) is stored with Unicode UTF-16 (32/64)
27.05.18 Added: Changed all URLs to ghisler.com to https, e.g. when using the auto update check, or Help - Visit Totalcmd's Website (32/64)
27.05.18 Added: Internal 7zip unpacker: Open .t7z archives where the file name wasn't stored in the 7z file header, set name of file inside to archivename.tar (32/64)
27.05.18 Added: When going to the root of a drive or share, e.g. via Ctrl+< or "\" button, place cursor on the directory which was part of the path, e.g. go to root from c:\Windows\System32 -> put cursor on "Windows" (32/64)
27.05.18 Fixed: Rename with Shift+F6 or Shift+Click on F6 button (invoking cm_renmov): If a single file is selected, rename that file instead of the file under the cursor (32/64)
27.05.18 Fixed: Other windows didn't flash when clicking on their parent, e.g. in Lister, main settings while a dialog box was open etc. (32)
27.05.18 Fixed: Auto-update check: Do not show Update information while TC is minimized or in the background, to not interfere with installing a new version (32/64)
27.05.18 Fixed: Internal 7zip unpacker: Couldn't unpack .tar.7z archives where the file name wasn't stored in the 7z file header. Use base name from archive, e.g. test.tar.7z -> test.tar (32/64)
27.05.18 Fixed: Change attributes: Error dialog didn't correctly display invalid Unicode input in date/time fields (32/64)
27.05.18 Fixed: With option CtrlArrowOpenArchive=4, TC was still looking for packer plugins which could open the file (32/64)
27.05.18 Added: Shift+F7 new folder in target panel: Return to source panel when the user cancels the input of the new name (32/64)
27.05.18 Added: F7/Shift+F7 new folder: Show dialog box over the panel where the directory will be created (32/64)
25.05.18 Fixed: No smart screen warning was shown for files protected by Windows smart screen filter in Windows 10 Spring creators update (2018), worked fine in older versions (reason: flag SEE_MASK_FLAG_NO_UI) (32/64)
24.05.18 Added: F7 new folder/Shift+F4 new file: Include [f] option also in dropdown list (Alt+"+") (32/64)
24.05.18 Added: Pass parameter FORMAT_MESSAGE_IGNORE_INSERTS to FormatMessage for errors when starting a program fails (32/64)

23.05.18 Release Total Commander 9.20 beta 4 (32/64)
23.05.18 Fixed: Dialog box didn't flash when clicking on main window when a dialog box was open (32)
23.05.18 Fixed: Update of OneDrive overlay icon (cloud) for files available only online didn't always work (64)
22.05.18 Fixed: Compare by content: After clicking on "Next difference" in binary mode, restore status bar to "X differences found" (32/64)
22.05.18 Fixed: Wrong icon was shown for files with no chosen associated program: Instead of "PerceivedType", use first entry from "OpenWithProgIDs" subkey (32/64)
22.05.18 Fixed: New string "Invalid input!" in attributes dialog wasn't used with internal English language (32/64)
22.05.18 Added: FTP: Allow to choose connection method via prefix: ftpes:// forces explicit ssl (AUTH TLS), while ftpis:// forces implicit ssl (encrypted from the start) (32/64)
22.05.18 Fixed: Command line edit control: cd path\filename didn't place cursor on file, but showed read error instead with IgnoreDirErrors=1 (32/64)
21.05.18 Added: Use Shift+F7 to create directory in target panel, using the name under the cursor from the source panel as the default (32/64)
21.05.18 Fixed: Change attributes: Couldn't enter a time with 59 minutes, e.g. 23:59 (32/64)
21.05.18 Fixed: When copying/moving/renaming a file, show "Invalid name" error when Windows reports an invalid name or path (error 123 or 161) (32/64)
20.05.18 Fixed: Incorrect decoding of multi-part MIME file where the individual file header "Content-Transfer-Encoding" came before the header "Content-Type" (32/64)
20.05.18 Fixed: Change attributes: Also report a time like 24:30 as an error. Allowed are 00:00:00-23:59:59 plus 5:00a/p or am/pm (am/pm is ignored for times >=13:00) (32/64)
18.05.18 Added: Multi-rename tool: Include [f] option also in dropdown list (Alt+"+") (32/64)
18.05.18 Fixed: Multi-rename tool: Translation of "English in Titles" wasn't changed when changing language, only after restarting TC (32/64)
18.05.18 Fixed: FTP, edit two or more text files (with F4) from two or more different directories, save all within less than 1 second -> sometimes one was still re-uploaded to wrong directory, with error that server is busy (32/64)
18.05.18 Fixed: Create CRC checksums, no options checked: CRC for existing checksum file wasn't created when the user changed the name in the overwrite confirmation dialog (32/64)
18.05.18 Fixed: No overwrite confirmation when copying a file which can only be read as administrator (elevated) from a directory which can be read without admin rights (32/64)
18.05.18 Fixed: cm_RenameOnly would rename the file under the cursor instead of the selection when only a single file was selected (32/64)
18.05.18 Fixed: Change attributes: Load from target file could only be invoked via hotkey, not via click on the button (32/64)

16.05.18 Release Total Commander 9.20 beta 3 (32/64)
16.05.18 Fixed: Only standard icons were shown for files with only "PerceivedType" set (32/64)
16.05.18 Fixed: Changed how the following dialogs are minimized: Custom Columns, FTP connection progress, Plugin field picker, Print preview, Configure file system/lister/content plugins (32/64)
16.05.18 Fixed: Add flag WS_POPUP for all resizable dialog boxes, otherwise GetParent() would return 0 (32/64)
16.05.18 Added: Compare by content: Select all with Ctrl+A both in read only mode and editor mode (32/64)
15.05.18 Added: Multi-rename tool: New placeholder [f] for option "First of each word uppercase (English in Titles)", also support in F7 and Shift+F4, e.g. <[f][N] (32/64)
14.05.18 Fixed: Error <Read error!> was shown by mistake on disks with just hidden/system files/folders (e.g. System Volume Information) when using IgnoreDirErrors=1 and hidden/system files not shown (32/64)
14.05.18 Added: wincmd.ini [Configuration] IgnoreDirErrors=-1 turns off <Read error!> also on TC start when a directory is unavailable (32/64)
14.05.18 Fixed: When using IgnoreDirErrors=0 (default) and directory doesn't exist, only show <Read error!> on TC start when the active tab was locked. Otherwise switch to parent directory (32/64)
14.05.18 Fixed: Installer: Call QueryFullProcessImageName if GetModuleFileNameEx fails, now also in 64-bit version (64)
14.05.18 Fixed: When using PreloadThumbnails=1 or 2, resume pre-loading thumbnails for the entire directory after changing sort order (32/64)
14.05.18 Fixed: Garbled lines in wincmd.ini (for size per dpi) when saving button bar (fpc bug) (64)
13.05.18 Added: wincmd.ini [Configuration] LowercaseStrings=English:a,an,the,at,by,for,in,of,on,to,from,up,and,as,but,or,nor,yet,so,vs  set title and excepted words for "First of each word uppercase" (32/64)
13.05.18 Added: Multi-rename tool: New upper/lowercase option "First of each word uppercase (English in Titles)" which doesn't uppercase words like "a", "an", "the" etc., except at the start or end (32/64)
13.05.18 Fixed: Change attributes dialog: Show error message when user enters invalid date or time also in date/time-specific plugin field(s) (32/64)
11.05.18 Fixed: Copy/move/rename file with long name >259 characters: warning about the last part longer than 256 characters was wrong by 1 character, should be max. 255 (32/64)
11.05.18 Fixed: Still range check errors in some cases when resizing controls (problem was that the Lazarus library was compiled with range check on due to missing miscellaneousoptions.xml file) (64)
10.05.18 Fixed: Loading of thumbnails didn't resume after changing sort order (64)
10.05.18 Fixed: Increased combobox dropdown count to 30 in various dialogs: Multi-rename tool: Load/save settings, Change attributes: Load/save settings, Associate: All files with extension, Split file: Bytes for file, Configuration - Color: Others, Configuration - Misc: Redefine hotkeys (64)
10.05.18 Fixed: FTP connection details: Hotkey for new option "Client certificate" didn't work (32/64)
10.05.18 Fixed: Change attributes dialog: Show error message when user enters invalid date or time (32/64)
10.05.18 Fixed: Button bar, start menu: %N parameter would pass '..' to program when cursor was standing on "go to parent" directory entry (32/64)
10.05.18 Fixed: Log files (normal or ftp) >4GB didn't work (32/64)

09.05.18 Release Total Commander 9.20 beta 2 (32/64)
09.05.18 Fixed: Installer: Detect when Total Commander is running even when one path is in long form and one in 8.3 form, e.g. c:\Program Files\total commander\ and C:\PROGRA~1\TOTALC~1 (32/64)
09.05.18 Fixed: When moving the main window docked to the left/right side (AeroSnap) between 2 screens with different DPI with Shift+Win+Cursor left/right, the window was resized (AeroSnap was lost) (32/64)
09.05.18 Fixed: Crash creating new FTP connection via Ctrl+F - New connection (64)
09.05.18 Fixed: Buttons for directory hotlist and history didn't have the right foreground color in high contrast mode with black background (64)
09.05.18 Fixed: Buttons for directory hotlist and history could disappear when resizing window (64)
08.05.18 Fixed: Alt+2 hotkey not working in "Change attributes" dialog (64)
08.05.18 Fixed: Synchronize dirs, right click context menu, "Copy file properties": When copying NTFS permissions, the archive attribute was set by Windows (32/64)
08.05.18 Fixed: Tree shown in normal file panel: Cursor was not placed on moved line when clicking on [+] or [-] symbol (AllowSetCursorPos had no effect) (32/64)
08.05.18 Fixed: Updated 7zip unpacker dlls (TC7Z.DLL/TC7Z64.DLL) to version 18.05 from https://www.7-zip.org/sdk.html, with various improvements (the security problem CVE-2018-10115 in RAR unpacking does not affect this dll since TC uses the official unrar dll) (32/64)
08.05.18 Fixed: Misaligned and overlapping controls in multi-rename tool (32/64)
07.05.18 Fixed: Error <Read error!> was shown by mistake on empty disks with no files when using IgnoreDirErrors=1 (32/64)
07.05.18 Fixed: Selection was always lost in virtual folders like the Desktop when switching away from TC and back, even when nothing changed (32/64)
07.05.18 Fixed: Configuration - Options - Refresh - "No refresh for these drives" didn't work correctly for virtual folders: ':' should disable refresh, but instead, '\' was used (32/64)
07.05.18 Fixed: Range check error when the width or height of a control was set to a negative number by mistake, e.g. via cm_100Percent (64)
07.05.18 Fixed: Mouse wheel: combine wheel turning into one scroll operation, e.g. instead of 3x WM_VSCROLL, SB_LINEDOWN, scroll 3 lines together (64)
06.05.18 Fixed: Compare by content, very big files, start comparison within compare tool: Show progress both for the initial comparison and for counting the differences (32/64)
06.05.18 Fixed: When passing path to TC via command line or WM_COPYDATA, do not show <Read error!> when invalid - always go to valid parent (32/64)
06.05.18 Fixed: View modes, auto switch mode: "Must match" option didn't work with FTP paths when using patterns *\myfolder\*\ (specified folder and subfolders) or *\myfolder\ (folder only) (32/64)
04.05.18 Fixed: Search for *2?21?3* didn't find dots in the location of the ? placeholders, e.g. 2.21.36.jpg - Reason: bug in Windows function FindFirstFile (32/64)

03.05.18 Release Total Commander 9.20 beta 1 (32/64)
03.05.18 Fixed: F7 new folder: Placeholder <[d] inserted the date from the file timestamp instead of the current date as documented. Use <[T1][d] to insert the file date (32/64)
02.05.18 Fixed: Crash on program start when entering very long command line (e.g. 1000 characters) in TC "Start" menu (32/64)
02.05.18 Fixed: Verify checksums: Detect UTF-8-encoded checksum file even without byte order mark (32/64)
02.05.18 Fixed: Use GetTickCount64 on Windows Vista or newer to show system up time >49 days (32/64)
02.05.18 Fixed: Improved system info dialog: Show CPU details from registry, Windows 10 ProductId, Windows type (Home, Professional, Ultimate etc), get SystemBiosVersion if SystemBiosDate is missing (32/64)
01.05.18 Fixed: Drag tab to other panel with no tabs -> tab was added also for current directory of that panel, but without icon (32/64)
30.04.18 Fixed: FTP client: Automatically use sChannel (even with OpenSSL present) on Vista or newer when using a client certificate (32/64)
30.04.18 Added: FTP client: Support for client certificates for ftps (ftp over ssl/tls) from Windows certificate store. Only works with schannel library on Vista or newer, not openssl (32/64)
29.04.18 Fixed: Create CRC checksums, SFV format: The "beta" character in beta versions wasn't stored correctly in UTF-8-encoded sfv files (32/64)
27.04.18 Fixed: File system links (junctions, reparse points): Do not draw 2 link overlays (internal and from Windows itself), it results in a double border on Windows 10 (32/64)
27.04.18 Fixed: Removed flickering caused by functions added to handle switching from/to high contrast mode (32/64)
24.04.18 Fixed: Button bar, start menu: parameter %O was appended with limit of 1023 characters, so it could be cut if the command line was longer (32/64)
23.04.18 Added: If we cannot access a directory when TC starts, show <Read error!> even if IgnoreDirErrors=1 isn't set (32/64)
23.04.18 Added: Changing to directory via history or by switching tab -> ask for admin rights if we get error 5 (access denied), e.g. for C:\Windows\System32\config (32/64)
22.04.18 Added: Button bar: Button size and small icon size can now be set separately for each screen scale (dpi), e.g. for 4k screen and full hd screen (32/64)
20.04.18 Fixed: Windows 10, switch from/to high contrast mode -> text and background colors of various buttons were wrong (32/64)
20.04.18 Added: wincmd.ini [Configuration] AutoRenameMode=3: Determines how files are auto-renamed when copying or in multi-rename tool. Sum of: 1: append number (x) separated by space, 2: start number at (2), not (1) (32/64)
20.04.18 Fixed: Crash when viewing file with cudalister plugin, modifying the file, and closing lister without saving (32)
16.04.18 Added: Button bar, start menu: Add quotes around name inserted with %p%n too if it contains spaces or '&' character (32/64)
16.04.18 Added: When searching in virtual folder \\Desktop (Alt+F7 or Alt+Shift+F7), search both in user directory and common directory (32/64)
16.04.18 Added: Trying to create a subdirectory in non-existent directory with F7 or via command line (md dir) will now create the missing parent directory too (32/64)
16.04.18 Added: Double click on <Read error!> entry in unreadable directories lets TC retry to read the directory (32/64)
15.04.18 Fixed: Some content plugins could crash the plugin picker dialog (e.g. click on [=? Plugin] in multi-rename tool) when the user closed the dialog while the plugin sample value was still being loaded (32/64)
15.04.18 Fixed: Configuration - Button bar: in rare cases, the wrong icon was still shown after closing/re-opening the dialog (bug in LoadIconWithScaleDown function) (32/64)
13.04.18 Fixed: cd c:\ProgramData\Microsoft\Windows\WER\ReportQueue\ caused unnecessary elevation prompt (32/64)
13.04.18 Fixed: Copying to t:\ fails if it's substed drive for dirs with write access for which SetCurrentDirectory didn't work, like c:\ProgramData\Microsoft\Windows\WER\ReportQueue\ on Windows 10 (32/64)
13.04.18 Fixed: Ctrl+R in c:\ProgramData\Microsoft\Windows\WER\ReportQueue\ caused unneccessary elevation prompt (32/64)
13.04.18 Fixed: Button bar, paste button from clipboard: Remove all trailing spaces, they are often added when copying button bar data from a Web browser (32/64)
10.04.18 Fixed: Lister: Couldn't find Cyrillic text under special conditions: language for non-Unicode programs=Russian, encoding=Ansi (0), default font was changed (32/64)
10.04.18 Fixed: Internal 7zip unpacker: password dialog for encrypted file names was sometimes not modal (user could still go back to TC) (32/64)
09.04.18 Fixed: Separate search dialog: only use second file name as list file name (selected files) if the name ends with .tmp (32/64)
09.04.18 Fixed: Couldn't copy to certain directories with F5-F2, e.g. to C:\ProgramData\Microsoft\Windows\WER\ReportQueue\, because SetCurrentDirectory failed (32/64)
09.04.18 Fixed: Starting a search in certain directories failed with error "Search path not found!", e.g. in C:\ProgramData\Microsoft\Windows\WER\ReportQueue\, because SetCurrentDirectory failed (32/64)
04.04.18 Added: wincmd.ini [Configuration] IgnoreDirErrors=1 allows to switch to inaccessible or non-existent directories, shows <Read error!> in file list instead (32/64)
04.04.18 Added: New button bar parameter %Y anywhere in the parameter list: Allow empty lists when nothing is selected for parameters %S, %R, %L, %l, %F, %f, %D, %d, %WL, %WF, %UL and %UF (32/64)
03.04.18 Fixed: Standalone search via Alt+Shift+F7: Use real path for virtual folders, e.g. "Desktop" -> C:\Users\<username>\Desktop, show error if not available (32/64)
03.04.18 Fixed: Synchronize dirs with compare by content: Show "?" and not "unequal" when there is a read error in the middle of a file (32/64)
03.04.18 Fixed: Delete to recycle bin: Always divide the reported numbers by 2, since the reported estimates are mostly twice the number of files deleted (32/64)
26.03.18 Fixed: Switch between two directories with exactly the same content, e.g. a directory and a junction/reparse point to the same directory -> view modes were not updated (32/64)
26.03.18 Fixed: Drag URL from Chrome or Firefox to Total Commander: Disallow drop to file system plugin (32/64)
26.03.18 Fixed: Copying files, background transfer manager: Speed limit didn't work any more for the second file and below (32/64)
26.03.18 Fixed: Copying files, option "Auto-rename target": The renaming of the existing target files to e.g. "file (2).ext" wasn't logged (32/64)
26.03.18 Fixed: Copying files: reset speed calculations when overwrite confirmation dialog is shown (32/64)
25.03.18 Added: Icon from internal association takes precedence over internal packer icon (e.g. for *.rar) (32/64)
25.03.18 Fixed: "x32" submenu in file right click context menu (only displayed with X64menu=1 in [Configuration]): menu item "Configure..." not working (64)
25.03.18 Fixed: Compare by content, binary mode: Problems with files >2GB: no progress bar within compare results to count differences, sometimes crashes, no "show only selected" (64)
25.03.18 Fixed: Button bar button: Parameters %P, %p, %N, %n, %T, %t, %M, %m wrong in archive branch view: The name parameters need to contain the relative path (32/64)
24.03.18 Fixed: Button bar button: Parameters %L, %l, %F, %f, %D, %d, %WL, %WF, %UL, %UF didn't put local paths in list for file system plugins like virtual panel (32/64)
24.03.18 Fixed: Button bar button: Parameters %C1, %C2, %c1, %c2 etc. didn't work with file system plugins returning local path like virtual panel (32/64)
23.03.18 Fixed: Button bar button: Parameters %c1, %c2, %n, %m were not using 8.3 names any more (32/64)
23.03.18 Fixed: Command line parameters: Always treat file with extension .tab as a directory tab file, even when a packer plugin claims the extension for itself (32/64)
23.03.18 Fixed: FTP: no second progress bar was shown when uploading subdirectories (32/64)
23.03.18 Fixed: FTP, edit two text files (with F4) from two different directories, save both within 1-2 seconds -> re-upload errors (32/64)
21.03.18 Fixed: cm_GotoNextDrive, cm_GotoPreviousDrive: skip drives with no media when HideRemovableNoMedia!=0 (32/64)
20.03.18 Fixed: Synchronize dirs with FTP server: Download, "Resume all" didn't work (it re-downloaded from the start), "Resume" worked (32/64)
20.03.18 Fixed: Non-Unicode SunOS-compatible TAR archives (long name stored within same header): Long paths were cut at 155 characters (32/64)
20.03.18 Fixed: Synchronize dirs: Ctrl+F3 (compare left and right) tried to compare empty directory only present on one side (32/64)
20.03.18 Added: Files - change attributes: Button to load attributes from file under cursor in target panel, labeled LEFT or RIGHT (hotkey: Alt+2) (32/64)
20.03.18 Fixed: Delete file from ZIP subdir -> file list wasn't refreshed if the subdir wasn't by itself stored in the zip, just the file with relative name (32/64)
15.03.18 Fixed: Do not beep in compare by content when copying a line which wasn't selected between the panels (Alt+Left or Alt+Right), only when copying from the inactive to the active panel (32/64)
14.03.18 Fixed: GZip unpacker: Couldn't unpack GZ file with very large extra field >8kBytes (32/64)
14.03.18 Fixed: GZip unpacker: Only first stream of multi-stream gz file was unpacked when it had the same CRC as the last stream (32/64)
14.03.18 Fixed: File system plugins with custom icons: icons were not refreshed when changing icon size in configuration and just entering the plugin root (32/64)
13.03.18 Fixed: Files - Change attributes - Add - Comment - ">>" (Edit comment) -> the buttons were not visible (64)
13.03.18 Added: Command line parameters: Support switching to virtual folders via GUID, e.g. for drive list, use /L=::{20D04FE0-3AEA-1069-A2D8-08002B30309D} (32/64)
13.03.18 Added: Command line: support switching to virtual folders via GUID, e.g. for drive list, use cd ::{20D04FE0-3AEA-1069-A2D8-08002B30309D} (32/64)
13.03.18 Added: Button bar: support shell GUIDs, e.g. to go to Explorer's recent dirs, use cd ::{22877a6d-37a1-461a-91b0-dbda5aaebc99} (32/64)
13.03.18 Fixed: Files - Pack files: Dropdown list of packer plugins only showed up to 8 plugins without scrolling, increased to 30 (64)
13.03.18 Fixed: Configuration - Button bar: Couldn't delete exe/dll files used for icons in the bar after closing the dialog (they still stay locked while the dialog is up) (32/64)
13.03.18 Fixed: Files - Split files: Last used size wasn't remembered as default. Now saved in wincmd.ini [Configuration] SplitBytesPerFile (32/64)
12.03.18 Fixed: Compare by content: Clear last search result (underlined text) when changing the text or re-comparing from current line (32/64)
12.03.18 Fixed: View mode with custom columns view: Additional sort orders defined in the view mode were not applied (32/64)
12.03.18 Fixed: View modes, auto switch mode: "Must match" option didn't work with FTP paths, e.g. *\public_html* matches folder named "\public_html" and all subfolders. Must use backslashes in pattern (32/64)
12.03.18 Fixed: Files - Encode files: Options were not remembered when closing Total Commander. Store in wincmd.ini [Configuration] EncodeMethod=0..2 and EncodeLinesPerFile (32/64)
12.03.18 Fixed: Trying to close locked tab with middle mouse click (wheel) or ctrl+left click -> show tab title in confirmation dialog (32/64)
12.03.18 Fixed: Ctrl+Click on inactive tab now closes the tab without switching to it first (32/64)
12.03.18 Fixed: Button bar: When shown as dropdown menu, items without an icon are not displayed as pressed (e.g. sort by name button when list sorted by name) (32/64)
12.03.18 Fixed: Crash when switching to different tab with mouse when using Windows 10 exploits protections (due to  handle values > 4GB) (64)
11.03.18 Fixed: No drive icons from Explorer were shown when using Windows 10 exploits protections (due to  handle values > 4GB) (64)
11.03.18 Fixed: Copying in foreground, then clicking on background button crashed when using Windows 10 exploits protections (due to handle values > 4GB) (64)
09.03.18 Fixed: Background transfer manager crashed when using Windows 10 exploits protections (due to handle values > 4GB) (64)
27.02.18 Fixed: Synchronize dirs, internal compare plugin (compare as text) may hang with 2 files of different size, multiple of 32kBytes (32/64)
10.12.17 Fixed: Configuration - button bar: icons were sometimes wrong (32/64)
04.12.17 Added: Show warning in log when upload to Micrsoft IIS FTP server via TLSv1.2 fails. Search for KB2888853 for a hotfix (32/64)

24.11.17 Release Total Commander 9.12 final (32/64)
23.11.17 Fixed: Get \\tsclient shares during remote desktop session using Unicode functions (64)
22.11.17 Fixed: Position and size of background copy dialog (F5-Enter-Background) could be wrong on Windows 10 Creators Update (32/64)
22.11.17 Fixed: Drag the copy progress dialog (F5-Enter) to secondary screen with different DPI -> size wasn't changed (64)
21.11.17 Fixed: If the option EditNewName=name was set to a placeholder string, e.g. EditNewName=<[YMD].txt, the placeholders were not resolved on Shift+F4 (32/64)
21.11.17 Fixed: 32-bit color drive icons with transparency still used the first pixel as transparent color for the drive buttonbar (64)
21.11.17 Fixed: Printing didn't work when starting TC with command line parameters starting with / (e.g. /i=ini file) (64)
21.11.17 Fixed: The initial window size of resizable dialogs (e.g. synchronize dirs, multi-rename tool etc.) was too small on high dpi screens (64)
21.11.17 Fixed: Synchronize dirs, copy attributes (via right click menu): Couldn't copy timestamp if target had read only attribute (32/64)
21.11.17 Fixed: Internal associations pointing to different packers didn't work any more, e.g. *.exe -> "7zip packer", **7z (32/64)

16.11.17 Release Total Commander 9.12 release candidate 4 (32/64)
15.11.17 Fixed: Close and restart Total Commander when starting remote desktop session causing Windows 10 main menu bug (local PC is set to custom scale factor) (64)
15.11.17 Fixed: 7zip: Partial support for 7zip archives with different password for file names and file content. Multiple files with different content passwords can only be unpacked separately, though (32/64)
15.11.17 Fixed: Windows 10: Lister opening with caret (text cursor) visible, move cursor with keyboard -> cursor bar also remained in top left position (64)
14.11.17 Fixed: Alt+F5 pack dialog: "Encrypt" checkbox wasn't disabled when opening the dialog with a plugin as default packer which doesn't report encrypt option in packer capabilities (64)
14.11.17 Fixed: Windows 10 terminal server session to other Windows 10, local PC is set to custom scale factor, e.g. 120% -> Windows bug in displaying menus -> disable dpi per screen scaling when starting (32/64)
13.11.17 Added: wincmd.ini [Configuration] AutoUpdateCheckBeta=1: If set together with AutoUpdateCheck=1, new beta versions will be reported even when using a final version (32/64)
13.11.17 Added: wincmd.ini [Configuration] RestoreSize=0 prevents TC from restoring to saved size when receiving WM_DISPLAYCHANGE or WM_DPICHANGED message (32/64)
13.11.17 Fixed: Windows 10 creators update: mp4 video would play outside of Lister window, unless DpiPerScreen=0 was set (reason: it was creating a playback window in a separate thread) (32/64)
12.11.17 Fixed: Internal 7zip unpacker didn't show 'e' in attributes column for encrypted files (32/64)
12.11.17 Fixed: Search in office xml files would sometimes fail (32/64)
10.11.17 Added: wincmd.ini [Configuration] useshellconnect=-1 uses own user name and password dialogs for PCs where WNetAddConnection3 crashes (32/64)

09.11.17 Release Total Commander 9.12 release candidate 3 (32/64)
09.11.17 Fixed: Help file: Removed redundant references to history.txt from "what's new" section (32/64)
09.11.17 Fixed: Do not clear selection after right clicking on F8 button or drive buttons (32/64)
08.11.17 Fixed: View modes: Re-apply view modes to current panels for commands cm_Exchange and cm_ExchangeWithTabs (32/64)
08.11.17 Fixed: View modes: Icons on tabs were lost after cm_ExchangeWithTabs command (32/64)
08.11.17 Fixed: Division by zero error when printing RTF file in Lister (64)
08.11.17 Fixed: Windows 10 creators update: Window position not loaded correctly on third screen with this arrangement: 1:125%, 2:100%, 3:125%, because 1 and 3 have the same scale factor (32/64)
07.11.17 Fixed: Ctrl+Left/Right arrows in F7 now works again as in TC 9.0a (no stop at dots, but stops at some braces) (32/64)
05.11.17 Fixed: Synchronize dirs: Clicking in the 'Show' section (not on a button) only refreshed the results in the 32-bit version (64)
05.11.17 Fixed: Multi-rename tool: Do not call SetFileAttributes after renaming when user has set option SetArchiveBitOnRename=0. Also ignore all errors in SetFileAttributes (32/64)
05.11.17 Fixed: Synchronize dirs: Don't react to Ctrl+F3 hotkey on lines with directories (32/64)
05.11.17 Fixed: 64-bit: Prevent plugins written in Lazarus from crashing by changing the name for GetProp/SetProp to store control data from 'WinControl' to 'WinControlTC'. Changed plugin interface version reported by ListSetDefaultParams to 2.11 (64)

03.11.17 Release Total Commander 9.12 release candidate 2 (32/64)
02.11.17 Fixed: Call extra invalidate function for main window and listboxes when moving between windows with different DPI (32/64)
02.11.17 Fixed: Changed version from 9.11 to 9.12, for obvious reasons (9/11) (32/64)
02.11.17 Fixed: Get icon for file system plugin from uwfx file if wfx file is missing (32)
01.11.17 Fixed: Do not move window to saved position when receiving WM_DISPLAYCHANGE message but the display size didn't actually change (32/64)
01.11.17 Fixed: Do not dim regular overlays like link overlay, cloud overlays or tortoise svn overlays on hidden files/folders (32/64)
01.11.17 Fixed: Do not draw two icon overlays on file system links, prefer the overlay from Windows when available (32/64)
01.11.17 Fixed: The "!" icon overlay wasn't dimmed when icons for hidden files/folders were set to dimmed in the configuration (32/64)
31.10.17 Fixed: Search function, find files in archive, edit with F4 -> file not repacked when changed, or deleted when unchanged, when file in archive subdirectory (32/64)
31.10.17 Fixed: wincmd.ini, resolution-specific section: FontSizeTip was ignored on Windows 10 creators update (64)
31.10.17 Fixed: Search function, start search: The search window was expanded only minimally the first time it was used (position not stored yet) (32/64)
31.10.17 Fixed: Open archive, ENTER, "Unpack all and execute" -> "OK" button in wait dialog changed to Cancel. Reason: Apparently the buttonID changes from IDOK to IDCANCEL (!) (32/64)

27.10.17 Release Total Commander 9.11 release candidate 1 (32/64)
27.10.17 Fixed: Get icon for file system plugin from wfx64 file if wfx file is missing (64)
27.10.17 Fixed: Create checksums, separate for each directory -> skip checksum creation for checksum file itself if it was already there (32/64)
26.10.17 Fixed: Moving entries in F7 - Text Search - Plugins list didn't move the plugin fields (32/64)
26.10.17 Added: wincmd.ini [Configuration] IconOverlaysOneDrive=1/0: Enable/disable cloud overlay icons for OneDrive files which are only available online (32/64)
25.10.17 Added: Windows 10: Show cloud icon for files on OneDrive which are only available online (not offline on this computer) (32/64)
25.10.17 Fixed: Make some plausibility checks of the bitmap header before calling CreateIconFromResourceEx, e.g. when loading a button bar (32/64)
25.10.17 Fixed: Windows 10: ReplacePhotoApp option didn't work when using an internal association with ** set as program name (32/64)
24.10.17 Fixed: Use ShellExecuteEx instead of WinExec to open command prompt via menu Commands - Open command prompt window (32/64)
24.10.17 Fixed: The icon size in the button bar was wrong when starting with a fresh wincmd.ini, and saving TC position on secondary screen with different DPI without ever setting the button bar size (32/64)
24.10.17 Fixed: The icon size in the file lists was wrong after moving Total Commander between two screens with different DPI (64)
24.10.17 Fixed: The width of the main menu items could be wrong after moving Total Commander between two screens with different DPI (64)
24.10.17 Fixed: GDI leak in drawing colored tab headers (32/64)
23.10.17 Fixed: Cancel button in copy progress dialog stopped working in RC2 for small files (still worked with bigger files), same for delete progress dialog (32)
23.10.17 Fixed: Nag dialog: Font size wrong on high DPI screens on page shown when using a blocked key (64)
23.10.17 Fixed: Uninstaller: Font too small for some dialog items on high DPI screens (32/64)

20.10.17 Release Total Commander 9.10 final (32/64)
19.10.17 Fixed: GDI memory leak when using inverted cursor, and alternating background colors via a view mode (64)
19.10.17 Fixed: Some OneDrive fixes for Windows 10 Fall Creators Update didn't work in 64-bit version only (64)
19.10.17 Fixed: F5 copy - Enter - Background -> dialog box wasn't scaled correctly on secondary screen (Windows 10 Creators Update) (32/64)
19.10.17 Fixed: Right click menu - "New" submenu: When copying a template file, set its date+time to current date+time (32/64)
19.10.17 Fixed: Right click menu - "New" submenu: In some rare cases, a different menu item than chosen by the user could be invoked (32/64)

18.10.17 Release Total Commander 9.10 release candidate 3 (32/64)
18.10.17 Fixed: Windows 10 Creators Update and Fall Creators Update: when changing scaling (e.g. 100%->150%) in Windows, limit window size to current screen user area (32/64)
18.10.17 Fixed: Abort sorting manually by custom column with ESC if it hangs for more than 2 seconds (32/64)
17.10.17 Fixed: The option QuickSearchAllowNoMatch=1 didn't work in the 64-bit version (64)
17.10.17 Fixed: Dialog boxes wouldn't correctly restore their position on Windows 10 Creators Update after the user changed the scaling of the primary screen (without logging out and back in) (32/64)

16.10.17 Release Total Commander 9.10 release candidate 2 (32/64)
16.10.17 Fixed: Disable per screen scaling on Windows 10 if the user changed the scaling of the primary screen, resulting in faulty scaling until the user logged out and back in (32/64)
16.10.17 Fixed: Go back in history: When a path isn't accessible and the user doesn't pick a different drive, remaining in the same directory, then swap the current and previous path in the history (32/64)
16.10.17 Fixed: Increased maximum stack size from 512k to 640k due to a stack exhaustion error (0xC00000FD) one user had (32)
15.10.17 Fixed: F5 - F2 or add files to queue: Use message above WM_USER to send names to the dialog instead of WM_COMMAND (32/64)
13.10.17 Fixed: Button bar: couldn't set icon size smaller than 16x16 any longer (32/64)
13.10.17 Fixed: Go back in history: When a network path isn't accessible and the user picks a different drive, replace the network path with that drive in the history (32/64)
13.10.17 Fixed: Go back in history: When using a (separate) tree, update it with the real directory if we couldn't go to the dir in the history (32/64)
13.10.17 Fixed: Lister: Couldn't load images via Irfanview when started as a standalone program with /S=L parameter (64)
13.10.17 Fixed: Lister: Window size could change when switching between files with 'n' and 'p' keys (64)
13.10.17 Fixed: Lister: No horizontal scrollbar for images larger than the window (64)
12.10.17 Fixed: History and hotlist buttons were sometimes (partially or fully) hidden after switching button bars with different lines (64)
12.10.17 Fixed: Hints for history and hotlist were interchanged after recent fix regarding hint font size (64)
12.10.17 Fixed: Option autocompletetab>0 not working in 64-bit version only (64)
12.10.17 Fixed: Auto-complete no longer worked in Shift+F4 (32/64)
12.10.17 Fixed: Ctrl+Left/Right arrows no longer stopped at dots in names in F7 or Shift+F4 (32/64)
12.10.17 Fixed: Search with 'Everything': Escape the character '!' at the start of the search string with double quotes instead of a backslash, e.g. !test.txt -> "!"test.txt, otherwise the text will not be found in the middle of a name (32/64)

10.10.17 Release Total Commander 9.10 release candidate 1 (32/64)
09.10.17 Fixed: Tab height was still changing in classic theme when creating first tab on both sides with multi-line tabs disabled (32/64)
09.10.17 Fixed: Crash when showing wait to close dialog, fixed by creating dialog without its own class, and setting icon manually (32/64)
09.10.17 Fixed: F4, Shift+F4, Enter in archive -> wait to close dialog wasn't shown any more even with EditWaitTime>0 (32/64)
09.10.17 Fixed: Go back in history: Restore history position if reconnecting to ftp server fails (32/64)
08.10.17 Fixed: Configuration - Options - Color: Adjust height of color comboboxes also when moving dialog between screens of different dpi (32/64)
08.10.17 Fixed: Dialog boxes like search were no longer scaled after using some internal commands like OPENLANGUAGEFILE (64)
08.10.17 Fixed: Crash trying to unpack file from 7z or rar file to path longer than 259 characters - problem with wrapping long names in dialog box (32/64)
08.10.17 Fixed: SystemTimeToTzSpecificLocalTime crashes on Windows XP for times beyond the year 2559 -> Limit displayed time to 2559 (32/64)
08.10.17 Fixed: Multi-rename tool, button [E#-#]: Placeholder was added to the name instead of the extension field when using option "Use [first,last]" (32/64)
08.10.17 Fixed: Multi-rename tool, button [E#-#]: Nothing was added when choosing option "Measure last character from the end". Same problem with [P#-#] and others from the dropdown list (32/64)
08.10.17 Fixed: Search with 'Everything': Escape the character '!' at the start of the search string, e.g. !test.txt -> \!test.txt, otherwise nothing will be found because '!' means 'not' (32/64)
08.10.17 Fixed: FTP: Templates can now be given either as ANSI (current system encoding) or UTF-8 for UTF-8 servers (32/64)
06.10.17 Fixed: Configuration - Options - Color: Comboboxes not high enough on high DPI screens (32)
06.10.17 Fixed: FTP: Templates didn't work with UTF-8 encoding if the month name contained an accent (32/64)
06.10.17 Fixed: Internal associations: Quick toggle on/off by clicking on initial * character -> also toggle multiple extensions, e.g. *.c *.cpp <-> -.c -.cpp (32/64)
06.10.17 Fixed: Configuration - Options - Tabstop: After clicking on "Default", the "Ext" column was too narrow when using non-standard size format for file lists (32/64)
06.10.17 Fixed: Set size of the directory history and hotlist button icons depending on the main window font size, not the dialog box scaling (32/64)

04.10.17 Release Total Commander 9.10 beta 3 (32/64)
04.10.17 Fixed: Lister: menu line spacing wrong when using OverrideDPI options (64)
04.10.17 Fixed: Comments didn't work for file names longer than 127 characters from UTF-16 Unicode files (32/64)
04.10.17 Fixed: Icons in tabs: Icons from desktop.ini and from custom view modes different when using 32x32 icons in file list (32/64)
03.10.17 Fixed: Configuration - Button bar: Icon wrong for buttons other than the current one when icon name didn't have extension (32/64)
03.10.17 Fixed: Files - Internal associations: Only standard icon was shown for programs with no extension, e.g. cmd /c instead of cmd.exe /c (32/64)
02.10.17 Fixed: Always show link overlay for junctions (also pseudo OneDrive junctions) even when overlays are disabled (32/64)
02.10.17 Fixed: Synchronize dirs: Didn't work with directories in OneDrive folder on Windows 10 Fall Creators Update preview (32/64)
01.10.17 Fixed: Synchronize dirs: Load also larger (24x24 and 32x32) custom equal icons if available from content plugins (32/64)
29.09.17 Fixed: Unpack 7zip file with internal 7zip unpacker: Couldn't pause operation when in background (32/64)
29.09.17 Fixed: Help file: Column alignment in samples in help for F7/Shift+F4 (32/64)
29.09.17 Fixed: Scaling of fonts in file hints was different from 32-bit version (64)
29.09.17 Fixed: F7 and Shift+F4: Combobox in 32-bit and 64-bit versions was set to different dropdown count (10 and 100). Set to 30 for both (32/64)
29.09.17 Fixed: FTP toolbar: Wrong font size in FTP log list when using a different encoding than "Western" for dialog font (64)
28.09.17 Fixed: Synchronize dirs: icons for unequal [=/=] and unknown [?] were shown incorrectly (32/64)

27.09.17 Release Total Commander 9.10 beta 2 (32/64)
27.09.17 Fixed: Couldn't delete an NTFS link in a protected directory like "Program files" pointing to a file if the target file was deleted (32/64)
27.09.17 Fixed: Compare by content: "Save as" dialog had wrong size on secondary screen with different DPI (32)
27.09.17 Fixed: Main configuration dialog: Fixed problems with font sizes when moving dialog box between different dpi screens (32/64)
27.09.17 Fixed: Lister (F3) could start with wrong font size on Windows 10 Creators Update when its position wasn't saved by the user yet (64)
27.09.17 Fixed: Lister (F3) could start with tiny window on Windows 10 Creators Update when its position wasn't saved by the user yet (32)
27.09.17 Fixed: Search for office xml in archives could sometimes cause a crash, depending on the searched office file contents (32/64)
27.09.17 Fixed: Search for office xml in archives -> zip file containing .docx/.xlsx/etc. files would remain opened/locked after the search ended (32/64)
27.09.17 Fixed: Ctrl+Right/Left arrow no longer jumped to file under the cursor in the target window (32/64)
27.09.17 Fixed: F7 and Shift+F4: Allow to create numbered folders/files also in specified path, e.g. <1-5>c:\dir\test[C] or <1-5>[%temp%]\test[C] (32/64)
27.09.17 Added: Environment variable placeholders: Append backslash to paste only last part of path, other char to replace \ with, e.g. [%TEMP%\] -> temp, [%TEMP%_] -> c_temp
26.09.17 Fixed: Synchronize dirs: Icons on directional buttons and checkboxes between the two sides were not scaled on higher dpi screens (32/64)
26.09.17 Fixed: Updated the frequently asked questions (FAQ) in the help file (32/64)
25.09.17 Fixed: Only use user-defined font for groupbox top position calculation on secondary screen with different dpi than main screen (64)
25.09.17 Fixed: Limit width of custom message dialog (e.g. when showing disk full error) to 2/3 of the current screen width - break longer lines in the middle at spaces or backslashes (32/64)
25.09.17 Fixed: Search with ev: prefix (Everything unfiltered search): ignore the current directory even when a backslash is present, e.g. "ev:tv/ artist" to find files containing "artist" in dirs ending with "tv" (32/64)
25.09.17 Fixed: Unpack 7zip file with internal 7zip unpacker (no 7zip plugin installed) via menu or Alt+F9 -> no "Background" button was shown (32/64)
24.09.17 Fixed: Decode MIME-Encoded files: Still problems with nested boundaries in MIME files (32/64)
24.09.17 Fixed: Standalone Synchronize dirs (started via /S=S parameter): tab headers were not themed (64)
24.09.17 Fixed: Copying subdirs from OneDrive not working with IgnoreLinks option set on Windows 10 Fall Creators Update (32/64)
24.09.17 Fixed: Deleting non-empty subdirs from OneDrive not working on Windows 10 Fall Creators Update (32/64)
24.09.17 Added: Help for F7 and Shift+F4: Examples for placeholders, especially for multi-item creation like <1-10>[C:2]  (32/64)
22.09.17 Added: Support environment variables in multi-rename tool, F7 and Shift+F4: [%USERNAME%] or [%USERNAME%1-5] (32/64)
22.09.17 Fixed: Position and size of standalone compare dialog wasn't saved on exit (64)
22.09.17 Fixed: Position and size of standalone search/sync/compare dialog was wrong on high DPI screens (32)
22.09.17 Fixed: Font in hint window (tooltip) for files and buttons too small on Windows 10 Creators Update, on main screen only (64)
22.09.17 Fixed: Main settings dialog: Line height in list on the left (list of settings pages) not correct after changing DPI (32)
22.09.17 Fixed: Configuration - Options - Fonts: DPI value wasn't stored correctly any more on Windows versions older than Windows 10 Creators Update (32/64)
21.09.17 Fixed: "Compare by content": Label "bytes" was badly aligned with combobox (it's not possible to align it 100% correctly for all fonts) (64)
21.09.17 Fixed: "Compare by content": Label "bytes" was not translated - use string 1330 (32/64)
21.09.17 Fixed: "Search in separate process" dialog, list of text search plugins: checkboxes were missing (32/64)
21.09.17 Fixed: "Search in separate process" dialog, list of text search plugins: lines too high (64)
21.09.17 Fixed: "Search in separate process" dialog: Lines in search results were too high (32/64)
21.09.17 Fixed: cm_switchlongnames not working with wincmd.ini set to read only (32/64)
21.09.17 Fixed: New help topic "Environment variables" had some problems with line breaks (32/64)
20.09.17 Fixed: Auto update check function would report beta versions even with AutoUpdateCheck=2, which should report only release versions (32/64)

20.09.17 Release Total Commander 9.10 beta 1 (first public beta) (32/64)
20.09.17 Fixed: Shift+F4 didn't work in empty directories on FTP servers/in file system plugins (32/64)
20.09.17 Fixed: Icon in 1-2-3-nag dialog used wrong (16x16) icon (64)
20.09.17 Fixed: Error message when launching programs not very detailed - show windows message (using FormatMessage) in addition to TC message (32/64)
19.09.17 Fixed: Right click context menu: Entries in "New" submenu were not translated on Windows Vista or newer (32/64)
19.09.17 Fixed: Dialog box "Commands" - "System information": Font too small on high DPI screens (64)
19.09.17 Fixed: Get folder sizes via 'Everything' didn't work if Total Commander was started with higher user rights (as administrator) and 'Everything' with normal rights (32/64)
18.09.17 Fixed: TC was no longer passing 8.3 names to content plugins not supporting Unicode (32/64)
18.09.17 Fixed: Automatic key download (paste mail with Ctrl+V) was always via HTTP, not via HTTPS (32/64)
18.09.17 Added: New optional translation string 5062="Change single button" for title bar of single button change dialog (32/64)
18.09.17 Fixed: Files - Change attributes, click on >> date/time picker: Error beep was played when closing dialog with ESC (64)
18.09.17 Fixed: Button bar, change single button: using just "explorer" as icon file didn't work (missing .exe extension) (32/64)
17.09.17 Fixed: Support environment variables like %commander_path% also in path= entry in [left] / [right] sections of wincmd.ini, but only if the name doesn't start with a plugin, ftp server, or UNC path (32/64)
17.09.17 Fixed: Show symbolic links to folders as a folder icon (with link overlay if overlays are enabled) instead of just a link icon, also when Explorer icons are disabled (32/64)
17.09.17 Fixed: Xnview was no longer working to load thumbnails or lister images (due to added Unicode support for Irfanview) (32/64)
17.09.17 Fixed: FTP/file system plugins/archives: Shift+F4 not working when using F4menu or OpenFileTC with a multiple-document editor already running in the background (32/64)
16.09.17 Fixed: Thumbnails view: Thumbnail lines could be shown as high as in full or brief view when the thumbnail+text surpassed 255 pixels (64)
15.09.17 Fixed: New placeholder picker button in F7 and Shift+F4 dialogs too narrow (32/64)
15.09.17 Fixed: Tree could be added as empty line to directory history, e.g. (Alt+F8, Alt+Cursor right, Alt+F1 - C) (32/64)
15.09.17 Fixed: Date picker control (e.g. in "Files" - "Change attributes" - ">>" button) was too narrow (64)
15.09.17 Fixed: Installer would fail on some XP installations (reason: problem with loading comctl32.dll dynamically from system32 -> uses static linking) (32/64)

10.09.17 Release Total Commander 9.10 beta 1 pre 3 (private beta) (32/64)
10.09.17 Added: Apply FontQuality option also to main menu in TC and Lister (64-bit only, not in right click context menus or menus in 32-bit version, because they are not owner drawn) (64)
10.09.17 Fixed: Right click on button bar button, Change.., Click in field "Icon file", close dialog -> icon index was reset to 0 if the icon file name contained environment variables (32/64)
10.09.17 Fixed: Shift+F4 not possible in plugins linking to local files like Virtual Panel -> show error (32/64)
10.09.17 Fixed: Alt+Shift+Enter could cause hang with many 10'000 subdirectories, with or without 'Everything' option (32/64)
10.09.17 Fixed: 'Apply' button wasn't enabled when clicking on 'Everything' option in Configuration - Options - Operation (32/64)
08.09.17 Added: wincmd.ini [Configuration] set TranslateMessageButtons=0 to NOT translate buttons in MessageBox windows to current Total Commander language (e.g. Shift+Delete) (32/64)
08.09.17 Fixed: No translation for warning about missing dir size index in 'Everything' when activating the option to get folder sizes from 'Everything' in the settings (32/64)
08.09.17 Fixed: Translation of OK button used wrong string from lng file (32/64)
07.09.17 Fixed: The icons for folders with a desktop.ini file could differ in the file list and the tab header (SHGetFileInfo called differently, once with idlist and once with path name) (32/64)
06.09.17 Fixed: File system plugins, upload/download in background, try close TC -> program was closed even when the user chose "No" (32/64)
06.09.17 Fixed: Symbolic link files to programs (.exe) were only shown with a standard icon (32/64)
06.09.17 Added: wincmd.ini [Configuration] MftAllowed=0 By default, access to drive:\$MFT and below will be blocked, to prevent a Windows crash. Do not enable unless you have changed the permissions of $MFT to access it (32/64)
06.09.17 Fixed: Shift+F4 new file: Didn't work in file system plugins if the plugin didn't download any existing file, but reported success -> no new temp file was created (32/64)
06.09.17 Fixed: Master password dialog still not in foreground in 64-bit version (64)
05.09.17 Fixed: FTP: Keep alive during transfers was sent too often when the PC had a long uptime >=25 days (problem with GetTickCount returning DWORD instead of longint) (64)
05.09.17 Fixed: Lister: Switching between text and binary mode could change the Lister size (if one mode had a horizontal scrollbar and one not) (64)

04.09.17 Release Total Commander 9.10 beta 1 pre 2 (private beta) (32/64)
04.09.17 Fixed: Look for paths starting with D:/$MFT/ and do not try to access them with FindFirstFile, CreateFile, CreateDirectory, or SetCurrentDirectory to prevent Windows crash (32/64)
04.09.17 Added: Shift+F4 new file: Now also works in archives, on FTP servers, and with file system plugins (32/64)
04.09.17 Fixed: Shift+F4 new file: F10 (Tree) was no longer working - now it works when NOT using placeholders (32/64)
03.09.17 Fixed: Breadcrumb bar: Trying to access a file system plugin would show the master password input dialog behind the breadcrumb dropdown list (32/64)
01.09.17 Added: Shift+F4 new file: Use same placeholders as in F7 new folder and multi-rename tool (32/64)
01.09.17 Fixed: F7 new folder: Use separate fields for rename preview first/last file (when using a counter) (32/64)
29.08.17 Fixed: F7 new folder, placeholder menu: '<' prefix wasn't added automatically before placeholders (32/64)
29.08.17 Fixed: F7 new folder, placeholder menu: Separator was shown as '-' and clickable instead of horizontal line (32/64)
29.08.17 Fixed: No accents were shown in F7 new folder - placeholder menu, they appeared as '?' instead (64)

28.08.17 Release Total Commander 9.10 beta 1 pre 1 (private beta) (32/64)
28.08.17 Fixed: View modes: Do not call "Auto-run commands" exit command (after "|") for previous view mode of a tab when starting (32/64)
28.08.17 Fixed: Lister: The keyboard didn't work in the "Print" dialog - it only worked after clicking on a control (64)
28.08.17 Added: One more parameter added to installer: /N"user" sets user for desktop and start menu shortcuts. /N* installs them for all users. Note: All parameters MUST be passed in one group after a single slash, e.g. /AHN"testuser"D0G (auto-install, hidden, user "testuser", no desktop icon, group icons (32/64)
25.08.17 Fixed: Adjust custom columns to DPI changes too. May need to re-save custom column positions to make it work (stores screen DPI) (32/64)
23.08.17 Added: Configuration - Options - Operation: Option to use "Everything" to get directory sizes via Alt+Shift+Enter and/or spacebar. Needs recent Everything version with folder size index enabled (32/64)
22.08.17 Fixed: Lister: Also scroll images with finger on touch screen (32/64)
22.08.17 Added: Command line parameters: Pass .tab file (instead of a directory name) to load the saved tabs (replacing the current tabs) (32/64)
22.08.17 Added: Synchronize dirs: Checksum with file system plugin: support plugin-specific checksums - the plugin has to return the checksum for both the remote and the local file (32/64)
22.08.17 Added: Create directory (F7) also in RAR archives (32/64)
22.08.17 Added: Create a range of numbered directories also in file system plugins, archives, virtual folders like the desktop, and on FTP servers (32/64)
21.08.17 Fixed: Drag file from within ZIP to some programs like Visual Studio 2017 could cause a crash (reason: VS tried to release the DataObject much later, when it was already destroyed by TC) (64)
21.08.17 Added: Create directory (F7), create a range of numbered directories: [C] placeholder takes same options as in multi-rename tool, e.g. <1-20>[C10+5:3] create 20 folders, starts at 10, steps by 5, uses 3 digits width (32/64)
21.08.17 Added: Create directory (F7): Create a range of numbered directories, e.g. <5-10>test[C] creates folders test05, test06, test07, test08, test09, test10. The number of digits is determined by the highest number, but can be set via parameter, e.g. [C:2] (32/64)
20.08.17 Added: Create directory (F7): Support the same placeholders as in the multi-rename tool, e.g. [YMD] for date. [T3] is the default for date formats (current date). Line must start with < character (32/64)
20.08.17 Added: Multi-rename tool: New modificators [T1], [T2]. and [T3] determine the used date/time for all date/time fields after this position. T1 is the default (file last modified date) (32/64)
20.08.17 Added: Multi-rename tool: New placeholder [i]: am/pm indicator in English, e.g. for time format 10.30pm. Use [i1] for just a or p, e.g. 10.30p. (32/64)
20.08.17 Added: Multi-rename tool: New placeholder [H]: Paste hours, always in 12 hour 2 digit format (1-12) (32/64)
15.08.17 Added: Button bar: Support icons from Windows 8/10 store apps, icon must be defined as @anyname.ext (also works for non-store apps, even on older Windows versions) (32/64)
14.08.17 Added: Lister: Start auto-scrolling when moving finger quickly vertically over lister window, stop with another tap (32/64)
14.08.17 Added: Lister: Select text on a touch screen by moving a finger across the screen when text already selected (e.g. via double tap) (32/64)
14.08.17 Fixed: Lister didn't react to touch screen - use for vertical and horizontal text scrolling (32/64)
14.08.17 Fixed: Synchronize dirs, with FTP: Ignore seconds when comparing and the server sends the time only with hours and minutes (e.g. default Unix format) (32/64)
14.08.17 Fixed: Synchronize dirs, with FTP: When deleting just an empty folder (no files) from a subfolder, that subfolder wasn't reloaded, so the deleted folder was still displayed (32/64)
13.08.17 Fixed: Internal 7zip unpacker: Show missing timestamp as ? and not as 1.1.1601 (32/64)
13.08.17 Fixed: ENTER on archives in temporary panel plugin no longer opened them internally. Instead, they were launched with the associated programs (32/64)
13.08.17 Fixed: Position of TC wrong when starting it on Windows 10 when the user changed the scaling (e.g. 125% -> 150%) after logging in (32/64)
13.08.17 Added: When changing screen resolution and the main window position was saved in that resolution, resize TC to the saved resolution (only when on same screen) (32/64)
09.08.17 Fixed: FTP: Search, feed to listbox, select some files/folders in subdirs, search again in selected only -> nothing was found (32/64)
08.08.17 Fixed: Open file/program by double click within a file system link with relative path -> launch with target name as before, but with link directory as current location (32/64)
08.08.17 Fixed: Synchronize dirs: junctions (mklink /J) were incorrectly detected as infinite loops and skipped if the link name was 1 char longer than the target, and both in the same directory, e.g. dir$ -> dir (32/64)
08.08.17 Fixed: Menu font size was wrong on Windows 7 after adding DPI support for Windows 10 (64)
08.08.17 Fixed: "Background" button not working with some packer plugins like Total7zip when another operation was moved to background and ended before clicking "Background" again (32/64)
06.08.17 Added: Auto-install icon library, set type=prg and file=WCMICONsomeUniqueName.DLL -> set this library as the default, and reload button bars (32/64)
06.08.17 Added: Internal 7zip unpacker: Support background unpacking, multiple archives in parallel (32/64)
06.08.17 Added: Multi-rename tool, regular expressions: In "Replace with", support parameters \U, \L, \F, \n to convert from this point on to uppercase, lowercase, first char in word uppercase, and back to unchanged (32/64)
06.08.17 Fixed: Translate buttons Yes, No, OK, Cancel in standard Windows MessageBox on NT based systems (note: MessageBoxEx does NOT work) (32/64)
04.08.17 Added: Windows Vista and newer: Support GUIDs in environment variables, e.g. %${374DE290-123F-4565-9164-39C4925E467B}% -> downloads folder, same as %$Downloads% (32/64)
04.08.17 Added: Windows Vista and newer: Support new pseudo environment variables described here: https://msdn.microsoft.com/en-us/library/windows/desktop/dd378457.aspx. Leave out prefix FOLDERID_, e.g. FOLDERID_Downloads -> %$Downloads% . Only fields with "Default Path" option are supported (32/64)
04.08.17 Fixed: Button bar: Icons loaded from .ICO files were scaled worse (by LoadImage) than the same icons loaded from EXE/DLL files. Use LoadIconWithScaleDown instead if available (32/64)
26.07.17 Fixed: FTP, inplace rename: Support the following names: subdir/ moves file to specified subdirectory, .. or ../ moves it one level up (32/64)
26.07.17 Fixed: Change sort order: With aa.txt and AA.txt in same dir on ftp server or in an archive, the wrong file could be focused after re-sorting (32/64)
26.07.17 Fixed: Folder tabs: With aa.txt and AA.txt in same dir on ftp server or in an archive, switching to a different tab and back could place cursor on wrong current file, or re-select the wrong file (32/64)
26.07.17 Fixed: Search function, go to file: Handle the case of multiple files with same name but different case in the same location, e.g. aa.txt and AA.txt on ftp server or in an archive (32/64)
17.07.17 Fixed: In the OneDrive folder on Windows 10 (fall creators update preview 2017), Windows reported overlay icons with index 0, resulting in overdrawing all icons with a default file icon (32/64)
17.07.17 Fixed: Show symbolic links to folders as a folder icon (with link overlay if overlays are enabled) instead of just a link icon (32/64)
17.07.17 Fixed: Could not launch files in OneDrive folder on Windows 10 preview (fall creators update preview 2017) (32/64)
17.07.17 Fixed: Verify checksums: new option ChecksumExtraTypes takes precedence over checksums in the file name or in the clipboard (32/64)
17.07.17 Fixed: Option "Icons: EXE/LNK not on floppy" only checked for drive letters A or B, not whether the drive really was a floppy disk drive (32/64)
17.07.17 Fixed: Decode MIME-Encoded files: Nested boundaries were not supported, e.g. Multipart/Mixed (mail+binary attachment) containing mail of type Multipart/Alternative (e.g. text+html) with nested boundaries (32/64)
16.07.17 Added: Support URLs to Windows shares in the form smb://server/share/subdir , e.g. via command line parameters (32/64)
16.07.17 Fixed: Internal content plugin "tc": Version information fields didn't support long file names with more than 259 characters (32/64) 
16.07.17 Fixed: Content plugins: "delayed" field (loaded in background thread) didn't work for file names longer than 511 characters (32/64)
12.07.17 Added: Search with Everything: If Everything 1.4 or newer is installed, pass parameters "size" and "date from/to" to Everything to let it handle the matching (32/64)
12.07.17 Fixed: Search with Everything: Catch out of memory error, revert to normal search (32/64)
12.07.17 Fixed: Search with Everything: Free result transfer buffer when done searching, not only when doing the next search (32/64)
10.07.17 Fixed: On Windows 10, load Uiautomationcore.dll at program start, otherwise TC may crash randomly due to a Windows 10 bug (32/64)
10.07.17 Fixed: Buttonbar: limiting the number of button bar lines with wincmd.ini [buttonbar] barlimitlines=x didn't work when vertical button bar was active (32/64)
10.07.17 Fixed: F5 copy, auto rename on name collisions: separate number (2) by a space from the file name, just like the Explorer and multi-rename tool (32/64)
10.07.17 Added: Multiple screens with different DPI support: Completed port to 64-bit, fixed bugs in 32-bit (32/64)
07.07.17 Added: Let the user configure different file icon sizes for each DPI value, depending on which screen the main program is displayed (32/64)
04.07.17 Added: Make coordinate transformation from DPI unaware to DPI aware ourselves (32/64)
04.07.17 Added: Synchronize dirs: Load different button icons depending on screen DPI (32/64)
23.06.17 Added: Start porting DPI per screen functions from 32-bit to 64-bit (64)
14.06.17 Added: DPI: Better default sizes for various dialogs depending on current screen DPI (32)
13.06.17 Added: DPI: Save OverrideDpi values separately for each screen DPI value, so the user can scale dialogs differently on multiple screens (32)
12.06.17 Added: DPI: Reload button bar icons in background thread and use scaled icons with wrong size in the meantime when dragging between screens (32)
07.06.17 Added: DPI: Scale button bar icons, ftp toolbar, various dialogs (32)
06.06.17 Added: DPI: Scale button bar configuration dialogs (32)
06.06.17 Added: DPI: Scale various other dialogs like the multi-rename tool, find files dialog etc. (32)
02.06.17 Added: DPI: Scale "Synchronize dirs" dialog (32)
29.05.17 Added: DPI: Scale icons in main menu, font in hints and Lister (32)
26.05.17 Added: DPI: Scale icons in drive button bar and drive dropdown comboboxes (32)
26.05.17 Added: Multiple screens with different DPI support: Scale fonts in file lists, main window and dialog boxes (32/64)
25.05.17 Added: Call "SetThreadDpiAwarenessContext" on Windows 10 creators update to handle multiple screens with different DPI settings (32/64)
25.05.17 Added: Start working on support for multiple screens with different DPI at the same time, e.g. one 4K screen and one full HD screen (32)
22.05.17 Fixed: Crash copying from archive to virtual folder (64)
19.05.17 Fixed: Upload to file system plugin, target exists, rename -> user was asked to overwrite even if no file existed with the new name (32/64)
15.05.17 Fixed: Synchronize dirs, asymmetric mode, left side shows archive content, right side directory with that archive -> archive was (invisibly) marked for deletion (32/64)
12.05.17 Added: Synchronize dirs: Checksum with file system plugin: support also SHA256 and SHA512 (32/64)
10.05.17 Added: Synchronize dirs: use file system plugin checksum functions to compare by content (32/64)
10.05.17 Added: New file system plugin functions to get checksums (CRC32, MD5, SHA1, SHA256, SHA512) (32/64)
10.05.17 Fixed: Synchronize dirs: Cannot read archives detected by content only, e.g. some exe files unpacked with Total7zip (32/64)
09.05.17 Fixed: Speed buttons flickering when mouse enters/exits their position (classic theme only), e.g. buttons in multi-rename tool (64)
09.05.17 Fixed: Division by zero error could occur in thumbnail view with very narrow file window (32/64)
09.05.17 Fixed: Show link icon for link files where the icon wasn't loaded yet, or will not be loaded (e.g. lnk files on the desktop with "EXE/LNK not on net" checked) (32/64)
09.05.17 Fixed: Content plugin field picker dialog: Preview field couldn't show & character (e.g. in name a&b.txt) (32/64)
07.05.17 Added: Paste button to button bar: accept also Unicode text directly (32/64)
07.05.17 Added: wincmd.ini [Configuration] ChecksumExtraTypes=*.sum adds extra patterns to recognize as checksum files for menu Files - Verify checksums (32/64)
07.05.17 Fixed: Never start any program when user presses Ctrl+PageDown on a file (32/64)
05.05.17 Fixed: Reviewed all the changes, fixed incomplete or not working functions (32/64)
30.04.17 Fixed: 64-bit uninstaller tcunin64.exe: Also delete uninstall registry key from 32-bit branch if present (64)
30.04.17 Fixed: Uninstaller tcuninst.exe/tcunin64.exe sometimes failed to delete itself (32/64)
30.04.17 Fixed: 64-bit installer and combined 32+64-bit installer: remove uninstall entry from 32-bit registry branch created by older installers (32/64)
30.04.17 Fixed: RAR files: Some of the displayed timestamps would differ from the timestamps after unpacking (need to call TzSpecificLocalTimeToSystemTime) (32/64)
27.04.17 Added: Support Unicode names when loading images via Irfanview (needs new Unicode version of Irfanview) (32/64)
27.04.17 Fixed: Loading thumbnails via Irfanview from TC 64-bit didn't work correctly (32/64)
26.04.17 Added: Enable/disable crypto API for checksums manually: wincmd.ini [Configuration] UseChecksumCryptoApi= 0:disabled, 1:enabled (except when faulty on XP/2003), 2:force also when faulty (32/64)
26.04.17 Fixed: Bug in Microsoft crypto API to calculate SHA512 checksums on Windows XP and Server 2003 only, and only for files > 512MB -> use slower internal functions (32/64)
24.04.17 Added: Compare by content: Set width in binary mode to 8, 16, 24 or 32 bytes (32/64)
24.04.17 Added: Set font quality (e.g. force antialiasing on/off): wincmd.ini [Configuration] FontQuality= 0:DEFAULT, 3:NONANTIALIASED, 4:ANTIALIASED, 5:CLEARTYPE, 6:CLEARTYPE_NATURAL (32/64)
23.04.17 Fixed: Lister (32 or 64) couldn't use x64 Irfanview to view additional file types (reason: I_View64 sends invalid bitmap header). Will be fixed both in TC and Irfanview (32/64)
23.04.17 Fixed: F5 copy: Aborting the counting of the files before copying didn't work in some cases (e.g. just one directory selected, containing many subdirs and files) (32/64)
23.04.17 Added: Quick search with search dialog/quick filter: allow to enter/paste a search text leading to 0 matching files: wincmd.ini [Configuration] QuickSearchAllowNoMatch=1 (32/64)
23.04.17 Fixed: Changed the names used to load default icons from c:\xyz* to C:\TC_FolderIcon, C:\TC_ExeIcon.exe and C:\TC_NoIcon.tcnoicon to make it clear for what they are used (32/64)
23.04.17 Fixed: Separate quick view window (Ctrl+Shift+Q): Do not switch focus to Total Commander when user presses n or p key (next/previous file in list) (32/64)
05.04.17 Fixed: Command line: cd %commander_exe% while quick search filter active -> quick search filter wasn't removed when changing to the directory containing that file (32/64)
04.04.17 Fixed: Lister: View UTF-8-encoded HTML file with byte order mark (no plugins installed), press 7 then 4 -> caret not shown (64)
04.04.17 Fixed: Lister: View UTF-8-encoded HTML file with byte order mark (no plugins installed), press 7 then 5 -> caret position wrong (32/64)
04.04.17 Fixed: Lister: View UTF-8-encoded HTML file with byte order mark (no plugins installed), press 7 then 4 -> first 3 characters not shown (32/64)
04.04.17 Fixed: Lister: NTFS file system links to image files were shown as text because the size reported is 0 (32/64)
03.04.17 Fixed: Could not unpack stored AES-encrypted ZIP files with header behind the file and sizes in front set to 0 (32/64)
31.03.17 Fixed: Binary compare UTF-8 encoded files by content: unprintable characters like line breaks were shown with red dots although there was no difference (32/64)
31.03.17 Fixed: Create CRC checksums in branch view or search results: Do not sort by folder unless the user has checked separate checksums per folder (32/64)
24.03.17 Fixed: Setting option [Lister] NoMediaFileTypes=*.txt disabled viewing as image/plugin in Ctrl+Q not only for the viewed file, but for all files after it until closing Ctrl+Q (32/64)
24.03.17 Fixed: Verify after copy: retry up to 3 times to open target file if it fails (e.g. because writing is still not done) (32/64)
24.03.17 Fixed: Don't try to get volume label from floppy disk drive when hovering with mouse over the button (32/64)
24.03.17 Fixed: Comments from descript.ion can be wrong when the descript.ion file contains a mix of Windows and Linux style line breaks (32/64)
22.03.17 Fixed: Copy, delete, calculate occupied space: prevent stack overflow with very deep directories by checking remaining stack size (32)
20.03.17 Fixed: Installer: Only load dlls from Windows and System folders (32/64)
20.03.17 Added: Content plugins: Show error when plugin is missing, or <?> in 64-bit when only 32-bit plugin is detected (32/64)
08.03.17 Added: Lister, html viewer: Support for &trade; placeholder. Note: Only works in some encodings like UTF-8, Western, Central European, Windows Cyrillic (32/64)
07.02.17 Added: Support wildcards like subdir1\subdir2\ or \subdir1\subdir2\*.ext also in branch view within archives (32/64)
03.02.17 Added: Wildcards for relative paths: If the wildcard starts with "\" it is relative to the current directory, otherwise the name is matched anywhere in the subdir (32/64)
03.01.17 Added: Support wildcards for relative dirs also in F5 copy dialog (only copy files of this type) (32/64)
29.01.17 Added: Synchronize dirs: Support wildcards for relative dirs also for subfolders, in the form subdir1\subdir2\ or \subdir1\, also supports ** wildcard (32/64)
29.01.17 Added: New wildcards for relative dirs now support wildcard **, which stands for any number of subdirs, e.g. subdir\**\*.txt finds text files where the relative path contains "subdir" anywhere in the path (32/64)
29.01.17 Added: Select/unselect files, branch view: Support wildcards in the form \subdir1\subdir2\*.ext or \*.ext (for base dir) to include/exclude files in specific subdirs relative to the current directory (32/64)
29.01.17 Added: Synchronize dirs: Support wildcards in the form \subdir1\subdir2\*.ext or \*.ext (for base dir) to include/exclude files in specific subdirs relative to the sync base directory. Supports wildcards in dir names too, e.g. \subdir*\*.ext (32/64)
29.01.17 Fixed: Files - Unpack specific files: Combobox to select file types was limited to max 20 entries even if MaxItemsInComboBox was set to a higher number (32/64)
29.01.17 Fixed: Custom view mode, containing auto-run command "cm_TrgActivateTab2" or similar changing the active panel -> panel focus could get out of sync with active panel (32/64)
29.01.17 Fixed: Sending WM_USER+50 with wparam set to 1005..1008 returned invalid values in thumbnail mode (32/64)
18.01.17 Fixed: Lister: RTF control text was limited to 32k after toggling "word wrap" manually (Reason: inherited control was calling EM_LIMITTEXT with limit=0, which limits to 64k bytes, 32k Unicode chars) (64)
16.01.17 Fixed: Could not delete subdirs in folders accessed "As administrator", e.g. belonging to other users (32/64)
16.01.17 Fixed: Copy progress: Timer wasn't always reset when pausing, resulting in incorrect speed and remaining time during the first few seconds (32/64)
16.01.17 Fixed: Updated some descript.ion text for newer dll versions, added some missing descriptions (32/64)
16.01.17 Fixed: x64 installer showed wrong character in German text on language selection dialog (64)
16.01.17 Fixed: On high DPI displays, the icons in the content plugin field selection dialog were overlapping vertically (32/64)
13.01.17 Added: Faster search for text in office xml and epub files by unpacking inner xml/html files to memory if <1MB (32/64)
13.01.17 Fixed: HTML viewer: do not show &shy; dash: it would be a conditional dash, only shown when breaking text there (32/64)
13.01.17 Fixed: Use pre-loaded data and do not call FindFirstFile when loading various internal "tc" content plugin fields: size, modification date+time, most attributes (32/64)
11.01.17 Fixed: No error shown when opening damaged 7zip file (missing bytes at the end) (64)
08.01.17 Fixed: Open multi-volume 7zip with internal unpacker -> first part remained open (need to use IFileStream instead of IHandleStream) (64)
08.01.17 Fixed: Improved tsclient detection function (not working when RemoteFX vGPU was running) (32/64)
06.01.17 Fixed: New plugin field picker showed folder icons for "compare text" fields (used only in synchronize dirs) - show "TXT =" icon instead (32/64)
06.01.17 Fixed: Selecting files with Shift+PageDown didn't go to the last file when using a quick search filter, when not all files were shown (32/64)
06.01.17 Fixed: Switching between languages with same language code, e.g. wcmd_rus.lng -> wcmd_other_rus.lng -> strings 1579, 1580, and 1742 (internal plugin fields) were not reloaded (32/64)
06.01.17 Fixed: Find files: When using "Everything" option, change search string *.* to * to also find files not containing a dot, e.g. "testfile" (32/64)
06.01.17 Fixed: Startup screen: Set fixed width for version number field, it may otherwise be cut on some Windows versions (32/64)
06.01.17 Fixed: Search function: File sizes >2GB were not supported in file system plugins (result list and feed to listbox) (32/64)
06.01.17 Fixed: Custom columns view: The size field didn't support Unicode, e.g. Cyrillic on English Windows (language for non-Unicode programs) for size.bkMG (32/64)
06.01.17 Added: Show extra text in the title bar in front of or behind the normal title: wincmd.ini [Configuration] TitleExtraText=   *text in front, -text same but without instance number, $text behind (32/64)
06.01.17 Fixed: FTP over SSL/TLS: reading directories and downloading files could sometimes hang at the end for a few seconds (32/64)
03.01.17 Fixed: Master password not remembered with some screensavers which always enable their separate desktop (32/64)
16.12.16 Fixed: String encoding would revert to the active code page by mistake when a string requested from LNG file was missing (32)

14.12.16 Release Total Commander 9.0a final (32/64)
14.12.16 Fixed: Mapped USB drives or network drives added after starting TC would show up with internal icon/as disconnected when using Explorer icons and no drive buttonbar (32/64)
13.12.16 Fixed: Network Neighborhood: Entries which appeared with a delay were sometimes shown as files, not folders (32/64)
13.12.16 Fixed: Standalone install64.exe ignored UserName= line in install.inf when auto-installing. Furthermore, the line userforicons= was unused (64)
13.12.16 Fixed: Clear pending numeric coprocessor exceptions also before dispatching Windows messages to reduce problems with C/C++ plugins and extensions (32)
12.12.16 Fixed: Unpack files with forbidden characters ?*|<> also from 7zip and rar archives, partial support for packer plugins too (32/64)
12.12.16 Fixed: Disabled the fix "Support invalid ZIP archives with UTF-8-encoded names but missing UTF-8 flag (created by Dropbox)" on systems with double byte charsets like Chinese, because some valid Chinese double byte characters would be detected as UTF-8 (32/64)
11.12.16 Fixed: Alt+F5 re-pack files from within an archive, no target path given (e.g. rar:newfile.rar) -> archive was created in TEMP dir, need to insert current directory (32/64)
11.12.16 Fixed: Lister (F3): Search for regular expressions in UTF-8 and UTF-16 modes didn't handle backslashes correctly, had to enter \\\ instead of \\ to find a single backslash (32/64)
11.12.16 Fixed: Auto switch mode: sort order was lost when restarting TC while in an archive, and view mode of parent directory had sort order set to "unchanged" (32/64)
11.12.16 Fixed: Reduced flickering when pressing ESC while not in command line (32/64)
11.12.16 Fixed: Quick filter: Filter icon was drawn 1 pixel too high, separator line was overdrawn (32/64)
11.12.16 Fixed: Brief view, select all, select nothing, select all -> total number of files was no longer shown in footer (32/64)
08.12.16 Fixed: In rare cases, TC may start with empty file panels. To fix, add to wincmd.ini [Configuration] FixEmptyPanel=1 (32/64)

08.12.16 Release Total Commander 9.0a release candidate 3 (32/64)
08.12.16 Fixed: Dimmed icons (for hidden files) were drawn incorrectly on Windows 2000 and older if the background color wasn't white (32)
08.12.16 Fixed: Lister, html view: <META content="text/html; charset=utf-8; encoding=utf-8" http-equiv="Content-Type"> was not recognized as UTF-8 encoding header (32/64)
08.12.16 Fixed: Search function: When saving search and overwriting an existing search with different upper-/lowercase characters, there was a (correct) overwrite warning, but the search appeared twice in the list (64)
08.12.16 Fixed: When preloading icons from system image list, draw the icon already in the background thread (hidden), because the icon seems to be loaded only when drawn (32/64)
07.12.16 Fixed: F6 move: Skipping empty dirs by appending |**\ to second input line didn't work when moving within the same drive (32/64)
07.12.16 Fixed: Hide "Themed cursor" checkbox in configuration dialog on systems older than Windows XP (32/64)
07.12.16 Fixed: Separate quick view window was closed when choosing directory from directory hotlist or history in other panel (32/64)
07.12.16 Fixed: Drag&Drop to other file panel not possible while separate quick view window was shown (32/64)
07.12.16 Fixed: Alt+F5 pack dialog was shown on wrong (primary) screen when the last used packer was a plugin (caused by focus change) (64)
07.12.16 Fixed: Content plugin field selection dialog: extra text (x.xx) after size field units wasn't removed when adding a field (64)
06.12.16 Added: wincmd.ini [Configuration] SkippedFileCopy=100 or more: Option to set a different delay (in ms) at start of a file operation during which a user can be asked whether he wants to overwrite a file (32/64)
06.12.16 Fixed: Delay-load Windows drive icons when not using the drive buttonbar. Disable via wincmd.ini [Configuration] LoadDriveIconsInBackground=0 (32/64)
06.12.16 Fixed: Internal command SELECTFILES (and also SELECTFILESB, SELECTFILESD etc.) didn't work with saved selections in the form >Saved_selection any more (32/64)

05.12.16 Release Total Commander 9.0a release candidate 2 (32/64)
05.12.16 Fixed: Multi-rename tool retried with 10000 different target names if the source file was locked by another app, slowing down the rename function (32/64)
05.12.16 Fixed: Lister, search function: Allow to search for OEM-specific characters like the line drawing characters in OEM/DOS mode (32/64)
05.12.16 Fixed: Internal associations could not longer be defined for *.url files (32/64)
05.12.16 Fixed: Configuration - button bar: Upper preview window (entire bar) didn't show icon if the icon file name was given in double quotes (32/64)
05.12.16 Added: Content plugins: "size" field now supports 4 additional types: bkMGT, bkMGT2, bkMG3, bkMGT3: T is with Terabytes, 3 is 2 digits after the decimal point (and at least 1 before it) (32/64)
04.12.16 Fixed: Content plugin field selection dialog: Right click on plugin field - "Copy to clipboard" was not working (32/64)
04.12.16 Fixed: Brief view: Extension could switch from aligned to attached to file name when making window smaller (32/64)
04.12.16 Fixed: Quick search filter was lost when deleting files from archive (32/64)
04.12.16 Fixed: Faster loading of directories (especially on network shares) with option "Overlay icons" enabled, by moving the name parsing to the background thread (32/64)
04.12.16 Fixed: Lister: could not copy OEM text to clipboard in binary and hex mode, it was copied as ANSI text (32/64)
04.12.16 Fixed: Hex search in Lister not always working with OEM font set, and "Respect case" not checked (32/64)
03.12.16 Added: The replacement of the Photos app with Windows Photo Viewer (desktop program) can now be disabled in Files - Associate With..., the option is only shown for affected extensions like jpg (32/64)
02.12.16 Fixed: Search with 'Everything': Detect versions older than 1.3 and warn user that version 1.3 or newer is needed (32/64)
02.12.16 Fixed: Dialog box for choosing the default icon library: Automatically check second radio button (lower icon lib) when user chooses library from dropdown combobox (32/64)
02.12.16 Fixed: Dialog box "Drive not found" was using a very small font size on high DPI devices (32/64)
02.12.16 Fixed: Trying to drag files from Windows\Fonts to other program made TC unresponsive to mouse clicks; the actual drag problem cannot be fixed because Fonts stores the files for a virtual folder (64)
02.12.16 Fixed: Do not remember position of separator between the two file panels when closing separate quick view window (32/64)
02.12.16 Added: wincmd.ini, UseEverythingInstance option now supports environment variables (32/64)
02.12.16 Fixed: Classic theme: Multi-rename tool buttons "+" and "#" did not show cyrillic characters, just ???? (64)
02.12.16 Fixed: FTP connection on tab: When drive letters are shown on the tab, change # to connection number when the connection on that tab is established (32/64)
02.12.16 Fixed: FTP connection on locked tab (with dir changes allowed) not working: Couldn't switch to that tab with mouse click, click on "\" didn't go to locked dir, restarting TC with that tab in foreground changed title. Note: after restarting, click on tab title to reconnect (32/64)
01.12.16 Fixed: Reload shield overlay icon when user changes icon size in file list (32/64)

30.11.16 Release Total Commander 9.0a release candidate 1 (32/64)
30.11.16 Fixed: Left side in archive, rename that archive in other panel -> returned to directory of the archive, but the auto switch mode rules were not applied (32/64)
30.11.16 Fixed: Some overlays (e.g. on default folder icons) could be drawn twice (32/64)
30.11.16 Fixed: Shield overlay icon was pixelated in thumbnails view if it was loaded while in normal view (32/64)
30.11.16 Added: Name of icon library for cached button bar is now stored in separate section [ButtonbarCache] instead of [Buttonbar] (but it's read from both) (32/64)
30.11.16 Fixed: Language in TC could partially switch back to English when moving multiple file operations to the background (running there at the same time) (32/64)
30.11.16 Fixed: Themed caret (cursor in listboxes) was not disabled by default if WindowBlinds is running in x64 only because the module name is wblind64 not wblind (64)
29.11.16 Fixed: FTP connection, search, feed to listbox, connection lost, user denies to reconnect -> sometimes the text "Search result" remained on tab (32/64)
29.11.16 Fixed: FTP connection, connection lost, user denies to reconnect -> view mode was not applied to local directory (32/64)
29.11.16 Fixed: Configuration - Options - Auto switch mode: Crash trying to load a rule with more than 50 sub-rules (created manually). also increased maximum to 100 (32/64)
29.11.16 Added: Search function: Use prefix ed: instead of ev: for unfiltered Everything search in the location(s) given by "Search in" field. Also supports the "limit depth" option (32/64)
29.11.16 Fixed: Lister: Position at start differed by 1 pixel from previously saved position (32/64)
28.11.16 Fixed: Could no longer open archives without extension with Enter (only with Ctrl+PageDown) (32/64)
28.11.16 Fixed: Could not load saved synchronize dirs option with files from list file if there were previous selections (32/64)
27.11.16 Added: Everything: Support named instances (Everything.exe -instance "somename"): wincmd.ini [Configuration] UseEverythingInstance=somename (32/64)
27.11.16 Fixed: Could not use 7zip plugin (e.g. Total7zip) in synchronize dirs with self-extracting .exe files, TC always used internal 7zip (32/64)
27.11.16 Fixed: F3 on large directory (e.g. Windows) -> counting directory size couldn't be aborted by closing lister with X button, only with ESC (32/64)
27.11.16 Fixed: Do not open associated files with Ctrl+PageDown if "Treat archives like directories" is disabled (32/64)
27.11.16 Fixed: Commands - Target=Source didn't apply Auto Switch Mode rules to the target panel (32/64)
27.11.16 Fixed: FTP, search function: File sizes >2GB would not be handled correctly (32/64)
27.11.16 Fixed: Main menu: Submenu indicator (black triangle) could overlay menu text on high dpi screens (32/64)
27.11.16 Fixed: Windows classic theme: Reduce flickering of status bar (footer) by not updating it when the content stays the same, e.g. when clicking on a different file in full mode (32/64)
25.11.16 Fixed: Network Neighborhood: Sometimes servers which should appear there are shown in a file system plugin which is opened from there (although the function is disabled when leaving Network Neighborhood) (32/64)

23.11.16 Release Total Commander 9.0 final (32/64)
22.11.16 Fixed: Internal function cm_SearchForInCurDir tried to search in curdir\.. instead of current dir with cursor on [..] (64)
22.11.16 Fixed: Search in separate process: List file containing selected file names wasn't deleted (32)
22.11.16 Fixed: Button bar, start menu: Parameter %p%s in branch view added path relative to current dir twice (32/64)
21.11.16 Fixed: Left panel: Search result within archive; Right panel: Create file with Shift+F4, then rename it -> search result was lost (32/64)
21.11.16 Fixed: Allow to open files even if they contain right to left marks, but only if they also contain real right to left text (e.g. Arabic) (32/64)
21.11.16 Fixed: Do not remove right to left marks from file names in list when using aligned extensions (separate column) (32/64)
21.11.16 Fixed: Configuration - Options - Icons: The new checkboxes (e.g. for dimmed icons) were not disabled when checking "no icons" (32/64)
20.11.16 Added: RestrictInterface=1024: Disable manual and automatic update checks, and hide update function from menu (e.g. for companies) (32/64)
20.11.16 Fixed: TC could cause high CPU load when minimized with option "Auto-refresh" set to "Don't react to updates while in the background" when files were changed while minimized (32/64)

16.11.16 Release Total Commander 9.0 release candidate 6 (RC6) (32/64)
16.11.16 Added: Update check function now sends user to www.ghisler.com/update when there is a new version (32/64)
16.11.16 Fixed: Reduced maximum width for maximized search window to 29900 pixel (64-bit)/16000 pixel (32-bit) in the hope to fix a (not reproduced) bug in "snap to top" function (32/64)
16.11.16 Fixed: Catch floating point exceptions also when loading Lister plugins, to fix crash in Imagine (32/64)
15.11.16 Fixed: Current tab color was sometimes saved incorrectly when closing TC (32/64)
15.11.16 Fixed: Crash in function cm_ShowFileUser when releasing a buffer. Note: Function requires that TC is run as administrator (32/64)
15.11.16 Fixed: Environment variables were not working in [buttonbar] DefaultLib entry (32/64)
15.11.16 Fixed: Properties of files inside a ZIP archive: Show method 95 as "LZMA(XZ)" instead of just 95 (32/64)
15.11.16 Added: New tcmdlzma.dll and tclzma64.dll version 16.4.0.0, compiled from official 7zip sources, used for lzma compressed ZIP files (32/64)
15.11.16 Added: New method to download key directly to TC directory (32/64)
15.11.16 Fixed: Ctrl+N, https download was not working with new sChannel library when using a http proxy (32/64)

09.11.16 Release Total Commander 9.0 release candidate 5 (RC5) (32/64)
09.11.16 Fixed: Reduced automatic update checks to once per day, randomly after 0h..9h morning to better distribute the server load (32/64)
09.11.16 Fixed: Various problems watching for mobile device arrivals/removals, e.g. USB devices disappearing from Alt+F1 list, wrong labels etc. (32/64)
09.11.16 Fixed: Synchronize with certain archives, option "Only selected" checked -> recompare after sync gave empty results because the selection was lost (32/64)
09.11.16 Fixed: Further reduced CPU usage of main thread, caused by a timer which shouldn't always be running (32/64)
09.11.16 Fixed: Archive where deeper directories are stored before others, e.g. /dir1/dir2 before /dir1 -> timestamp for /dir1 was shown incorrectly (32/64)
08.11.16 Fixed: Automatically changed view mode was lost on tab with "locked but dir changes allowed" after 2 or more directory changes and restarting TC (32/64)
06.11.16 Fixed: Configuration - Options - View modes: Never apply current view mode in configuration dialog to target panel, only to source panel (32/64)
06.11.16 Fixed: Configuration - Options - View modes: Only apply auto view mode filter to current tab when on "Auto Switch Mode" page (32/64)
06.11.16 Fixed: Configuration - Options - View modes: Try to preserve previous view modes on tabs even when deleting or re-ordering view modes (32/64)
04.11.16 Fixed: Directory hotlist, choose item with dirs for both sides -> separate tree for inactive panel wasn't updated when using 2 separate trees (32/64)
04.11.16 Fixed: Context menu for file, press hotkey which doesn't exist in the menu -> close the context menu, as in TC 32-bit (64)
04.11.16 Fixed: Catch exception "Printer selected is not valid" in "Print" - "File list" dialog box (32/64)
04.11.16 Fixed: Search via "Everything" 1.3.x and older 1.4.x caused access violation when no file/folder was found with the given search string (32/64)
04.11.16 Fixed: Themed listbox cursor was drawn in footer (directly below file list) during quick search (32)
04.11.16 Fixed: Ctrl+Q quick view in archive on pdf file not showing anything while quick search dialog was open (32/64)
04.11.16 Fixed: Quick view in archive not working when invoking cm_SrcQuickview with mouse (OK via command line or hotkey) (32/64)
04.11.16 Fixed: Shift+F4 always created a new file when entering a name without extension, even when the file already existed (32/64)
03.11.16 Fixed: The following option didn't work in 64-bit: Main menu: When additional icon dlls have their own inc file, it will be used instead of wcmicons.inc for the entire main menu (64)

02.11.16 Release Total Commander 9.0 release candidate 4 (RC4) (32/64)
02.11.16 Fixed: Compare by content: "Only show differences" must be disabled before recomparing, e.g. when file was changed externally, or user chooses different file encoding (32/64)
02.11.16 Fixed: Opening files/programs with ENTER: Do not resolve links/reparse points pointing to complete paths (only to relative paths, except when faulty IE10 is installed), otherwise the file may not open (32/64)
02.11.16 Fixed: Default icon library for button bar was set to other than wcmicons.dll -> revert to wcmicons.dll when the other dll is no longer available (32/64)
02.11.16 Fixed: Update quick view window while quick search is up -> temporarily set focus in active panel to prevent hang in plugin SLister. Closing quick search on Ctrl+Q no longer needed! (32/64)
01.11.16 Fixed: Main menu: When additional icon dlls have their own inc file, it will be used instead of wcmicons.inc for the entire main menu (32/64)
01.11.16 Added: Configuration - Button bar: additional icon dlls can now have their own inc file. If the index differs from the wcmicons.inc file, the icon will be locked to that dll (doesn't change automatically when switching to other dll) (32/64)
01.11.16 Fixed: Move view mode -> view modes assigned to tabs below that position were reverted to default only in active panel (32/64)
01.11.16 Fixed: Delete view mode -> view modes assigned to tabs below that position were reverted to default only in active panel (32/64)
01.11.16 Fixed: Delete view mode active in current tab, click on "Default" view mode, then "Apply" -> current tab view mode was sometimes not reverted to the default (32/64)
01.11.16 Fixed: Ctrl+PageDown could no longer be used to enter archives with no extension (32/64)
31.10.16 Added: Get file details (size, time, attributes) from Everything 1.4 or newer via new RPC call if available (32/64)
30.10.16 Fixed: Everything dlls are no longer needed, replaced by internal code calling the Everything service directly. Necessary because the dlls didn't support the new Everything 1.4 functions yet (32/64)
30.10.16 Fixed: Open archive below a junction/reparse point -> the path changed to the junction target, which would only be needed for opening files/folders externally (32/64)
30.10.16 Fixed: Updated to latest unrar.dll from www.rarlab.com, the included one was still a beta version (5.40 beta 2 -> final) (32/64)
30.10.16 Fixed: Configuration - Options - Color: Draw grayed text in comboboxes if they are disabled (32/64)
30.10.16 Fixed: Also disable (draw grayed) the combobox text and labels in Configuration - Options - View modes for disabled comboboxes (32/64)
30.10.16 Fixed: Synchronize dirs: Click on buttons <- -> etc. sometimes still not working after double clicking on path in main window to open directory hotlist -> open hotlist only on mouse up event (64)

26.10.16 Release Total Commander 9.0 release candidate 3 (RC3) (32/64)
26.10.16 Fixed: Close quick search dialog when user presses Ctrl+Q, otherwise some plugins like SLister can hang Total Commander (32/64)
26.10.16 Fixed: Use old file list icons from TC8.x when wincmd.ini contains IconLib=filename.dll even if the linked name is invalid, otherwise the user cannot switch between old and new icons via settings (32/64)
26.10.16 Fixed: Synchronize dirs: Click on buttons <- -> etc. not working after double clicking on path in main window to open directory hotlist (64)
26.10.16 Fixed: Hide "Everything" search option on Windows NT4/9x/ME because Everything.exe doesn't work on these Windows versions (32)
26.10.16 Fixed: Recompiled 32-bit 7zip dll with Visual C++ 6.0 to make it work also on Windows 9x/ME (32)
26.10.16 Fixed: Unpack 7zip files: new 7zip unpacker dll could cause TC to hang in overwrite dialog if the callback was called from a background thread. Also updated 7zip dlls to 16.4.0.0 (32/64)
25.10.16 Fixed: Crash in "Compare by content" after edit, re-compare (with save), edit, then "recompare from here" (32/64)
24.10.16 Fixed: Compare by content: Extra line combobox must be disabled initially, because "show only differences" is unchecked (32/64)
24.10.16 Fixed: "LastSearchOptions" was still saved to wincmd.ini when TC was closed, it should only be saved when the search dialog is closed (64)
24.10.16 Added: Main icon: Made text "64" on the 16x16 pixel icon larger, better readable (64)
24.10.16 Fixed: Create checksums: Sort files differently (by directory, then by name) when creating checksums in branch view (32/64)
24.10.16 Fixed: Create checksums: Overwrite dialog was shown by mistake when getting checksums of several files in same folder with option "separate checksum files for each directory" (32/64)
24.10.16 Fixed: cm_SrcViewModeList didn't accept view mode names as parameter, only view mode numbers (32/64)
24.10.16 Fixed: Show context menu item to show vertical button bar also when right clicking on splitter panel between 2 file panels above each other (32/64)
24.10.16 Fixed: Splitter panel between the two panels: Make double click easier by not moving it on the first mouse down (32/64)
23.10.16 Fixed: Auto update check function: Added possibility to disable auto update checks, or set longer interval via auto update server response (32/64)
21.10.16 Fixed: Button bar: Hovered button was 1 pixel too low when not using themed buttons (32/64)

19.10.16 Release Total Commander 9.0 release candidate 2 (RC2) (32/64)
19.10.16 Added: Separate quick view (Ctrl+Shift+Q): Show * behind "Lister" text to distinguish the quick view window from normal Lister windows (32/64)
19.10.16 Fixed: Separate quick view (Ctrl+Shift+Q) would not open maximized (after being stored via menu) (32/64)
19.10.16 Fixed: Show big link icon for LNK files (instead of default file icon with/without link overlay) when icons for EXE/LNK are disabled (32/64)
19.10.16 Fixed: Use button bar tooltips from English if there is no INC file for a language, and the command isn't in the main menu either (32/64)
19.10.16 Fixed: Search dialog showed up with narrow unresizable window on Windows 9x/ME (due to bugfix for Windows 10 on 05.09.16) (32)
19.10.16 Fixed: Show vertical button bar when using 2 panels above each other (Vertical arrangement) via menu Configuration - Button bar 2 (vertical) -> context menu items for vertical bar were missing (32/64)
19.10.16 Fixed: Automatic column width in file panels wrong when using 2 panels above each other (Vertical arrangement) and vertical buttonbar (32/64)
19.10.16 Fixed: Hover with mouse over buttonbar, using flat unstyled buttons -> do not draw current button frame over button which is already down (32/64)
19.10.16 Fixed: Updated installer for CD version to functions of new self-extracting installer (32/64)
19.10.16 Fixed: The uninstaller didn't remove some newer files (32/64)
18.10.16 Added: New icon library for main menu and button bars is now included also in 48x48 pixel size (16x16, 24x24, 32x32, 48x48) (32/64)
18.10.16 Added: Synchronize dirs: Compare by content: Compare single files from each side by selecting just the two files and choosing "Compare..." from the context menu (32/64)
18.10.16 Fixed: Alt+F10 tree wouldn't save paths longer than about 500 characters (32/64)
18.10.16 Fixed: Dialog for choosing the default icon library: Show icons centered horizontally (32/64)
18.10.16 Fixed: Vertical button bar: Open overflow menu (bar too high), right click any item -> menu to edit main bar instead of vertical bar was shown (32/64)
18.10.16 Fixed: Checkboxes in text search section of search dialog were too high, causing overlap (64)
18.10.16 Fixed: Switch from full view with custom view mode to tree -> custom background color remained below tree items (32/64)
18.10.16 Fixed: New default non-bold font was never used for new users because the installer was writing to [Configuration] -> use new font if FirstTime=0 wasn't set on first TC start (32/64)
18.10.16 Fixed: Press SPACEBAR on folder -> '?' was no longer shown in size column until the size was calculated (32/64)
18.10.16 Fixed: Some USB link cables seem to need other GUID to connect (32/64)
18.10.16 Fixed: Passing plugin name via command line no longer worked, e.g. TOTALCMD.EXE /o /r="\\\Secure FTP" (32/64)
18.10.16 Fixed: Compare by content, local file with ftp, save remote, return to TC -> panel could switch from ftp to local directory on some Windows versions (32/64)
18.10.16 Fixed: tsclient drives were sometimes not appearing when connecting to remote computer where TC was already running (32/64)
18.10.16 Fixed: No drive tips in drive dropdown combobox for tsclient drives (32/64)
18.10.16 Fixed: Icons for tsclient wrong when using icons from Explorer - use icons displayed in \\tsclient path instead (32/64)
16.10.16 Fixed: Alt+F10 tree only showed root level when using natural sorting+sort dirs by name options (32/64)
16.10.16 Fixed: Search function: Load/Save last search options (checkboxes) each time when opening/closing the search dialog, to better support standalone search (32/64)
16.10.16 Fixed: Start TC with fresh INI and without key -> dialog to choose default icon library was shown the first two times TC was started, not just the first time (32/64)
16.10.16 Fixed: Search function: Ignore "Search in" field when using ev: prefix, otherwise Everything would be called for each given start path (32/64)
16.10.16 Fixed: cm_LeftViewModeList, cm_RightViewModeList and cm_SrcViewModeList now accept a view mode number>0 or view mode name as parameter in button bar, start menu, or internal command (32/64)
14.10.16 Fixed: Right click on tab header, open tab in other panel -> view modes were not copied. Note: Locked state will NOT be copied! (32/64)
14.10.16 Fixed: Configuration - Options - Icons: Switching from internal to Explorer drive icons only changed the drive bar and tabs, not the drive dropdown combobox (32/64)
14.10.16 Fixed: Close TC while a locked tab was the active tab, then start TC with parameters /T /L="c:\directory" -> the locked tab sometimes lost the '*', and the new tab had the wrong tab title (32/64)
14.10.16 Fixed: Left panel: Set view mode which shows/hides icon in tabs, causing the number of tab rows to change -> file panel wasn't resized correctly (32/64)
13.10.16 Fixed: Search function: Drives dialog not working in x64 version (test dialog shown) (64)

12.10.16 Release Total Commander 9.0 release candidate 1 (RC1) (32/64)
12.10.16 Fixed: Show list of local drives when connecting via RDP (remote desktop) - use WTSRegisterSessionNotification to be notified when remote desktop connection starts/ends (32/64)
12.10.16 Fixed: Resizing main window could cause half-drawn icons in vertical button bar with icon size=button size (32/64)
12.10.16 Fixed: Abort running commands from view modes when holding down ESC key (32/64)
12.10.16 Added: Lister: Store position separately for separate quick view (Ctrl+Shift+Q): wincmd.ini [Lister] QuickX,QuickY,QuickDx,QuickDy, QuickMaximized (32/64)
12.10.16 Fixed: Crash showing certain dialogs when changing locale while TC is running, and ANSI sort order is different (e.g. Czech: CH sorted after H -> resource order changes) (64)
11.10.16 Fixed: Folders in search results were not sorted by the natural sorting method e.g. 'CH' after 'H' in Czech (32/64)
11.10.16 Fixed: Multi-rename tool: New option to auto-rename to "name (2).ext" etc. didn't work if one of the renamed names was the same as an existing file name not changed by the rename options (e.g. test_a_.txt test_b_.txt, replace _a_ by _b_) (32/64)
11.10.16 Fixed: Auto view mode switch set for a dir with subdirs (e.g. c:\dir\*\), go to c:\dir, locked but directory changes allowed, go to subdir, switch to different tab -> view mode was lost (32/64)
09.10.16 Fixed: Synchronize dirs: Comparing 2 RAR archives by content was no longer working correctly (32/64)
09.10.16 Added: Bitlocker dialog: Checkbox to not show that message again. If the user then clicks Yes, the bitlocker password dialog will always be shown, otherwise never (fails with an error) (32/64)
09.10.16 Fixed: Bitlocker dialog and registration screen could still interfere in full version (64)
07.10.16 Fixed: cm_CopyFileDetailsToClip copied extra #1 character when using custom columns with [=tc.comment] column, and the comment file was Unicode (32/64)
07.10.16 Fixed: Allow to view, rename and delete files ending with a dot, e.g. "test.txt .". These names are not allowed in Windows functions, but can still be created on NTFS with \\?\ prefix (32/64)
07.10.16 Fixed: Display trailing dot(s) in file list for file names ending with a dot (which isn't allowed in Windows functions, but can still be created on NTFS with \\?\ prefix) (32/64)

05.10.16 Release Total Commander 9.0 beta 17 (32/64)
05.10.16 Fixed: When entering large directories, wait with handling messages for up to 1.9 seconds - still safe to avoid freezing, but keeps keyboard input made by user (32/64)
05.10.16 Fixed: Do not watch for changes in "Computer" virtual folder when ShowExtraDrives doesn't have value 4 added (show drives with no drive letters like phones) (32/64)
05.10.16 Fixed: Remote desktop connection: Show shared drives when connecting, hide them when disconnecting (32/64)
05.10.16 Fixed: Remote desktop connection: Local drives shared via "Local resources" options were not visible in TC (WNetOpenEnum failed) (32/64)
05.10.16 Fixed: Don't try to show the bitlocker unlock dialog while the registration screen is still up (switch to local drive instead, as TC 8.x) (32/64)
05.10.16 Fixed: Button F3, F4 etc. in bottom bar could wrap to two lines when button too narrow (64)
05.10.16 Fixed: Quick search filter was lost after using file context menu, causing a full refresh by mistake (32/64)
04.10.16 Fixed: Comments: Problems copying comment from UTF-8-encoded comment file to OEM-encoded comment file on systems with codepage other than 1252 (32/64)
04.10.16 Fixed: Comments: Problems copying comment from OEM-encoded comment file to UTF-8-encoded comment file on systems with codepage other than 1252 (comment not visible, line breaks lost) (32/64)
04.10.16 Fixed: Comments: Default type set to one of the Unicode types, enter non-Unicode comment via Ctrl+Z -> last character was cut (32/64)
04.10.16 Fixed: Move file (F6) which is currently opened and locked by a program will copy the file, but deleting the original will fail -> show different error dialog (32/64)
04.10.16 Fixed: Hold down space on a file, then press Tab while space is still down -> the footer could be wrong (32/64)
04.10.16 Fixed: Missing identifiers for new commands in WCMICONS.INC (32/64)
04.10.16 Fixed: For consistency with the 32-bit version, don't draw drive icons from icon lib dimmed when hovering over them (64)
04.10.16 Fixed: Search dialog: Save "Search for" combobox when starting a search and the string has changed, not only when closing the dialog (32/64)
30.09.16 Fixed: Configuration - Options - View mode, Apply after deleting a mode -> revert view modes on tab to 0 (default) if a mode was deleted or inserted before that mode (64)
30.09.16 Fixed: Configuration - Options - View mode, Apply after deleting a mode -> revert view modes on tab to 0 (default) if number higher than available view modes (64)
30.09.16 Fixed: Folder tabs: Default view mode, toggle "Priority", click "Apply" -> icons for default view mode tabs were only changed when switching to these tabs (32/64)
30.09.16 Fixed: Folder tabs: When disabling folder tab icons, an empty placeholder was shown on tabs where a user mode icon with priority option was defined (32/64)
30.09.16 Fixed: Abort counting space in file system plugin subdirs (Alt+Shift+Enter or Spacebar) when disconnecting or closing the program (32/64)
29.09.16 Fixed: Windows 10 bug: Alt+Tab away from Configuration - Options - Misc after clicking on a disabled control in that dialog still caused redraw errors -> we need to focus a different control (list of pages) (64)
29.09.16 Added: Updated tc7z.dll and tc7z64.dll with latest dlls from 7z1603-extra.7z (7zxa.dll and x64\7zxa.dll) (32/64)
29.09.16 Fixed: FTPS: Suggest to use OpenSSL dlls in the log window when connection fails because the operating system doesn't support session re-use (e.g. Linux with Wine) (32/64)
29.09.16 Fixed: FTP connection dialog: Automatically check passive mode option when checking SSL/TLS, it doesn't work with active mode (32/64)

28.09.16 Release Total Commander 9.0 beta 16 (32/64)
28.09.16 Fixed: Configuration - Options - View mode, Apply after deleting a mode -> revert view modes on tab to 0 (default) if a mode was deleted or inserted before that mode (32/64)
28.09.16 Fixed: Configuration - Options - View mode, Apply after deleting a mode -> revert view modes on tab to 0 (default) if number higher than available view modes (32/64)
28.09.16 Fixed: Crash in quick search when trying to enter a search text while TC was frozen (32/64)
28.09.16 Fixed: Windows 10 bug: Alt+Tab away from Configuration - Options - Misc after clicking on a disabled control in that dialog caused redraw errors (64)
28.09.16 Fixed: Change Attribute dialog: Accept date and time where there is more than one separator between each value, e.g. 10//22////2016 (32/64)
28.09.16 Fixed: Do not use semi-transparent bitmaps with alpha channel on Windows 2000 when resizing, otherwise the icons could get a black background (32/64)
28.09.16 Fixed: Use 16-bit colors for icons on Windows 9x/ME/2000, otherwise dimmed icons look ugly, dithered with white instead of dimmed (32/64)
28.09.16 Fixed: File list icons could have black background on Windows 2000, need to use old scaling method without alpha blending (32/64)
28.09.16 Fixed: Do not open notification about new version while the startup screen or settings dialog are open (32/64)
27.09.16 Fixed: Starting TC with locked bitlocker drive on current tab and BitlockerAlwaysDecrypt=1 option could lead to infinite asking for password if user didn't enter it (note that 32-bit works differently, it switches to c:\) (64)
27.09.16 Fixed: Vertical button bar: Show icons centered also when button size<small icon size, e.g. 15px/16px (32/64)
27.09.16 Fixed: Switch away from tab with "locked but directory changes allowed", while not in locked root -> tab color was restored to the locked root, but not the tab icon (32/64)
26.09.16 Added: cm_100percent now accepts a parameter: If >0, it sets the panel width (in percent) of the active panel. If <0, it sets the panel width (in percent) of the left window. Example: cm_100percent 70 (32/64)
25.09.16 Fixed: Switching to server with command line: cd \\servername requiring user name+password would sometimes show the "Reading directory" dialog in front of the login/password dialog (32/64)
25.09.16 Fixed: View modes: Right clicking on tab which wasn't active when starting TC sometimes didn't check the current view mode (32/64)
23.09.16 Fixed: Sometimes the right file panel couldn't get focused (happens when only the right panel window handle is recreated) (64)

21.09.16 Release Total Commander 9.0 beta 15 (32/64)
21.09.16 Fixed: View modes: Commands defined in view modes were always applied to the left panel only (release beta 15 rev a) (32/64)
21.09.16 Fixed: Do not watch notifications for network drives, it can hang the watch directory thread (32/64)
21.09.16 Fixed: Re-signed all included EXE/DLL files with separate SHA-1 (re-issued) and SHA256 certificates (32/64)
21.09.16 Added: Message dialog with checkbox (e.g. shown on multi-rename name collisions): Show icon, make it look more like the standard MessageBox dialog (32/64)
21.09.16 Added: For the sorting commands like CM_SRCBYNAME, add parameter 4 to sort by additional columns, e.g. CM_SRCBYSIZE 5 adds sort by size, ascending (32/64)
20.09.16 Added: The following internal commands now accept parameters 0 (toggle, default), 1 (true), and 2 (false), except in main menu (* stands for LEFT, RIGHT, and SRC): CM_VERTICALPANELS,CM_*THUMBS,CM_*BYNAME,CM_*BYEXT,CM_*BYSIZE,CM_*BYDATETIME,CM_*NEGORDER (32/64)
20.09.16 Fixed: Make sure that when rubberband selection starts in one file panel, it will remain there (32/64)
20.09.16 Fixed: FTP: avoid infinite retries if both PASV and PORT mode fail due to server misconfiguration (32/64)
20.09.16 Fixed: Auto-switching to thumbnails view in directory with images -> one of the images would sometimes not get a thumbnail (64)
20.09.16 Added: Execute view mode commands also when switching between 2 tabs with different view modes (32/64)
20.09.16 Added: Define view mode commands when switching away from a view mode to a different mode. Separate by | (vertical line), e.g. cm_100percent|cm_50percent (32/64)
18.09.16 Added: Support Ctrl+Q (quick view panel) also during quick search. May cause problems like lost cursor with some plugins (32/64)
18.09.16 Fixed: Open background transfer manager without starting any operation in it, then close TC -> warning about running background operations (32/64)
18.09.16 Fixed: Number of folders wasn't updated in footer when network shares were added after reading the network neighborhood (delayed reporting) (32/64)
18.09.16 Fixed: Do not show any network shares in Network Neighborhood (as in TC 8.x) when Allowed= doesn't contain the backslash (32/64)
18.09.16 Fixed: Look of horizontal separators in Configuration - Options - Fonts (32/64)
18.09.16 Added: Multi-rename tool: On Windows NT-based systems, the new placeholder [u] at the start of the new name field converts all composite characters (e.g. separate a and ^) to precomposed characters (a with accent) (32/64)
18.09.16 Fixed: Disable themed caret (cursor in listboxes) by default if WindowBlinds is running. Otherwise no cursor at all may be shown (32/64)
16.09.16 Fixed: Free space on drive was shown delayed on startup (32/64)
16.09.16 Fixed: Lister: Viewing file with BOM (UTF-16 or UTF-8): Cursor would sometimes not show up at all until it is moved, e.g. until a cursor key is pressed (64)
16.09.16 Fixed: HTTPS downloads could hang at the end when not using OpenSSL (due to incorrect error handling) (32/64)
15.09.16 Added: New SSL/TLS implementation: support TLSv1.1 and TLSv1.2, and report the protocol in the connection log (32/64)

14.09.16 Release Total Commander 9.0 beta 14 (32/64)
14.09.16 Fixed: Linux: Verifying a certificate from certificate store could hang in an infinite loop because the behaviour for Root certificates is different from Windows (32/64)
14.09.16 Added: wcx_ftp.ini [General] PreferOpenSSL=0/1/-1 sets the encryption method when both sChannel and OpenSSL are available (32/64)
13.09.16 Added: HTTPS connection without the need for OpenSSL, using the sChannel functions from Secur32.dll (32/64)
13.09.16 Fixed: Load selection from file: Last item in list may not be selected if the file is UTF-16-encoded and does not end with a line break (32/64)
11.09.16 Added: FTPS connection without the need for OpenSSL, using the sChannel functions from Secur32.dll (32/64)
09.09.16 Fixed: Crash when applying certain view modes from main configuration dialog. Delay internal commands to fix. (32/64)
09.09.16 Fixed: Signed EXE was not recognized on older Windows versions. Solution: Re-issue certificate as RSA+SHA-1, then sign with separate SHA-1 and SHA256 certificates (32/64)
09.09.16 Fixed: Lister: Viewing file with BOM (UTF-16 or UTF-8), cursor down while blinking cursor visible -> ghost cursor was remaining (64)
08.09.16 Fixed: Context menus not functioning any more in various dialogs, e.g. multi-rename tool, sync, change button bar (64)

07.09.16 Release Total Commander 9.0 beta 13 (32/64)
07.09.16 Fixed: Configuration dialog, apply view modes: Only reset view modes when they were not set manually, or when a view mode was deleted (32/64)
07.09.16 Added: wincmd.ini [Configuration] PopupDelay=500 delay in milliseconds after pressing right mouse button until context menu is shown (shorter right click or click+drag just selects file) (32/64)
06.09.16 Fixed: Copy in background with F5-F2: Keep TC enabled while counting files (no window freezing) (32/64)
06.09.16 Fixed: Help file: Link to asp-software was still pointing to asp-shareware (32/64)
06.09.16 Fixed: Unmount USB flash drive which was displayed in TC -> drive was changed to C: but the view mode wasn't updated (32/64)
06.09.16 Fixed: Drive button bar: Drive icons were flickering when returning to TC and not using Explorer drive icons (32/64)
05.09.16 Fixed: Bitlocker drive wasn't shown when using HideRemovableNoMedia key to hide card readers with no medium (32/64)
05.09.16 Fixed: Bitlocker drive wasn't recognized on Windows 7 (32/64)
05.09.16 Fixed: Search window couldn't be maximized to full width on Windows 10 due to Win10 bug (32/64)
05.09.16 Added: wincmd.ini [Configuration] ReplacePhotoApp=0 turns off replacement of photo app by Windows Photo Viewer (32/64)
05.09.16 Fixed: Windows 10: Instead of the useless photo app, open the old Windows Photo Viewer if it is installed. It allows to switch through all images in a folder even when called from other programs than the Explorer (32/64)
04.09.16 Added: wincmd.ini [Configuration] BitlockerAlwaysDecrypt=1 always shows Bitlocker password dialog when trying to access a bitlocker-encrypted drive (32/64)
04.09.16 Added: Still react to Windows messages while reading long directory, just ignore mouse and keyboard messages (32/64)
02.09.16 Fixed: With "Show icons for special folders: Normal file system" disabled, share icon overlays were not shown for folders with icon from descript.ion (32/64)
02.09.16 Fixed: Synchronize dirs: Do not show popup menu when there is no result list, otherwise some menu items could cause an access violation (32/64)
02.09.16 Fixed: em_commands can now contain other em_commands also as the first command - added better detection of recursion where a command would call itself (32/64)
02.09.16 Added: 32-bit true color icons also in 32-bit version, otherwise Windows 10 doesn't pick the right size icons (32)
02.09.16 Fixed: Horizontal and vertical split cursor (on separator between left and right panel) were too small on high DPI devices (64)

31.08.16 Release Total Commander 9.0 beta 12 (32/64)
31.08.16 Fixed: Ignore keyboard input sent to TC while a modal dialog is up, e.g. F5 copy dialog. Workaround to Windows bug where TC can get focus while disabled (hover over taskbar icon until preview shows up, right click on preview) (32/64)
31.08.16 Fixed: Refresh only active panel after deleting file via right click context menu, and the other panel showed a different drive (32/64)
31.08.16 Fixed: The line between listbox and status bar wasn't drawn in brief view (32/64)
30.08.16 Fixed: Some resized icons would appear too dark when using a custom icon size (32/64)
30.08.16 Fixed: Increased text height in background transfer manager and background progress dialog slightly to handle 10pt fonts (32/64)
30.08.16 Fixed: Drive combobox could be too narrow on higher DPI devices using larger icon size (32/64)
30.08.16 Fixed: Increased textbox height in dialog which appears when editing multiple files from ZIP with F4 with multiple document editor (32/64)
30.08.16 Fixed: F5-F6 repeatedly doesn't work any more with CHS file names (32)
30.08.16 Fixed: Thumbnails view: View mode background wasn't used. Note that thumbnails view only uses the first background color (32/64)
30.08.16 Fixed: Configuration, click "Apply": Do not try to apply auto view mode change rules unless they were actually changed, just apply the changed view mode (32/64)
30.08.16 Fixed: Sorting headers (Name/Ext. etc.): Removed extra line on the left when using HeaderThemed=0 (64)
30.08.16 Fixed: View mode and view mode switch configurations: Comboboxes were not translated when changing languages and clicking Apply without closing the dialog (32/64)
30.08.16 Added: wincmd.ini [Configuration] CountMarkedBackground=0 disables second progress bar in background transfer manager (32/64)
28.08.16 Fixed: Exit button was too far to the right (only beta 11) (32)
28.08.16 Fixed: When the user changed the view mode manually while auto view mode changes were enabled, it was not preserved when not using tabs (32/64)
28.08.16 Fixed: Update bitlocker drive icon in drive bar and drive dropdown combobox when unlocking bitlocker drive from within TC (32/64)
28.08.16 Fixed: After unlocking a bitlocker drive, trying to switch to it may return a different error while the drive is unlocked but not yet accessible (32/64)
28.08.16 Fixed: Do not show green open arrow overlay when using old archive icons (32/64)
28.08.16 Added: Also show old archive icon when unchecking "Show default folder/file icons from Explorer" (32/64)
28.08.16 Fixed: When an external icon library (via iconlib=) contains separate "!" overlay icons, use these always instead of the dedicated file+! and folder+! icons (32/64)
28.08.16 Fixed: Crash trying to enter directory longer than 1023 characters (Reason: directory history storing both path+name under cursor) (32/64)
28.08.16 Fixed: Search dialog: Only handle F4 for edit when the focus is not in a combobox, because F4 is already used by Windows to open a dropdown combobox (32/64)
26.08.16 Fixed: When using drive icons from Explorer, re-read network drive icon when switching from elsewhere to it, to remove red 'x' if the drive was reconnected (32/64)
26.08.16 Fixed: Menu bar theme background wasn't drawn when maximized on secondary screen, AND that screen ended with x-coordinate 0 (shown to the left of the main screen) (64)
26.08.16 Fixed: 24x24 icon in 32-bit version was replaced by a resized 32x32 icon by mistake (32)

24.08.16 Release Total Commander 9.0 beta 11 (32/64)
24.08.16 Fixed: Configuration - Options - View Mode: "Priority" checkbox could overlap with tab icon preview on higher DPI devices (32/64)
24.08.16 Fixed: Show dimmed icons by default only on Windows XP or newer, they look ugly on older Windows versions (32/64)
24.08.16 Fixed: When themes are disabled, icons in the current tab context menu need to be scaled down to the actual menu size (usually 15x15) because the menu isn't enlarged for larger icons (32/64)
24.08.16 Fixed: Re-added line between sorting header and listbox when using themes, but TabHeaderThemed=0 was set under [Layout] (32/64)
24.08.16 Fixed: The installer could not install over TC 64-bit if the 64-bit standalone help window or other standalone dialogs were open (64)
24.08.16 Fixed: Dialog with 1-3 checkboxes could sometimes be too small when using larger font (32)
24.08.16 Added: Alt+F10 tree: Changed static text "F2 re-scan" to speed button, so it can be used with a mouse too (32/64)
24.08.16 Fixed: Search dialog: Move 'Everything' checkbox to the right of the packer checkbox if it doesn't have enough space (32/64)
24.08.16 Fixed: Breadcrumb bar: The dropdown folder list wasn't closed when switching away (Alt+Tab) from TC (64)
23.08.16 Added: Show view mode tab colors and icons in main menu - Show - Custom View Modes (with same icon size as on folder tabs) (32/64)
23.08.16 Added: Show view mode tab colors and icons in current tab context menu (32/64)
23.08.16 Added: When user changes the view mode manually while automatic view mode switching is enabled, keep that view mode until the directory changes to a location with a different view mode rule>0 (32/64)
23.08.16 Fixed: When using external icon library (via iconlib=) for files/folders, do not use '!' overlay (from TC) if the icon library does not contain any '!' overlay. Use method from TC 8.x instead: separate icon for hidden/system (32/64)
21.08.16 Fixed: Windows 10 anniversary update bug: Double click on inaccessible share (e.g. DVD drive with no disk) would hang forever. Must call in background thread (32/64)
19.08.16 Fixed: Show legacy file folder icons with '!' when checking "Show '!' on hidden/system" and using icon library or old internal icons. Show '!' overlay for files/folders with special icon (32/64)
19.08.16 Fixed: Do not show any icons with "!" (not even default icons) when unchecking "Show '!' on hidden/system" (32/64)
19.08.16 Fixed: Use internal function to convert from ANSI to Unicode for codepage 1252 (Western), for users who replace C_1252.NLS (e.g. to use Cyrillic in Western only programs) (32/64)
19.08.16 Fixed: Icons from internal associations disappeared when changing from/to file/folder icons from Explorer (32/64)

17.08.16 Release Total Commander 9.0 beta 10 (32/64)
17.08.16 Fixed: Removed all user-added hotkeys from right click context menu (32/64)
17.08.16 Fixed: Write SetEncoding=äö.do.not.remove to wincmd.ini [Configuration] on load, to prevent notepad from opening/saving the file as UTF-8 when it contains UTF-8 encoded parts (32/64)
17.08.16 Added: Configuration - Options - Icons: when a folder/file icon library is set and the user checks to use the folder/file icons from Explorer, move library to iconlib.bak. Restore library name when user unchecks the option (32/64)
17.08.16 Added: Configuration - Options - Icons: when a drive icon library is set and the user checks to use the drive icons from Explorer, move library to drivelib.bak. Restore library name when user unchecks the option (32/64)
16.08.16 Fixed: Multi-rename tool: Multi-step undo stops working when a rename operation gave 0 results (no names changed) (32/64)
16.08.16 Added: Drive bar, drive dropdown list: re-read drive icons when TC gets the focus (32/64)
16.08.16 Added: Configuration - Options - Icons: configure old/new default file/folder icons, old/new drive icons, "!" overlay, dimmed hidden files (32/64)
16.08.16 Added: New option OldListIcons: set to 1 to use file/folder icons from TC 8.x, except when iconlib= is set (32/64)
14.08.16 Fixed: Use dimmed icons by default only on Windows XP or newer, because ImageList_DrawEx(...ILD_BLEND50) looks horrible on old Windows versions (32/64)
14.08.16 Added: Re-added horizontal border between listbox and footer when using themes, using top line of tab control (32/64)
14.08.16 Fixed: Do not use bold font when text color and selection color are the same, but inverse selection is chosen (32/64)
14.08.16 Fixed: Dialog box "Define server type" (Alt+Shift+Enter during FTP connection) had no icon in 32-bit version (32)
14.08.16 Fixed: Locked tab: View mode set by user on locked tab was not preserved in 64-bit version (64)
12.08.16 Added: Detect when a drive is locked by bitlocker, and offer to unlock it (32/64)
12.08.16 Added: Re-apply view mode also when using cm_SrcViewMode0, cm_TrgViewMode0 etc. when the same view mode is already set (32/64)
12.08.16 Added: 40x40 icon to TC 32-bit and TC 64-bit. Also re-added 24x24 icon to 64bit, it was lost somehow (32/64)
11.08.16 Fixed: Sometimes the start menu or directory menu could get filled with strange characters, or hang when closed (error in MyListbox component, GetTextW) (64)

10.08.16 Release Total Commander 9.0 beta 9 (32/64)
10.08.16 Added: wincmd.ini [Configuration] ShowHiddenSystemOverlay=1/0 show exclamation mark overlay for hidden and system files/folders (32/64)
10.08.16 Added: wincmd.ini [Configuration] ShowHiddenDimmed=1/0 show hidden files/folders with dimmed icon (32/64)
10.08.16 Added: Show hidden and system files with exclamation mark overlay (configurable) (32/64)
10.08.16 Added: View modes: New checkbox "Priority": If checked, the view mode icon takes priority over all other icons, e.g. if the folder has an icon from desktop.ini (32/64)
10.08.16 Added: Files - Create CRC checksums: New option to create checksum file in each directory. Use name of directory as checksum name by default (32/64)
09.08.16 Fixed: Removed hotkeys from context menu added on 13.02.15 - people in the forum didn't like them, and they removed the shield icon from some menu entries (32/64)
09.08.16 Added: wincmd.ini [Configuration] MultiRenameUndoHistoryLen=20 set number of Undo steps in multi-rename tool. =0 disables Undo (32/64)
09.08.16 Added: Multi-rename tool: Undo now supports multiple undo steps. By default, the last 20 multi-rename operations can be undone (32/64)
07.08.16 Fixed: "Change start menu" was hanging after closing the dialog, but only on Windows 10 (problem with menu library) (64)
07.08.16 Fixed: Devices with no drive letter (e.g. phones) sometimes still had no icon when using DriveLib= option (32/64)
07.08.16 Fixed: totalcmd64.exe was missing 24x24 pixel icon. Also 16x16 icons didn't have '64' number on them, and '64' text was too small in 48x48 icon (64)
07.08.16 Fixed: Everything search: Do not call Everything_SetMatchPath at all. Instead, use path: and nopath: prefix, e.g. path:c:\windows\ nopath:<note*.exe> (32/64)
07.08.16 Fixed: Locked tab: Keep view mode set by user also on active tab (it was preserved only on inactive tabs by mistake) (32/64)
05.08.16 Fixed: Microsoft has brought back a bug they fixed long ago in IE10: ShellExecuteEx fails if the launched EXE is in a path containing relative links -> use old workaround to resolve path ourselves (32/64)
05.08.16 Fixed: Quick search dialog was closed when searching while quick view was open (32/64)
05.08.16 Added: Allow to re-apply the current view mode via tab right click menu, e.g. because the sort order was changed manually by the user (32/64)
05.08.16 Added: Support Shift+Home/End in content plugin selection dialog (e.g. button "[=?] Plugin" in multi-rename tool) (32/64)
05.08.16 Fixed: Beep sound was played when renaming and ESC was pressed with a single space in the edit box (32/64)

03.08.16 Release Total Commander 9.0 beta 8 (32/64)
03.08.16 Fixed: ZIP packer: Accented characters were not shown correctly in progress dialog when packing names as plain text (not Unicode) (32/64)
03.08.16 Fixed: If a plugin shows a MessageBox while the 1-2-3-nag dialog is up, try closing it directly (64)
03.08.16 Fixed: Background transfer manager: Second percent bar wasn't reset to 0 once copying was done (32/64)
03.08.16 Fixed: Multi-rename tool: Do not use auto-rename to "name (1).ext" if the old and new name are the same or differ only in upper/lowercase (32/64)
03.08.16 Fixed: Comment editor (Ctrl+Z): Comment shown incorrectly from UTF-8-encoded descript.ion file if "DOS charset" was also checked (32/64)
03.08.16 Fixed: Right to left languages: Auto view mode switch configuration, list of rules must not be mirrored! (32/64)
03.08.16 Fixed: Right to left languages: View mode configuration, button for choosing icon was overlapping button to choose color (32/64)
03.08.16 Fixed: Main menu and Lister menu not shown correctly when using right to left languages (note: due to a bug in Windows, only single line right to left menu works) (64)
03.08.16 Fixed: Initial compare by content (progress bar in main TC) was aborted by ESC in Lister (32/64)
03.08.16 Added: Support Shift+Home/End in cm_commandbrowser (32/64)
01.08.16 Fixed: No overlay icon was shown for .lnk files in virtual folders pointing to files with no association, and to folders with default folder icon (32/64)
01.08.16 Fixed: Show .lnk files pointing to files without association as files, not folders (32/64)
01.08.16 Fixed: Button bar, start menu: Parameter %C2 wasn't same as in compare by content when there was 1 file selected in the source, and the cursor was on another file (32/64)
01.08.16 Fixed: Using icons >48x48 in file lists could result in tiny 16x16 icons in upper left of the icon (32/64)
31.07.16 Fixed: Configuration - Options - Misc: Could not remove user-defined hotkeys via "X" button after choosing them from dropdown list (64)
31.07.16 Fixed: Still different Icons in Drive Buttons and Drive Combobox for USB harddisks under special conditions: Fresh ini, OldDriveIcons=1 or 2 (32/64)
31.07.16 Fixed: Show - Vertical arrangement: Bottom drive buttonbar was overlapping with vertical buttonbar after inserting new (USB) drive (32/64)
31.07.16 Fixed: Vertical button bar: Fixed redrawing of buttons on XP with themes enabled, and tooltips partially obscure the buttons (32/64)
31.07.16 Added: One more parameter added to installer: /K installs wincmd.key file located in same directory as the installer. Note: All parameters MUST be passed in one group after a single slash (32/64)
31.07.16 Added: Installer now accepts the following parameters /AHLMGDU A=Auto, H=Hidden, L=Language number, M=Multi-language, G=Create group, D=Create desktop icon, U=Update if target exists. All options accept parameters 1 or 0, e.g. G0 or G1. L accepts language Nr. from install.inf, e.g. L18=Romanian (32/64)
31.07.16 Added: Installer: new key [Auto] Update=1 perform update installation if target already exists: Do not change language and other ini settings, do not create desktop and start menu icons (32/64)
31.07.16 Fixed: Installer: Copyright sign not shown in some languages like Korean (32/64)
31.07.16 Fixed: Installer: removed "(default)" from Windows directory option, it's no longer the default (32/64)
29.07.16 Fixed: Button bar, right click on button: Menu item "cd c:\path of exe" missing when * was put in front of the command (32/64)
29.07.16 Fixed: View modes, additional sort orders: '2' was added twice to the context menu (32/64)

27.07.16 Release Total Commander 9.0 beta 7 (32/64)
27.07.16 Fixed: If a plugin shows a MessageBox while the 1-2-3-nag dialog is up, bring the MessageBox to the foreground so the user can close it (64)
27.07.16 Added: Don't reset view mode when loading locked tabs (also with directory changes allowed) (32/64)
27.07.16 Fixed: Folder tabs: When using tabs of same width, the text and icon could overlap (but only in the right tab header!) (32/64)
27.07.16 Fixed: * in front of commands in View mode (execute in each dir, not just when the mode changes) didn't work any more (32/64)
27.07.16 Fixed: Crash/malfunction using button parameter %C3-%C9 or higher (32/64)
27.07.16 Fixed: When adding a tab with Ctrl+T when no tabs are shown, the buttons for history and bookmarks could be shown too high with some themes like Windows 10 (32/64)
27.07.16 Added: Windows 10: re-added separator between tab headers and file list because it's missing from the theme (32/64)
26.07.16 Fixed: Folder tabs layout of right panel could be wrong (e.g. path panel too high, top of hotlist+history list too high) with certain themes and fonts (32)
26.07.16 Fixed: descript.ion file with line breaks converted incorrectly from OEM/DOS font to Unicode (line breaks were lost) (32/64)
26.07.16 Fixed: Buttons in button bar were not centered vertically between upper and lower line when using flat or themed buttons (32/64)
26.07.16 Fixed: Switch theme off (classic theme) or on (default theme) -> Tab key stopped working, couldn't focus other panel (64)
26.07.16 Fixed: ActiveTabColor could become sticky on tabs when not using automatic view mode changes (Note: To remove color, set view mode to default via right click on the tab) (32/64)
26.07.16 Fixed: USB devices like phones didn't have an icon when using drivelib=some dll (32/64)
26.07.16 Added: Configuration - Options - Auto switch mode: Show & and | instead of |& and || (32/64)
26.07.16 Fixed: User-chosen view mode could be reset after renaming when using auto view mode change (32/64)
26.07.16 Fixed: Files - Split File, Files - Encode File: Textbox with file name could wrap to 2 or more lines for long names, adjust dialog box accordingly (the width will not be adjusted) (32/64)
26.07.16 Fixed: No tooltips from Explorer were shown when not using "All+EXE/LNK" and/or overlay icons (because the idlist for the directory wasn't loaded) (32/64)
26.07.16 Added: When using external icon library with iconlib= option, use separated "shared folder" overlay icons on folders with special icons (desktop.ini) (32/64)
25.07.16 Fixed: Update checker was broken, will take until beta 8 to work again (32/64)
24.07.16 Fixed: Configuration - Options - Font: 64-bit version showed different examples (with Latin accents) than 32-bit version (64)
24.07.16 Fixed: Always try to load newer unrar.dll. Only try unrar9x.dll when the former fails (32)
24.07.16 Fixed: Thumbnail view: Folder icon with shared icon overlay: Folder icon was shown wrong (16x16 icon scaled up to 48x48) (32/64)
24.07.16 Fixed: Shift+F6 on [..]: Change icon to OK sign before displaying the button (for slow screens) (32/64)
24.07.16 Fixed: Everything search: Everything_SetMatchPath must be set to false, not true, otherwise strings like name*.ext will not be found (32/64)
24.07.16 Fixed: Crash trying to set ANSI comment in Unicode comment file (or vice versa) if the old comment had no line breaks (32/64)
24.07.16 Fixed: Crash trying to read description from UTF-16 Unicode descript.ion file >64kBytes (32/64)
22.07.16 Fixed: Different Icons in Drive Buttons and Drive Combobox for USB harddisks - try to update icons later (32/64)
22.07.16 Fixed: Show - Vertical arrangement: Bottom drive buttonbar was overlapping with vertical buttonbar (64)
22.07.16 Fixed: Double click on splitter panel not always working when using vertical arrangement, because the control sizes have changed (32/64)
22.07.16 Fixed: Configuration - Options - Custom columns: Top combobox didn't support accents in user-defined plugin names (64)

20.07.16 Release Total Commander 9.0 beta 6 (32/64)
20.07.16 Fixed: Re-apply auto-switch view mode filters after Ctrl+U, but do not swap view modes themselves (32/64)
20.07.16 Added: Set color of currently active tab, overrides any view mode tab colors: wincmd.ini [Colors] ActiveTabColor=RGB value (32/64)
20.07.16 Fixed: Duplicate folder tab via right click menu -> copy also view mode, icon, and colors (32/64)
20.07.16 Fixed: Button with command other than .exe (e.g. .vbs) and parameter %S not working with spaces in the program name (reason: CreateProcess used instead of ShellExecuteEx, to allow longer command line) (32/64)
20.07.16 Fixed: Icons in folder tabs (to which the user switches) are lost after using cm_ToggleAutoViewModeSwitch while no view mode switch rules are defined (32/64)
20.07.16 Fixed: Leave archive with F2/Ctrl+R -> view modes were still not updated in 64-bit only (64)
20.07.16 Fixed: Search with "ev:" prefix: ignore results in the form "c:", "c:\", "\\server", "\\server\share" (32/64)
19.07.16 Fixed: When reading from a network directory, do not refresh the file list when TC loses focus when wait dialog is up, and user switches back when reading complete (32/64)
19.07.16 Fixed: Don't pack each file to TEMP when TEMP folder is on the same drive as target folder (32/64)
19.07.16 Fixed: Search via 'Everything': When not using the ev: prefix, call Everything_SetMatchPath(true); Everything_SetMatchCase(false); Everything_SetMatchWholeWord(false); before each search to get correct results (32/64)
19.07.16 Fixed: Ctrl+Z edit comment: If comment type is set to Text+UTF-8, and a plain text comment file with line breaks \n exists, and user enters Unicode comment, the comment extra info wasn't handled correctly when codepage wasn't Western (1252) (32/64)
19.07.16 Fixed: Ctrl+Z edit comment: If comment type is set to UTF-8, make sure the comment isn't cut in the middle of an UTF-8 multi-byte character when it is too long (32/64)
17.07.16 Fixed: Slightly increased width for text Search - Plugins tab - "Combine with" (32/64)
17.07.16 Fixed: Content plugin, full unicode text field, text search: Results wrong in 64-bit due to wrong buffer size reported to plugins (64)
17.07.16 Fixed: Network Neighborhood, Windows XP or older: Total number of files/folders in footer was wrong (32/64)
17.07.16 Fixed: Ctrl+Q quick view, edit file, save it -> file list was updated, but quick view wasn't (32/64)
17.07.16 Fixed: Menu "Start": User-defined hotkeys were not translated, also not in "Change start menu" dialog (32/64)
15.07.16 Fixed: Right click on current tab in inactive panel -> wrong current view mode was checked, and chosen mode was applied to active panel instead (32/64)
15.07.16 Added: Configuration dialog: When clicking OK or Apply while on "View modes" page, and automatic view mode changes are off, apply the current view mode to the file lists (32/64)
15.07.16 Fixed: CopyLinks>0 -> comments of hard links/junctions were not copied with the links (32/64)
15.07.16 Fixed: View modes, execute commands: When starting TC, we need to set the current panel to the target when executing a command there like cm_dirbranch. Otherwise it would be executed in the wrong panel (32/64)
15.07.16 Fixed: Remove hotkey (&) from string 6402 in second location in server type definition dialog (32/64)
15.07.16 Fixed: Show description in "Set default icon library" also for file wcmicon2.dll (32/64)
15.07.16 Fixed: Help, SizeFooter description was not updated to the new 2 digit and terabyte styles (32/64)
15.07.16 Fixed: Manifest resource in 64-bit installer (64)
15.07.16 Fixed: Edit box for "File types" in "Auto mode change" was too wide (32/64)

13.07.16 Release Total Commander 9.0 beta 5 (32/64)
13.07.16 Added: Experimental, not yet documented in help: Pass search parameters directly to "Everything" with prefix ev:, e.g. ev:<c:|d:> *.mp3 Note: All other search parameters except for the path field will still be applied to the results (32/64)
13.07.16 Fixed: Search function, search text in plugins: Incorrect results with "whole words" and any other encoding that "Unicode UTF16" checked (32/64)
13.07.16 Fixed: Windows classic theme: Use unified color (button shadow) for lines above function buttons and command line - overdraw lower tab delimiter (32/64)
13.07.16 Fixed: Shift+F6 on [..] (change current path): Confirmation button appeared only for a short time, then disappeared (Tab background redraw problem) (32/64)
13.07.16 Fixed: Allow inplace rename also by clicking behind file name even when using rubberband selection, unless the selection has already selected something (32/64)
13.07.16 Fixed: Folder tabs: Show correct drive icons in tabs also when using OldDriveIcons=1 or 2, or DriveLib=dllname (32/64)
13.07.16 Fixed: Folder tabs: Default Zip icon was shown on tabs for archives with read only, hidden, or system attribute (32/64)
13.07.16 Fixed: ZIP packer: Don't pack each file to TEMP when packing to RAM disks, only when packing to removable disks and CD-RW (32/64)
13.07.16 Fixed: Unrar multi-part RAR archive when first part not available -> wrong file content unpacked (due to partial file at start), only affects beta version (32/64)
13.07.16 Fixed: When "Open files and directories with a single click" was set, the cursor could move after choosing a command from a dropdown buttonbar menu, but before the command was executed (32/64)
13.07.16 Added: Auto view mode change configuration: when adding a new ruleset, do not preset the mode to be set. Instead, open the combobox when the user forgets to set the mode and goes elsewhere (32/64)
13.07.16 Fixed: Draw shared folder overlay also on custom folder icons defined via desktop.ini when not using an external icon file (32/64)
12.07.16 Fixed: Configuration dialog didn't have an icon in the title bar (32)
12.07.16 Fixed: Right click on folder tabs: Only show view modes when right clicking on the current tab, not on inactive tabs (32/64)
12.07.16 Fixed: Multi-rename tool: No accents shown in popup menu for "+" and "#" buttons when using Windows Classic theme (64)
12.07.16 Fixed: Tab key stopped working in comboboxes which used auto-complete after 7 combobox creations in some dialogs, e.g. Shift+F5 (problem with subclassing) (64)
12.07.16 Fixed: Hotkeys (via &) were not removed from strings Strg+, Alt+ etc. when used in popup menu (32/64)
12.07.16 Fixed: Multi-rename tool: Click on [N#-#], then on OK without changing anything inserted [N1] instead of the default range (64)
10.07.16 Fixed: File size "Dynamic x k/M" was wrong in 64-bit only (64)
10.07.16 Fixed: Network Neighborhood: Empty on XP with NethoodStyle=2 (fix also removed German Entire network title) (32/64)
10.07.16 Fixed: Network Neighborhood: Do not show "Refresh.lnk" entry on Windows XP or older (32/64)
10.07.16 Fixed: wciconex.dll was ignored even when DefaultLib wasn't set in wincmd.ini. Will be used if DefaultLib empty or DefaultLib=wcmicons.dll (32/64)
10.07.16 Added: Allow to define a tab icon for the default view mode (32/64)
10.07.16 Fixed: Synchronize dirs: Show different confirmation when user tries to delete to recycle bin, warn if the file would be deleted directly (32/64)
10.07.16 Fixed: "Do you really want to delete the selected element?" wasn't used in 64-bit version (64)
10.07.16 Added: When deleting to recycle bin and a file can only be deleted directly, warn the user and let him choose to delete it directly or not (32/64)
08.07.16 Fixed: Separate search dialog: Search in selected files/folders in file system plugins didn't work (32/64)
08.07.16 Fixed: Configuration - Auto mode change: UNC path: \Server was missing a backslash (32/64)
08.07.16 Fixed: Icon was drawn over focus rectangle with themed or inverted cursor disabled when it was loaded in the background (32)
08.07.16 Fixed: Vertical button bar: Overflow button was drawn as pressed when moving the mouse over it, or when the item which should be there was pressed too (32/64)
08.07.16 Fixed: Vertical button bar: Crash when hovering over overflow button (when bar is too long) with some bar settings (32/64)
08.07.16 Added: wcx_ftp.ini [General] VerifyCerts=1 control verification of certificates: VerifyCerts=1 on, VerifyCerts=0 off, VerifyCerts=-1 only when wincmd.pem exists, VerifyCerts=-2: like -1, but do not use windows cert store (like older TC versions) (32/64)
08.07.16 Added: FTPS: Always verify certificates now, even when wincmd.pem is missing, since we use the root certs from Internet Explorer now (32/64)
08.07.16 Fixed: tcmdx32.exe had invalid manifest resource since beta 4 (64)
08.07.16 Fixed: Standalone synchronize dirs: Crash in overwrite dialog if preview was enabled (32/64)
08.07.16 Fixed: Leave archive with F2/Ctrl+R -> view modes were not updated (32/64)
08.07.16 Fixed: Configuration - Custom columns: View modes with no title were not shown in the combobox (32/64)
07.07.16 Fixed: Everything.exe wasn't started with -startup parameter in 64-bit version (64)

06.07.16 Release Total Commander 9.0 beta 4 (32/64)
06.07.16 Added: Changed how VistaDelete handles recycle bin: Assume that the values from the registry are always correct, then show an error when requesting delete to recycle bin wants to delete directly (32/64)
06.07.16 Added: FTPS: Use SHA256 hash to verify certificates with self-signed certificate authority instead of SHA1. If SHA1 already stored, store SHA256 too (32/64)
06.07.16 Fixed: Extra line between tab headers and column headers when "Show current directory" unchecked in settings (32/64)
06.07.16 Fixed: Vertical button bar: Fixed redrawing of buttons when themes are disabled and tooltips partially obscure the buttons (32/64)
06.07.16 Fixed: Add light sharpening when resizing icons to odd size (e.g. 28x28) (32/64)
06.07.16 Fixed: Use icon library for folder icons also in Ctrl+F FTP connection list (32/64)
06.07.16 Fixed: Going up in file list by one level (e.g. leaving zip file): The cursor wasn't placed on the directory/zip when the view mode was changed, e.g. from full to brief view (32/64)
06.07.16 Fixed: Open dir in new tab with Ctrl+D, Shift+Enter -> view mode was not changed automatically (32/64)
06.07.16 Fixed: Press Ctrl+Up to open new tab -> set flag to reload view mode when tab gets activated (32/64)
06.07.16 Fixed: No tabs shown, Ctrl+Up on directory -> opened tab got icon correctly, but first tab didn't (32/64)
06.07.16 Fixed: No tabs visible, press Ctrl+Up on "Windows" subdir in c:\ -> icons in tab had same size as icons in file list, which may be bigger than the system icon size (32/64)
05.07.16 Fixed: Uninstaller tcuninst.exe was missing DPI aware flag (32)
05.07.16 Fixed: Uninstaller tcuninst.exe and tcunin64.exe and tcusbrun.exe only had compatibility option for Windows 7 (32/64)
05.07.16 Fixed: Installer: Added DPI aware flag to MANIFEST resource, changed version to 9.0 (32/64)
05.07.16 Fixed: MANIFEST resource of Tcmdx64.exe, Tcmdx32.exe, tcmadmin.exe, tcmadm64.exe didn't contain compatibility section (32/64)
05.07.16 Fixed: MANIFEST resource of Tcmdx64.exe contained processorArchitecture="x86" instead of "amd64" (32)
05.07.16 Fixed: Auto switch view mode: Mode for archives not applied when leaving nested archive to return to outer archive (32/64)
05.07.16 Added: 24x24 icons for Ctrl+F FTP connection dialog (32/64)
05.07.16 Fixed: Ctrl+F FTP connection dialog only supported icon sizes 16x16 and 32x32 for connections (32/64)
05.07.16 Fixed: Compare by content, enable edit mode, Ctrl+F (but not F7!) -> cursor was shown in compare results and not in search dialog (64)
05.07.16 Fixed: Configuration - Options - Color: Apply button not enabled when checking/unchecking option to show colors by file type (64)
05.07.16 Fixed: Configuration - Options - Auto Switch Mode, Apply: Determine new view mode when switching to other tabs, not immediately when applying, except for current tabs (32/64)
05.07.16 Fixed: Configuration - Options - View mode: Apply the changed view modes to all tabs which use that view mode, so the tab color and icon change immediately (32/64)
05.07.16 Fixed: Button bar: Multiple em_command statements only worked when separated by a single comma not followed by a space (32/64)
04.07.16 Fixed: Auto update check: Make sure that beta versions of the same version number are ignored when the final release is already installed (32/64)
04.07.16 Fixed: Couldn't whitelist FTPS servers any more with certificates created with self-created certificate authority (32/64)
03.07.16 Fixed: F5 copy dialog: Press F5 repeatedly -> didn't work correctly due to switch from edit control to combobox (32)
03.07.16 Fixed: Network Neighborhood: Do not open context menu for virtual folders which cannot be entered if they are just inaccessible PCs on the net (32/64)
03.07.16 Fixed: Main configuration dialog: Tab "Operation" wasn't translated any more (32/64)
03.07.16 Fixed: Button bar, start menu: * at start (run as admin) not working with name in double quotes (32/64)
03.07.16 Fixed: More problems with scaling icons, especially to sizes not a multiple of 16x16 (32/64)
03.07.16 Fixed: Abort dialog could remain on screen or cause errors "Control deleted in background thread" when opening network paths with separate tree(s) enabled (32/64)
03.07.16 Fixed: Search in separate process, go to file: not working with FS plugins, tried to open file as directory. Change: Plugin path received via WM_COPYDATA must end with \ if it's not a file (32/64)
03.07.16 Fixed: Synchronize dirs: Do not close entire dialog on ESC when the dropdown list is open (64)
03.07.16 Fixed: Update check function wouldn't detect final releases as newer than beta releases of the same version (32/64)
01.07.16 Fixed: Only since beta test start: Loading ignore lists longer than 1023 characters into configuration dialog failed (text was cut) (64)
01.07.16 Fixed: One or two digits after decimal point in size display were sometimes wrong (32/64)
30.06.16 Fixed: FTPS, HTTPS: When receiving chain of self-signed certificates, save also the additional certificates in the chain (32/64)
29.06.16 Fixed: View modes, color picker: The currently chosen color wasn't preloaded into the color picker (32/64)
29.06.16 Fixed: Configuration - Options - View modes: Preload view mode of current active panel (32/64)
29.06.16 Added: Change view modes via right click on folder tabs, only affects current tab so far (32/64)
29.06.16 Added: Vertical button bar: Make space around buttons symmetrical (32/64)
29.06.16 Added: Vertical button bar: If the bar is too high, display overflow button, and show rest of the buttons as a popup menu (32/64)
29.06.16 Fixed: Search in zip, feed to listbox, change sort order -> error about changed archive was triggered by mistake (32/64)
29.06.16 Fixed: Search in zip, feed to listbox, delete a file -> show more meaningful error when user tries to view/edit a file (32/64)
29.06.16 Fixed: Vertical file panel arrangement: Don't allow tab to panel where nothing of the list window is visible (32/64)
28.06.16 Fixed: Make drive combobox 2 pixel wider because the icons are displayed 2 pixels to the right (32/64)
28.06.16 Fixed: Hotkey for content plugins checkbox not working in main search dialog (32/64)
28.06.16 Fixed: Change start menu: Could be broken by aquasnap or sizer causing the dialog to show before the options are loaded (32/64)
28.06.16 Fixed: Shift+F5 inplace copy: F5, Cursor right didn't place cursor directly after name any more due to use of a combobox instead of an edit box (32/64)
28.06.16 Fixed: AES encryption in ZIP not working on Windows NT/2000 because the certificate of the wcmzip32.dll couldn't be verified any more (SHA256) (32)
28.06.16 Fixed: 64-bit version didn't support Unicode comments in tooltips yet (neither standard comments nor from internal tc plugin) (64)
28.06.16 Fixed: Start Everything.exe with parameter -startup when user didn't specify Everything= line in wincmd.ini (the user can pass this parameter too) (32/64)
28.06.16 Added: wincmd.ini [Configuration] Everything=Everything.exe set location of everything to run when it's not running, and TC checks "Everything" checkbox (32/64)
28.06.16 Fixed: Empty Network Neighborhood on Windows XP or older (32/64)
28.06.16 Fixed: TC icon extraction thread was constantly busy with some file types (e.g. .pif) with no default icon in one of the panels (32/64)
28.06.16 Fixed: Do not draw text cursor (caret) during rubberband selection (32/64)
28.06.16 Fixed: Multi-rename tool, button "#": Wrong position of dropdown menu (32/64)
28.06.16 Fixed: Scaling of "go up" icon wasn't smooth in thumbnails view (32/64)
28.06.16 Fixed: Button bar, start menu: We need to swap parameters %C1 and %C2 if the cursor is in the right panel, and less than 2 files are selected (32/64)
28.06.16 Fixed: Overlapping sections on XP in Configuration - Options - Tabstops and Packers (32/64)
28.06.16 Fixed: Ignore wciconex.dll if the user has chosen a different icon library with dialog "Set default icon library" (32/64)
28.06.16 Fixed: Changed handling of auto view-mode switching: Always determine view mode when switching to a new tab for the first time after it has been loaded (32/64)
23.06.16 Fixed: Passing cm_x and em_x commands via WM_COPYDATA only worked with the cm/em prefix lowercase (32/64)

22.06.16 Release Total Commander 9.0 beta 3 (32/64)
22.06.16 Fixed: Rename file with Shift+F6, go to next with cursor up/down, then just press ENTER (no change) -> list was not sorted as it should be (32/64)
22.06.16 Added: Run "Everything" when the user checks the checkbox and it's not running but located in the Total Commander directory, e.g. for portable applications (32/64)
22.06.16 Fixed: Fixed alignment of controls with and without themes, and with and without flat interface (32/64)
22.06.16 Fixed: Re-added listbox borders when themes are disabled (32/64)
22.06.16 Fixed: Separate tree has sometimes getting the background color from the current view mode (32/64)
22.06.16 Fixed: Synchronize dirs: Should no longer ask for next disk/zip part when unpacking single part ZIP files (32/64)
21.06.16 Fixed: Changed panel separator menu from "Edit.." to "Show vertical button bar" (32/64)
21.06.16 Fixed: Auto view mode switch: Option "at least 50% match" didn't always work correctly due to rounding errors (32/64)
21.06.16 Fixed: Lines in tree were almost invisible with some background colors. Note that the custom color can always be set via [Colors] TreeLineColor (32/64)
21.06.16 Fixed: Execute multiple commands, e.g. from a button: Use SendMessage to execute them, otherwise they can get out of order when mixing with em_xx commands (32/64)
21.06.16 Fixed: Tabstop header (name, ext. etc.): Moved to the left by 1 pixel when switching from full to custom columns view or back (64)
21.06.16 Fixed: Custom Columns Editor: the width of the "name" column changed incorrectly on "Apply" (32/64)
21.06.16 Fixed: OPENBAR command didn't resize button bar if the new bar had more/less lines than the previous bar (64)
21.06.16 Fixed: View modes: Allow to set the secondary background color (the one on even line numbers) even when the primary color is set to "default" (32/64)
21.06.16 Fixed: Auto switch mode: "AND" and "OR" were not translated (32/64)
20.06.16 Fixed: cm_reloadBarIcons switched back to main button bar when a subbar was shown (32/64)
20.06.16 Fixed: Plugin field selection dialog: Sample wasn't updated when going to next/previous field with cursor keys while cursor in quick search (32/64)
20.06.16 Fixed: Plugin field selection dialog: Crash when scrolling with cursor from plugin "tc" up to "All" and back to "tc" very quickly (32/64)
20.06.16 Fixed: Alt+F1 drive dropdown list showed wrong icons and hints when DriveTipDelay was set (32/64)
20.06.16 Fixed: Windows 10: Alt+F1 drive dropdown list showed extra multimedia devices in addition to the (wanted) USB devices like phones (32/64)
20.06.16 Fixed: Old drive icons were not loaded correctly on high dpi devices (64)
20.06.16 Fixed: Auto-switch view modes: Switch from thumbs view to brief view -> columns were too narrow (32/64)
20.06.16 Fixed: Network Neighborhood: Changing to plugin quickly after opening nethood could show servers in the plugin by mistake (32/64)
20.06.16 Fixed: Auto view mode change didn't work when a directory currently shown in TC was deleted, causing a directory change (32/64)
20.06.16 Fixed: Inplace edit of current path: Prevent cursor up/down to jump into the file list (32/64)
19.06.16 Fixed: SAVETABS2R didn't work (32/64)
19.06.16 Added: Use WM_COPYDATA to also send cm_commands with parameters to TC, with command used to send em_commands (32/64)
19.06.16 Fixed: Run view mode command with a delay (via PostMessage), so TC can change directory first (32/64)
19.06.16 Fixed: Show different message when user choose new button bar file and saves it (32/64)
19.06.16 Added: New internal commands cm_SrcViewModeList, cm_LeftViewModeList, cm_RightViewModeList to open list of available view modes (32/64)
19.06.16 Fixed: Hidden files were still shown dimmed in 64-bit version even when using external icon library (64)
19.06.16 Fixed: Shared folder overlays were not shown in 64-bit version (64)
19.06.16 Fixed: Hotkey not working in multi-rename - select character range (32/64)
19.06.16 Fixed: View modes: Color of left file panel was also used in drive dropdown combobox by mistake (32/64)
19.06.16 Fixed: Show translated text when deleting to recycle bin (title and changed body) (32/64)
19.06.16 Fixed: View modes, define two modes with tab colors set to a color NOT in the standard list -> switching between the two mode configurations didn't update the colors until hovering over it with the mouse (64)
19.06.16 Added: Included latest unrar.dll from www.rarlab.com (32/64)
19.06.16 Added: Network Neighborhood: Open context menu for virtual folders which cannot be entered, like DLNA servers (32/64)
19.06.16 Fixed: Thumbnails view: 48x48 icons were not sharp (scaled up from 32x32) even if the icon file contained 48x48 or larger icon images (32/64)
19.06.16 Fixed: Do not load any network servers in nethood when using NethoodStyle=2 (32/64)
19.06.16 Fixed: Breadcrumb dropdown list (Alt+F11/F11, cursor down): used new folder icons even when iconlib=some.dll was set. Note that this list always used the Windows drive icons. (32/64)
17.06.16 Fixed: Internal "tc" content plugin: Commands "decode html characters (x)" still not translated (32/64)
17.06.16 Fixed: Hotkeys in file context menu: Remove extra space before "+" (32/64)
17.06.16 Fixed: Added cm_FocusLeftTree and cm_FocusRightTree to same radio button group as cm_FocusLeft/cm_FocusRight, to see a dot instead of checkmark in main menu (32/64)
17.06.16 Fixed: Alt+F3 external viewer associations no longer working when the path contained spaces and wasn't correctly quoted (32/64)
17.06.16 Added: Update checker: Allow to disable automatic update checks via "Check for updates now" dialog when there are no updates (32/64)
17.06.16 Added: Multi-rename tool: Hotkey "1" for "1x" option (32/64)
17.06.16 Fixed: Multi-rename tool: No help in range picker dialog, open multi-rename tool page (32/64)
17.06.16 Fixed: Dialog title of dialog to change default icon library couldn't be translated (32/64)
17.06.16 Added: Update checker: Use DNS TXT record if available, lookup of A record only if TXT record lookup fails (32/64)
17.06.16 Fixed: TC was starting with Microsoft Sans Serif 9 instead of 8 by mistake in older installations (32/64)
17.06.16 Fixed: TC was starting with black inverted text cursor instead of themed cursor with fresh wincmd.ini (32/64)

15.06.16 Release Total Commander 9.0 beta 2 (32/64)
15.06.16 Fixed: Show own overlay icon for shared folders because windows is hiding its own (32/64)
15.06.16 Fixed: Create checksums: New SHA3 and SHA2-224 could sometimes return wrong checksum (for 0 byte file) when creating a lot of checksums (32/64)
15.06.16 Fixed: Add or remove custom view mode(s) -> list of view modes in main menu wasn't updated until the program was restarted (32/64)
15.06.16 Fixed: Access violation after copying a lot of files with "Verify" option (64)
15.06.16 Fixed: FTP Upload/Download confirmation dialog: Tab from edit box to first checkbox sometimes not working (64)
15.06.16 Fixed: Configuration - Options - Misc: Dropdown list of configured hotkey didn't support Unicode (32/64)
15.06.16 Fixed: Hotkeys not working in various locations of the main settings dialog, where options changed (32/64)
15.06.16 Added: Command cm_SearchForInCurdir opens search with directory under cursor. Accepts drive letter as parameter to search on that drive. Use the character code for scripting, e.g. A=65 (32/64)
15.06.16 Added: The following internal commands now support a drive letter (A-Z) or /=root, .=parent, [=nethood as parameter: CM_SRCOPENDRIVES , CM_LEFTOPENDRIVES , CM_RIGHTOPENDRIVES. Use the character code for scripting, e.g. A=65 (32/64)
15.06.16 Added: Show state for commands cm_FocusSrc, cm_FocusLeftTree, cm_FocusRightTree, cm_FocusSrcTree, cm_FocusTrgTree. Also update button state when entering tree panel (32/64)
15.06.16 Added: Configuration - Options, left list panel: Show "Auto switch mode" more to the right than "View modes" (32/64)
14.06.16 Added: Commands with numerical parameters like CM_SELECT now support ? or ?number as parameter, to get dialog box with value request (32/64)
14.06.16 Added: Multi-rename tool, "#" button submenu: New entry [?#-#] to open plugins dialog and let user choose range from sample plugin field (32/64)
14.06.16 Added: Support environment variables like %commander_path% in paths for auto-switch view modes (32/64)
14.06.16 Fixed: Some problems with high DPI devices: Files - Associate dialog much too small; Icon picker in Associate - Edit type - Change icon was wrapping icons to 2 lines (32/64)
14.06.16 Fixed: Icons on folder tabs: Draw icon on active tab 2 pixels higher than the other icons, since the offset of the text cannot be determined (32/64)
14.06.16 Fixed: View mode configuration: Do not switch to changed view mode in main window when clicking "Apply" (32/64)
14.06.16 Fixed: In completely empty file list (e.g. after search - feed to listbox - delete all) the top item in the list and footer were completely black (32/64)
14.06.16 Fixed: Unpacker: Also offer "Retry" when the target file exists and is locked by another program (32/64)
14.06.16 Fixed: Reduced list of commands supporting a numeric parameter (32/64)
14.06.16 Fixed: cm_leftswitchtothiscustomview/cm_rightswitchtothiscustomview missing from totalcmd.inc. Commands are used for scripting, set lparam=custom columns view, 1 based (32/64)
14.06.16 Fixed: Search for new field ft_fulltextw not fully working, especially with longer texts (32/64)
13.06.16 Added: Use icon from zipfldr.dll for archives if available (32/64)
13.06.16 Fixed: No icons for devices without drive letter when disabling the new drive icons via OldDriveIcons=1/2 (32/64)
13.06.16 Fixed: Load Toolhelp functions dynamically because Thread32First seems to be missing on Windows NT4 (32)
13.06.16 Fixed: Ctrl+Z edit comment in Unicode descript.ion file: comments could be lost when changing/deleting existing comments due to incorrect file size calculation (32/64)
13.06.16 Fixed: Alt+F1/Alt+F2 drive list: Hotkeys '.' and ',' for second/third USB device (e.g. smartphone) were not working (32/64)
13.06.16 Fixed: Themed text cursor disabled by default if user had set inverse cursor in previous version. Can still be enabled together manually (32/64)
13.06.16 Fixed: Draw themed text cursor with style LVGH_CLOSESELECTEDHOT instead of LVGH_OPENSELECTEDHOT, better visible (32/64)
13.06.16 Fixed: Command line parameters: Accept path+file name longer than 259 characters (32/64)
13.06.16 Fixed: Configuration: View mode - "Auto-run commands": Put * in front of commands to execute them on each directory change, not only when view mode changes (32/64)
13.06.16 Fixed: Configuration: View mode - "Auto-run commands" wasn't implemented yet. Supports cm_x and em_y commands only (32/64)
13.06.16 Fixed: Error unpacking RAR archives with subdirs. Reason: Incomplete implementation of deduplicated file unpacking (32/64)
13.06.16 Fixed: User may get "Configure custom columns view" at program start when using a view mode where the view is set to "unchanged" (32/64)
13.06.16 Fixed: When rubberband selection ended, inplace rename would sometimes start (32/64)
13.06.16 Fixed: Rubberband selection couldn't be fully disabled, it still worked when starting it below the name list (32/64)
12.06.16 Fixed: Lister or Ctrl+Q could sometimes lock image files, so they couldn't be deleted (32/64)
12.06.16 Fixed: Reading network neighborhood was slow when using NethoodStyle=2 (32/64)
12.06.16 Fixed: Alternate icon library wasn't used for the main menu (64)
12.06.16 Fixed: Configuration, view modes: Color and icon settings must be disabled for default view mode (64)
12.06.16 Fixed: Configuration dialog: Slight misalignment of new option to set DPI (64)
12.06.16 Fixed: cm_CheckForUpdates was missing in totalcmd.inc (32/64)
12.06.16 Fixed: Custom columns configuration, choose plugin field -> "]" at the end wasn't cut off when creating column title (32/64)
12.06.16 Fixed: Alt+F1/Alt+F2 drive dropdown combobox: Do not handle Num+"-" for selection, it's used to switch to devices without drive letters (32/64)
12.06.16 Fixed: Multi-rename tool, range picker dialog: Range was lost when closing dialog with ENTER (64)
12.06.16 Fixed: cm_visButtonbar2 didn't have a checkmark in main menu / pressed button in horizontal buttonbar when vertical bar was visible (32/64)
12.06.16 Fixed: Rubberband selection: Start selecting below last file while some files were already selected -> selection wasn't removed (32/64)
12.06.16 Fixed: Rubberband selection: Full view, moving mouse cursor sideways out of panel -> rubberband still drawn, but nothing more selected (32/64)
12.06.16 Fixed: Rubberband selection: Number of selected files/folders (footer) wasn't updated (32/64)
12.06.16 Fixed: Find files, second tab, "Older than" edit box was enabled even when checkbox wasn't (32/64)
12.06.16 Fixed: Auto-switch view modes to comments view not working if comment view was already active (would turn it off) (32/64)
12.06.16 Fixed: "Show admin shares" was no longer working (32/64)
12.06.16 Fixed: Sometimes it wasn't possible to return from search results (feed to listbox) to normal view via ".." or "\" buttons (32/64)
12.06.16 Fixed: View modes: Show background of file list (where there are no files) with user-defined color, except in thumbs mode (32/64)
12.06.16 Fixed: Compare by content: Binary compare showed extra dark lines when using "show only differences" with 0 extra lines (32/64)
12.06.16 Fixed: Compare by content: Binary compare didn't always work with "show only differences" (32/64)
10.06.16 Fixed: Automatically uncheck "Use themed cursor" when user changes the cursor color (32/64)
10.06.16 Fixed: cm_ConfigViewModes and cm_ConfigViewModeSwitch were not working (incorrectly defined in totalcmd.inc (32/64)
10.06.16 Fixed: View modes: Options were not saved when only changing the colors via dropdown combobox (64)
10.06.16 Fixed: View modes: Internal commands to switch view modes were defined incorrectly in totalcmd.inc (wrong numbers) (32/64)
10.06.16 Fixed: View modes: The default view mode was set by default to "brief view" instead of "unchanged" (32/64)
10.06.16 Fixed: View modes: Couldn't apply just different sort order without setting the view mode (brief, full etc) too (32/64)
10.06.16 Fixed: Triple click on text in compare by content didn't always select the entire line (32/64)
10.06.16 Fixed: Remove flickering of main window when closing search dialog with ESC or Cancel button (64)
10.06.16 Fixed: File listboxes had no border when disabling all elements above them (32/64)
10.06.16 Fixed: Inplace rename, use up/down to go to previous/next file: delay re-loading directory until rename is closed (32/64)
10.06.16 Added: Use drive icons from TC 8.x and older: wincmd.ini [Configuration] OldDriveIcons=2 Note: this disables drive icons in the tab titles (32/64)
10.06.16 Fixed: Folder icons and default file icons didn't have overlay icons when using the icons from Explorer (32/64)
09.06.16 Fixed: No help was opened for Settings pages "View modes" and "Auto switch mode" (64)
09.06.16 Fixed: Command cm_Confirmation (open configuration with last page) causing error/crash due to insufficient items in category list (32/64)
09.06.16 Fixed: Configuration - Options - Color - Define colors by file type: Dialog sometimes had wrong background colors (32/64)
09.06.16 Fixed: Vertical button bar: Context menu for entire bar was shown at the wrong position (32/64)
09.06.16 Fixed: Configuration - Options - View modes: Changed checkbox "Reversed" to "Descending" (32/64)
09.06.16 Fixed: File context menu (Shift+F10): Hotkeys were missing "+", e.g. between "Ctrl" and "F8", when using English language only (32/64)
09.06.16 Fixed: Rubberband selection: Stop selecting when switching away from program with Alt+Tab (32/64)
09.06.16 Fixed: Rubberband selection: Don't show inactive title of main window when selection starts (32/64)
09.06.16 Fixed: Rubberband selection: Listbox didn't auto-scroll when moving cursor above/below the list (64)
09.06.16 Fixed: Rubberband selection: An additional icon appeared in the taskbar during selection -> we need to set a window parent (32/64)
09.06.16 Fixed: "Function not implemented" was shown when creating new view mode with fresh wincmd.ini (32/64)
09.06.16 Fixed: Set default font size to 9, not 8 (32/64)
09.06.16 Fixed: Changed German translation of view mode in main menu (32/64)
09.06.16 Fixed: Couldn't disable vertical button bar via right click menu, 64-bit only (64)
09.06.16 Added: New commands OPENBAR1 and OPENBAR2 to open new button bar file in horizontal/vertical button bar. OPENBAR opens the file in the current bar if called from within a button bar (32/64)
09.06.16 Fixed: Search with "Everything" was hanging TC when TC was run as administrator -> call ChangeWindowMessageFilter to allow WM_COPYDATA to search window (it's only used for "everything") (32/64)
09.06.16 Fixed: Search with "Everything" wasn't working, because Everything32.dll/Everything64.dll wasn't included (32/64)
09.06.16 Fixed: New command cm_UpdateQuickView was missing in 64-bit version (64)
09.06.16 Fixed: Internal "tc" content plugin. Commands "decode html characters (x)" couldn't be translated (32/64)

08.06.16 Release Total Commander 9.0 beta 1 (32/64)
08.06.16 Added: Send WM_USER+50 with wparam set to 1011/1012 to get index of first file in list (-1 if there are no files) (32/64)
08.06.16 Added: Send WM_USER+50 with wparam set to 1009/1010 to get index of first item (0 if there is no updir, 1 otherwise) (32/64)
08.06.16 Added: Send WM_USER+50 with wparam set to 1007/1008 to get index of current item (caret) (32/64)
08.06.16 Added: Send WM_USER+50 with wparam set to 1005/1006 to get total number of selected items (32/64)
08.06.16 Added: Send WM_USER+50 with wparam set to 1003/1004 to get total number of items (including those hidden by quick filter (32/64)
08.06.16 Added: Send WM_USER+50 with wparam set to 1001/1002 to get number of items in left/right list (32/64)
08.06.16 Added: Send WM_USER+50 with wparam set to 1000 to get active panel: 1=left, 2=right (32/64)
08.06.16 Added: Ctrl+Q: Only enable viewing of readme files in archives which have default extensions (e.g. .zip): wincmd.ini [Configuration] QuickViewUnzipReadMe=-1 (32/64)
08.06.16 Added: Compatibility with TWinkey plugin: Turn off tab icons in Configuration - Options - Folder tabs if you want to use the tab coloring from TWinkey (32/64)
08.06.16 Added: Send WM_USER+50 with wparam=1..29 -> returns window handle of control. Controls are: 1=leftlist, 2=rightlist, 3=active list, 4=inactive list, 5=leftheader, 6=rightheader, 7=leftsize, 8=rightsize, 9=leftpath, 10=rightpath, 11=leftinfo, 12=rightinfo, 13=leftdrives, 14=rightdrives, 15=leftpanel, 16=rightpanel, 17=bottompanel, 18=lefttree, 19=righttree, 20=cmdline, 21=curdirpanel, 22=inplaceedit, 23=splitpanel, 24=leftdrivepanel, 25=rightdrivepanel, 26=lefttabs, 27=righttabs, 28=buttonbar, 29=buttonbarvertical (32/64)
07.06.16 Added: Synchronize dirs: Press SPACE or Shift+SPACE when multiple files are selected -> works as if it was pressed for each file separately (32/64)
07.06.16 Added: New internal command cm_UpdateQuickView to force reload the quick view panel or separate quick view (32/64)
07.06.16 Added: Search files, duplicate file finder: use MD5 function from crypto API for quicker MD5 calculation (32/64)
05.06.16 Added: Dialog box to choose default icon library for button bar and main menu, also supports third party libraries (32/64)
03.06.16 Fixed: No more icons shown for Computer, Documents, Nethood on Windows 9x/ME (32)
02.06.16 Fixed: Search for updates not working on some computers because WSAStartup wasn't called (32/64)
02.06.16 Fixed: Reload button bar when a different version of the wcmicons.dll is detected, and the dll is used in a button bar (32/64)
02.06.16 Fixed: Changing separator between left and right panel sometimes didn't update the position of the vertical buttonbar (32/64)
01.06.16 Added: Warn user when entering a virtual folder (e.g. a phone via MTP) where extensions are hidden, and let the user enable them (32/64)
01.06.16 Added: Configure extra space above/below and to the left/right of the icons via Configuration - Options - Icons. Default is 2 and 1 pixel (32/64)
31.05.16 Fixed: Better default column widths for higher resolutions (32/64)
31.05.16 Fixed: Better default window size adapted also to high DPI screens (32/64)
31.05.16 Added: Default font is now "Segoe UI regular", no longer "Segoe UI semibold" (32/64)
31.05.16 Fixed: 64-bit TC8.52a and older couldn't be closed by installer with MinimizeOnClose set (64)
31.05.16 Fixed: ZIP packer, progress dialog: Name on second line was wrong when packing names as UTF-8 (32/64)
31.05.16 Added: Unzip: Use NTFS timestamp from extra header if available, e.g. for ZIPs created with WinRAR (32/64)
31.05.16 Added: Unzip: Use timestamp from central directory and not from local header when unpacking (32/64)
29.05.16 Fixed: Automatic mode change: Sort order and additional sort orders were not set (32/64)
25.05.16 Added: Speed up hash check of MD5, SHA1, SHA256, SHA384 and SHA512 by using Microsoft Crypto API functions (if PROV_RSA_AES is available) (32/64)
25.05.16 Fixed: Detect TAR files with UTF-8 encoding (created on Linux system with default UTF-8 encoding), they don't have any UTF-8 headers (32/64)
24.05.16 Added: New internal command cm_EditFileMenu to show 'New' submenu from the right click context menu, to create new files other than plain text (32/64)
22.05.16 Added: New internal commands to open separate quick view window: cm_SeparateQuickView, cm_SeparateQuickInternalOnly (32/64)
18.05.16 Fixed: Search result, feed in listbox, Ctrl+Q quick view, delete file(s) -> quick view wasn't updated (32/64)
18.05.16 Fixed: Unpacker, invalid names in archive: Replace tab by space, other characters below space like line breaks by underscore '_' (32/64)
17.05.16 Added: Verify and create additional checksum types: SHA224, SHA384, SHA3_224, SHA3_256, SHA3_384, SHA3_512, code from wolfgang-ehrhardt.de (32/64)
15.05.16 Added: The following commands now accept a numeric parameter in the button bar or start menu: CM_WAIT CM_SELECT CM_UNSELECT CM_REVERSE CM_GOTOFIRSTENTRY CM_GOTOFIRSTFILE CM_LEFTSWITCHTOTHISCUSTOMVIEW CM_RIGHTSWITCHTOTHISCUSTOMVIEW (32/64)
15.05.16 Added: New internal command cm_GoToFirstEntry place cursor on first folder or file in the list (32/64)
13.05.16 Fixed: Synchronize dirs: Deleting files (not folders!) from multiple subdirs seems to work now on Windows 7 without deleting other files, need test on other Windows versions too (32/64)
13.05.16 Fixed: F8 delete to recycle bin: re-use delete thread(s) for VistaDelete function, because it could hang on close on some Windows 10 systems (32/64)
13.05.16 Fixed: Main menu: Open menu item with Alt+Letter, cycle through main menu with cursor left -> focus was not removed from older items (64)
13.05.16 Fixed: Search while on tab with directory changes allowed, feed to listbox, switch to different tab and back -> F3 no longer worked, because base dir was changed back to locked tab (32/64)
13.05.16 Fixed: F5, Shift+5, new combobox: Neither ESC nor ENTER worked to close dropdown list (32)
09.05.16 Added: Lister, HTML-Viewer: Support '&ldquo' and '&bdquo', translate to normal double quotes: " (32/64)
08.05.16 Added: FTPOPEN sessionname|*/subdir opens session in active panel, even if a different panel is set as the default ftp side (32/64)
08.05.16 Fixed: FTPOPEN sessionname|/subdir changes to /subdir if session is already open, otherwise connects to sessionname and then goes to /subdir (in preferred ftp side) (32/64)
06.05.16 Fixed: Progress dialog (e.g. for F5 copy) wasn't correctly centered over main window (64)
06.05.16 Added: Main menu: Submenu in "Show" menu to configure and manually switch view modes (32/64)
05.05.16 Added: Multi-rename tool, click on [N#-#]: Show preview of selected range in lower left (32/64)
04.05.16 Fixed: ZIP packer: Problems storing files containing characters ‹›«» which are not part of the OEM charset. Do not store them as <> because the Explorer cannot see them (32/64)
04.05.16 Fixed: Synchronize dirs: Compare by content with md5 or sha checksums failed if the server returned both the checksum and the file name, and the name was too long (32/64)
01.05.16 Fixed: F4 in search results (in search dialog directly) on file in subdir, save, re-upload, same for file in base dir -> file re-uploaded to wrong folder (32/64)
01.05.16 Fixed: Directory history: Problems with remembering position in file list when using "go back" (Alt+Cursor left) (32/64)
29.04.16 Added: wincmd.ini [Configuration] OpenUrls=0 turns off new feature to follow .url files to folders with TC (32/64)
29.04.16 Added: Follow .url files pointing to directories within Total Commander. Format: [InternetShortcut]<newline>URL=file://c:/path or URL=c:\path (32/64)
29.04.16 Added: Custom columns view, sort by custom column: Do not pre-load fields for directories when sorting by a column, but directories are sorted by name (32/64)
27.04.16 Fixed: Drive dropdown list: Re-open with new drive when drive is added while the list is open (32/64)
27.04.16 Fixed: Windows 10: Hide drive letters like "X:" on desktop (in file list, tree, breadcrumb bar etc) (32/64)
27.04.16 Fixed: Do not actively close HTML help (.chm) when closing TC, it crashes on Vista/8/8.1/10 when user chooses "Close group". Windows closes the window by itself (32/64)
27.04.16 Fixed: Unpack files with F5 from ZIP, option 'Unpack path names if stored with files'' NOT checked -> only unpack files, not the empty folders themselves (32/64)
27.04.16 Fixed: Internal associations: Allow to override also internal unpackers with **packerplugin, e.g. for 7z, not only define additional extensions (32/64)
27.04.16 Fixed: English version: Replaced "Less rules" by "Fewer rules" (grammar error) in search dialog, also "Fewer attributes" in attributes dialog (32/64)
27.04.16 Fixed: Connection progress dialog: Limit size of this dialog to the size of the main Total Commander window (32/64)
27.04.16 Fixed: Connection progress dialog: Lines too low for large text when using OverrideDpi (32)
27.04.16 Added: New internal commands cm_FocusLeftTree, cm_FocusRightTree, cm_FocusSrcTree, cm_FocusTrgTree to focus separate tree. Does nothing if no tree is visible (32/64)
27.04.16 Added: New internal commands cm_FocusSrc and cm_FocusTrg to put cursor in source/target panel (32/64)
26.04.16 Added: wincmd.ini [Configuration] RenameUpDown=0 turns off jumping to previous/next file in the list with cursor up/down while renaming (32/64)
26.04.16 Fixed: Auto view-mode switch: always reload view mode when TC is restarted, even when user has set view mode manually (32/64)
26.04.16 Added: Lister, HTML viewer: Detect UTF-8 encoding also with this tag: <meta charset="utf-8"> (32/64)
26.04.16 Added: New internal commands: cm_Select, cm_Unselect, cm_Reverse: Select/Remove selection/Invert selection of current file, jump to next (32/64)
26.04.16 Added: New internal command: cm_ListOnly: view single file with plugins/multimedia, cm_ListMulti: same but for selected files (32/64)
26.04.16 Added: New internal command: cm_ListInternalMulti like cm_ListInternalOnly: view selected files without plugins/multimedia (32/64)
26.04.16 Added: New internal commands: cm_EditNewFile (ask for name, create new text file, open in editor), cm_EditExistingFile (open file under cursor in editor) (32/64)
24.04.16 Fixed: Archive browser: Use also creation time to detect when an archive was changed, not only size and modification time (32/64)
24.04.16 Fixed: The first FTP connection button had wrong tooltip "CD-ROM" if drive P: was a CD-ROM drive (32/64)
24.04.16 Fixed: Ignore Ctrl+C, Ctrl+X in file system plugins and on ftp servers, otherwise there may be an OLE error (32/64)
24.04.16 Fixed: Do not switch to invisible panel (separator moved to the far left/right) on Tab, problem was only in 64-bit version (64)
24.04.16 Added: FTP via HTTP proxy: Send both "Pragma: no-cache" and "Cache-Control: no-cache" headers for HTTP 1.1 and 1.0 (32/64)
24.04.16 Fixed: FTP via HTTP proxy: Send "no cache" header also after deleting a file (32/64)
24.04.16 Fixed: Support recycle bin on drives created with SUBST command (32/64)
24.04.16 Fixed: Unzip: unpack trailing spaces in directory names, otherwise files inside them cannot be unpacked (32/64)
24.04.16 Fixed: Adjust panels to tab control height after setting/removing tab icon (32/64)
21.04.16 Added: New internal plugin option [=tc.decode html characters (utf-16)] to replace UTF-16 encoded html strings by characters (32/64)
21.04.16 Added: New internal plugin option [=tc.decode html characters (utf-8)] to replace UTF-8 encoded html strings by characters (32/64)
21.04.16 Added: New internal plugin option [=tc.decode html characters (text)] to replace html strings by characters, e.g. %20 by a space etc. (32/64)
20.04.16 Added: Compare by content, edit mode: triple click now selects entire line, just as in Lister (32/64)
19.04.16 Added: Compare by content, show only differences: Support copy+paste, jump to next/previous difference (32/64)
17.04.16 Added: Compare by content: edit text even when showing only differences, with some restrictions (no modifications across hidden text) (32/64)
14.04.16 Fixed: Do not show exception error when closing down (e.g. because Semaphore object was deleted) (32/64)
13.04.16 Added: Compare by content: Show only differences even after modifying the file(s) (32/64)
12.04.16 Added: Compare by content: Option to show only differences (with 2 additional lines above and below the difference) (32/64)
10.04.16 Added: Use Windows certificate stores "ROOT" and "CA" to verify purchased server certificates without wincmd.pem file (32/64)
10.04.16 Added: Connections via https/ftps: Send server name to host for servers with multiple names per IP address (Server Name Indication, SNI) (32/64)
05.04.16 Fixed: Various problems with view modes and folder tabs (32/64)
03.04.16 Fixed: Tab locked with dir changes allowed, go to different dir with other view mode, close and re-open program -> view mode was wrong (32/64)
01.04.16 Fixed: Compare by content, left file is ACE archive, right side any archive -> progress dialog didn't close after comparing (32/64)
01.04.16 Fixed: Background transfer manager: Changed command to sleep for x milliseconds from sleep x to sleep: x. Reason: it prevented download of files starting with "sleep". Note: "sleep: x" already worked in older versions (32/64)
30.03.16 Fixed: Configuration - Options - Colors: Choose custom color from dropdown combo, then change via >> button changed color only in preview, not in combobox (64)
29.03.16 Added: Adjust view modes using custom columns when moving or deleting custom columns configurations (32/64)
25.03.16 Fixed: Crash when using quick search filter in network neighborhood, and notification about new server came in (32/64)
23.03.16 Added: GUI to auto-switch view modes by directory, type of directory, or files (32/64)
18.03.16 Fixed: OpenSSL dlls 1.0.2g and newer could no longer be used because the function SSLv2_client_method wasn't exported any more (32/64)
15.03.16 Fixed: Locked tab with dir changes allowed: Go to different dir with other view mode, switch to different tab and back -> view mode was wrong (32/64)
15.03.16 Fixed: Disconnect from FTP -> panel colors were not restored if FTP had a custom background color (32/64)
15.03.16 Fixed: Connect to FTP -> panel colors were not restored if FTP had a custom background color (32/64)
13.03.16 Added: Set view modes by directory, type of directory, or files (32/64)
08.03.16 Fixed: Switch away from locked tab -> we need to update the icon of the tab because the folder is reverted to the locked folder (32/64)
04.03.16 Fixed: cm_dirmatch is now much faster when comparing directories with several 1000 files each (32/64)
04.03.16 Fixed: cm_comparedirswithsubdirs and cm_comparedirs are now much faster when comparing directories with several 1000 files each (32/64)
26.02.16 Fixed: Inplace rename: Do not react to single click on file after changing directories or tabs (32/64)
26.02.16 Fixed: Prevent stack overflow when user holds down ENTER keys on certain file types (e.g. OpenOffice) which take long to load (32/64)
26.02.16 Fixed: There was no progress dialog when unpacking folder timestamps from ZIP at the end of the unpack operation (32/64)
26.02.16 Fixed: Unpacking folder timestamps from ZIP slow when there are many folders (32/64)
24.02.16 Fixed: Open certain ZIP archives >4GB created on MacOS with invalid headers (all size fields are the rest when dividing by 4G) (32/64)
23.02.16 Fixed: Increased width around separator in sorting header where it is possible to resize the header, mainly for high DPI devices (32/64)
19.02.16 Fixed: Support recycle bin on network drives (with drive letter) if enabled via registry. Search for "{9147E464-33A6-48E2-A3C9-361EFD417DEF}" to get instructions (32/64)
16.02.16 Fixed: Background transfer manager: Line height in Listbox wasn't updated when changing font in Configuration - Options - Fonts. Note: DPI settings have no effect on this dialog (32/64)
16.02.16 Fixed: Background transfer manager: Line height in Listbox was wrong on Windows 10 with old style high DPI settings (32/64)
12.02.16 Fixed: FTP: TLSv1.1 and TLSv1.2 were not supported (Note: The openssl libs in the libcurl package do not support TLSv1.1 and TLSv1.2) (32/64)
10.02.16 Fixed: Delete to recycle bin using new method (VistaDelete): Close thread with delay, it could prevent hang for some users on Windows 10 (32/64)
10.02.16 Fixed: Unzip: Show progress bar also for files where the packed size isn't stored in the local ZIP header (use unpacked size from central directory) (32/64)
10.02.16 Added: New internal command: cm_ShrinkSelectionCurrentExt: Show "Unselect files" dialog, pre-load extension of file under cursor (32/64)
10.02.16 Added: New internal command: cm_SpreadSelectionCurrentExt: Show "Select files" dialog, pre-load extension of file under cursor (32/64)
10.02.16 Added: wincmd.ini [Configuration] SizeStyle1000=1 Show sizes with 1k=1000 byes, 1M=1000k etc. instead of 1k=1024b, 1M=1024k etc. Note: This doesn't affect the Properties dialog (Alt+Enter) because it's created by Explorer (32/64)
10.02.16 Added: 4 new modes to show numbers: k/M/G/T add Terabytes. There are also two new modes to show 2 digits after the decimal point, e.g. 101.52 M (32/64)
09.02.16 Added: Disable overwrite confirmation in sync: wincmd.ini [Confirmation] SyncConfirmOverwrite=0 (32/64)
09.02.16 Fixed: Ctrl+Shift+Q: Return focus to Total Commander if separate Lister window steals it, e.g. when loading a plugin (32/64)
05.02.16 Added: Ctrl+Shift+Q: Opens Quick View in separate Lister window, updates contents when going to other file (32/64)
03.02.16 Added: Set scaling of dialog boxes (OverrideDPI) via main settings - fonts (32/64)
31.01.16 Added: New environment variable %COMMANDER_INSTANCE% set to the number shown in the TC title bar (first running=1) (32/64)
27.01.16 Added: Automatic update check (experimental): wincmd.ini [Configuration] AutoUpdateCheck=1 (all updates, or 2: no beta versions) (32/64)
26.01.16 Added: Manual update check via menu Help - Check for updates now, using DNS lookup (32/64)
26.01.16 Added: Multi-rename tool: Move dropdown combobox list (saved settings) to the left if it would not fully fit on the screen (32/64)
24.01.16 Added: Multi-rename tool: Dialog box to select range of characters now allows to return character positions from the end of the string, and selection length (32/64)
24.01.16 Added: Multi-rename tool: New button to add range of characters from other default fields (32/64)
24.01.16 Added: Multi-rename tool: New button to add other default fields like parent directory name [P] (32/64)
22.01.16 Fixed: Multi-rename tool: do not try to show preview of names with plugin fields in a virtual folder (32/64)
22.01.16 Added: Multi-rename tool: If there are duplicate names, or names that already exist, offer to auto-rename to "name (2).ext", "name (3).ext" etc. (32/64)
19.01.16 Added: Button bar, start menu parameters %C3..%C9: Selected files Nr. 3..9, empty if not as many selected (32/64)
19.01.16 Added: Button bar, start menu parameters %c1, %c2: Same as %C1, %C2, but with alternate 8.3 paths and names (DOS names) (32/64)
19.01.16 Added: Button bar, start menu parameters %C1, %C2: Compare parameters as in "Compare by content": First two selected files (with full path), or selected in source+target panel, or source file+same name in target panel (32/64)
19.01.16 Added: Shift+F4: Suggest user-defined name when cursor stands on a folder: wincmd.ini [Configuration] EditNewName=<name> (32/64)
19.01.16 Added: wincmd.ini [Lister] NoPluginFileTypes=*.jpg *.avi Do not load the specified file types with a plugin, except when explicitly choosing Options - 4 (32/64)
19.01.16 Added: wincmd.ini [Lister] NoMediaFileTypes=*.jpg *.avi Do not load the specified file types as video, audio, image, or with plugin, except when explicitly choosing Options - 4 (32/64)
17.01.16 Added: wincmd.ini [Configuration] MediaRemote=-1 ignore keys received via WM_APPCOMMAND, even the browser buttons backward, forward, refresh, stop, favorites (32/64)
17.01.16 Added: Shift+F5/F6 Copy/Move in place: Show combobox with all open tabs and all subdirectories in the source panel (32/64)
17.01.16 Added: F5 Copy/F6 Move: Show combobox with all open tabs and all subdirectories in the target panel (32/64)
17.01.16 Added: Ctrl+B in search result now works like Ctrl+B while in branch view: Go to directory of file under cursor (32/64)
15.01.16 Fixed: Synchronize dirs: Status bar showed & characters as underlines when unpacking to temp (32/64)
15.01.16 Fixed: Couldn't read multiple comments from descript.ion files with Unix style line breaks (32/64) 
13.01.16 Added: Configure whether to see the 3 external devices: wincmd.ini [Configuration] ShowExtraDrives=4 in addition to 1 (My Computer) and 2 (My Documents) (32/64)
13.01.16 Added: Show up to 3 external devices without drive letter (e.g. Android or Windows Phone) in Alt+F1/F2 drive dropdown list (32/64)
13.01.16 Added: Support screen readers in dialogs "Change start menu" and Directory hotlist - "Configure" (32/64)
12.01.16 Added: Read virtual folders like the Network Neighborhood with "async" option, so we get a list of known folders more quickly (32/64)
15.12.15 Added: Main settings: Let the user choose the preferred encoding for descript.ion files. Default is plain text, with UTF-16 Unicode if needed (32/64)
13.12.15 Added: Convert plain text to Unicode (UTF-16le, UTF-16be and UTF-8) descript.ion files depending on the user's preferences if the file name or comments contains Unicode (32/64)
13.12.15 Added: Create Unicode (UTF-16le, UTF-16be and UTF-8) descript.ion files depending on the user's preferences (32/64)
07.12.15 Fixed: Couldn't unpack AES-encrypted ZIP archives created by TC for Android directly on external SD (incomplete header) (32/64)
06.12.15 Added: Read comments from Unicode (UTF-16le, UTF-16be and UTF-8) descript.ion files (32/64)
01.12.15 Fixed: CAB unpacker: Couldn't abort request for next archive (function expected 64-bit return value) (64)
01.12.15 Fixed: FTP, file system plugins: Move (Shift+F6) multiple files -> change entered string from .. to ../*.*, ../ to ../*.* too (32/64)
01.12.15 Fixed: File system plugins: Couldn't move multiple files with Shift+F6 to other directories, e.g. to the parent with ..\*.* (32/64)
01.12.15 Fixed: Switching from a plugin to html view could switch to UTF-8 view instead, if the html file was detected as being utf-8 encoded (32/64)
03.11.15 Fixed: Unicode text encoded as UTF-8 couldn't be loaded from ini files converted from ANSI to UTF-16, except in Western locale. It cannot work in multi-byte locales like Korean (32/64)
03.11.15 Fixed: Unicode text from different code page was incorrectly saved in UTF16 ini files (with UTF8 BOM) (32/64)
03.11.15 Fixed: Search function, list of stored searches: Preview below the list incorrect for Unicode stored in ANSI file (32)
03.11.15 Fixed: When deleting to recycle bin, the progress would sometimes show twice the number of files than are really deleted (32/64)
03.11.15 Added: Button bar, start menu: Put ** in front of program name to launch as different user on Windows Vista or newer (32/64)
03.11.15 Added: Properties of packed files: Show compression strength (AES128, AES192, AES256, ZIP20) and actual compression used, e.g. AES256, deflated (32/64)
28.10.15 Added: Scale FTP toolbar (only shown during FTP connections) to higher DPI screens (32/64)
28.10.15 Added: Use larger icons for directory history and hotlist (bookmarks) on high DPI devices (32/64)
28.10.15 Fixed: Lister: Crash trying to copy text from invalid UTF-8 text (partial UTF-8 code at the end of the selection) (32/64)
28.10.15 Fixed: Copy in background (F5-F2) could sometimes not be aborted when copying many small files (32/64)
27.10.15 Fixed: 32-bit version crashed when passing command line parameter longer than 255 characters (bug in system.pas unit) (32)
23.10.15 Fixed: Shift+Enter on a program not working on Windows 9x/ME (32)
23.10.15 Fixed: UnRAR: Do not delete target file when overwriting, to preserve special attributes and streams (32/64)
20.10.15 Fixed: Copy file system links (Junctions, hard links) with option CopyLinks=2 (adjust link target) sometimes created invalid target links (32/64)
18.10.15 Added: Re-use threads to load hints and ID-Lists if possible (32/64)
16.10.15 Fixed: Could not unpack ZIP files created by Copy.com cloud service due to invalid ZIP header (32/64)
16.10.15 Fixed: FTP: If connection is lost when using "keep alive" ('Offline' appears in log), trying to change directory will go to wrong subdirectory (32/64)
16.10.15 Fixed: Search in an archive, feed to listbox, unpack a file from search results to other panel -> search results were lost (32/64)
16.10.15 Fixed: Catch crash when printer=null, reason unknown (32/64)
16.10.15 Fixed: Search function (not maximized): Click on "Drives", move to far left, close, maximize search dialog, click on "Drives" -> Drives dialog was off screen (32/64)
16.10.15 Fixed: TC switched from network drive to c:\ when a USB disk was attached or removed, and the user couldn't access the root of that drive (32/64)
20.09.15 Fixed: Installer: On 64-bit Windows, read/write both 32-bit and 64-bit branch of HKEY_LOCAL_MACHINE from both installers (32/64)
17.09.15 Release Total Commander 8.52a final (branch with just bugfixes) (32/64)
17.09.15 Fixed: Compare by content was hanging on Linux/Wine when file was changed outside of the compare tool (32/64)
16.09.15 Fixed: TC switched from network drive to c:\ when launching, and the user couldn't access the root of that drive (32/64)
15.09.15 Fixed: Handle crash in FindFirstFile function, could lead to hanging directory read function (32/64)
09.09.15 Fixed: "Connecting" dialog not removed when: Testing big RAR (Alt+Shift+F9), Background, switch to currently inaccessible drive (e.g. network), RAR test ends after "Connecting" dialog appears (32/64)
08.09.15 Fixed: Didn't use abs() when calculating timeouts from GetTickCount() in some places, might cause problems after 25 days of uptime (32/64)
07.09.15 Fixed: Installer: Close running Total Commander also when we cannot determine its path (32)
04.09.15 Fixed: Button bar: put parameter %P%N in double quotes not only when the name contains a space, but also for '&' (needed for cmd.exe) (32/64)
04.09.15 Fixed: cm_FocusCmdLine didn't show the command line if it was hidden via settings (64)
04.09.15 Fixed: 32-bit uninstaller was shown as "Remove TC 64-bit" (German only) (32)
04.09.15 Fixed: Handle invalid ZIP files where the attribute flags are set to 255, so all files appear as folders (32/64)
02.09.15 Fixed: Crash unpacking ZIPs packed with LZMA compression (wrong tcmdlzma.dll included) (32)
01.09.15 Fixed: Crash when entering more than ~300 characters in Files - Change attributes - "time" field, may be a possible security hole (32/64)
26.08.15 Release Total Commander 8.52 final (branch with just bugfixes) (32/64)
26.08.15 Fixed: Crash caused by invalid TC start menu item OPENCUSTOMVIEW1 somename (note the '1' at the end) (32)
21.08.15 Fixed: Search function: Searching for UTF-8 byte order mark couldn't be stored in search history when using Cyrillic or other non-Latin locale (32/64)
18.08.15 Fixed: Search function: Searching for UTF-8 byte order mark couldn't be stored in search history (32/64)
18.08.15 Fixed: F5 copy from file system plugin to archive subdirectory packed to root of ZIP (32/64)
18.08.15 Fixed: FTP download from list, http links, target already exists -> TC was hanging when "Rename" was chosen (32/64)
18.08.15 Fixed: Branch view, pack files to plugin with option "Create separate archives" -> no backslash was appended to the path passed to the plugin (32/64)
18.08.15 Fixed: Overwrite dialog: Show target name with correct upper-/lowercase also if it differs from the source name (32/64)
18.08.15 Fixed: Alt+F5 pack: Creation of upper-/lowercase extension wasn't correct. Only use uppercase if all characters of the original name were uppercase and contained at least one character (32/64)
16.08.15 Fixed: Combined 32+64bit installer could not terminate already running 64-bit version of TC (because GetModuleFileNameEx didn't work for 64-bit programs from 32-bit installer) (32/64)
11.08.15 Fixed: Commands - System information didn't show Windows 8.1 and Windows 10 (32/64)
10.08.15 Release Total Commander 8.52 beta 1 with partial fixes backported (branch release) (32/64)
05.07.15 Fixed: Windows 10: Loading drive buttonbar hanging on some devices (e.g. Surface Pro 3) when SD-Card was in internal card reader (problem with floppy disk check function) (32/64)
28.07.15 Fixed: Main icon didn't include 24x24 pixel image, which is the new default size in the Windows 10 task bar (but unfortunately Windows 10 seems to ignore the 24x24 icon for now) (32/64)
26.07.15 Fixed: Pack selected folders to separate archives, do not store base directory name -> skip empty dirs, show warning at end (32/64)
26.07.15 Fixed: Search history: Put saved string in double quotes when saving also when string starts or ends with a TAB (32/64)
21.07.15 Fixed: Search function: Wrong search string passed to "everything" if there was a space before the | character (32/64)
21.07.15 Fixed: Create checksums: When creating checksums for a folder, do not cut the folder name after the first dot in the suggested name (32/64)
21.07.15 Fixed: Position of vertical button bar not updated on Ctrl+Q if there were too few tabs (32/64)
21.07.15 Fixed: Synchronize dirs, upload from local dir to ftp: Could not abort operation if local files were missing (32/64)
21.07.15 Fixed: Drag&Drop: BACKSPACE in target panel during drag now switches to parent in target panel (32/64)
21.07.15 Fixed: Drag&Drop: BACKSPACE in source panel switched dir to parent, broke drag because source dir was changed (32/64)
21.07.15 Fixed: Drag&Drop: ENTER on subdir in target panel during drag switched to subdir, but drag cursor was lost (64)
21.07.15 Added: Increased maximum number of internal commands from 2000 to 4000, but there is still a 64k ini file section limit (32/64)
21.07.15 Fixed: Long names from TAR not handled if additional 'x' header was between the name ('L' header) and the actual file (32/64)
20.07.15 Fixed: Noclose.exe: Put entire parameter to cmd /K in double quotes (32/64)
17.07.15 Fixed: ZIP packer: Add zip64 central directory record if number of files >= 2^16 (65536), otherwise Explorer wouldn't show all the files (32/64)
15.07.15 Added: UnRAR: Support unpacking of individual deduplicated files (stored with option -oi:size) (32/64)
10.07.15 Added: Finished adding View mode support (Configuration - Options - View modes) (32/64)
23.06.15 Added: Make main settings dialog slighly larger when there is enough screen space, so it looks less cramped (32/64)
23.06.15 Added: Show different file list background colors per tab, via view modes (32/64)
19.06.15 Added: Background transfer manager (F5-F2): Show second progress bar with overall progress if available. Not working when downloading subdirs from ftp (32/64)
12.06.15 Added: FTP over SSL, remote copy with Shift+F5: Use PROT C if SSCN command isn't supported and reported in FEAT (32/64)
12.06.15 Fixed: FTP over SSL, remote copy with Shift+F5: Make sure we login securely also to the second connection (32/64)
12.06.15 Fixed: Allow to save custom font and icon size when wincmd.ini is write protected, but AlternateUserIni allows to write to a different ini file (32/64)
12.06.15 Added: Button bar, tooltip: Add vertical line | as line break. Use two || to insert one vertical line (32/64)
12.06.15 Added: 6 new commands to save tabs to a specified file: SAVETABS, SAVETABSL, SAVETABSR, SAVETABS2, SAVETABS2L, SAVETABS2R. The first 3 save just one side (active, left, right), the second 3 save both sides (active first, left first, right first) (32/64)
09.06.15 Added: Always read virtual folders in background, show abort dialog after 5 seconds (32/64)
09.06.15 Added: Configuration - Option - Misc: Show delete button instead of confirmation button when choosing a hotkey from the list (32/64)
05.06.15 Added: FTP client: check alternate names in certificate extensions, e.g. domain.com and www.domain.com (32/64)
03.06.15 Added: Folder tabs: Configure via menu Configuration - Options - Folder tabs which icons should be shown on the tabs, e.g. drives, ftp, plugins (32/64)
02.06.15 Added: Folder tabs: Show FTP and plugin icons on tabs (32/64)
02.06.15 Added: Menu items and main configuration option for vertical button bar (32/64)
26.05.15 Added: Vertical buttonbar between the two panels (32/64)
24.05.15 Added: Directory history: Remember name under cursor and position in list when entering a subdir via double click/Enter (32/64)
22.05.15 Added: work on better look: finer horizontal separating lines, flat path headers when in tabs, path panel height a little less when touch screen present (32/64)
19.05.15 Fixed: Lister plugins: WM_MEASUREITEM message wasn't passed to Lister by the library, so Lister couldn't pass it to the plugin (64)
19.05.15 Added: Show different colors in folder tab headers (32/64)
15.05.15 Added: Show icons on tabs, for drives, virtual folders, and from desktop.ini (32/64)
15.05.15 Added: Themed text cursor can now be enabled/disabled in Configuration - Options - Colors (32/64)
08.05.15 Fixed: The following command from cmd.exe would cause TC to hang: TCFS2 /ef "tcd(`|*`)" (32/64)
08.05.15 Fixed: Change attributes: Could not change timestamp of symbolic links/reparse points (directly or via 'tc' plugin). Instead, the link target timestamp was changed (32/64)
08.05.15 Added: Synchronize dirs, speed up unpacking from solid 7zip archives - it was very slow because each file was unpacked separately (32/64)
05.05.15 Fixed: Compare by content, 2 ANSI files: Upper- and lowercase accented character displayed as different even when using "ignore case", but only when there are other differences on the same line (32/64)
05.05.15 Added: Refuse to open files from file list, button bar, start menu, context menu when the name contains right to left mark (32/64)
05.05.15 Fixed: Remove right to left marks from file names (used almost exclusively by viruses/worms) before displaying them in file lists (32/64)
01.05.15 Added: Use system folder icons also in breadcrumb bar dropdown list (32/64)
01.05.15 Added: Use LoadIconWithScaleDown on Windows Vista or newer for large icons (32/64)
30.04.15 Added: Disable viewing of readme files in archives with Ctrl+Q: wincmd.ini [Configuration] QuickViewUnzipReadMe=0 (32/64)
28.04.15 Added: Set drive bar icon size to the scaled size of the small icon, e.g. 24x24 if dpi=150 (32/64)
28.04.15 Added: Set icon size in thumbs mode manually via wincmd.ini [Configuration] ThumbIconSize, will be reduced to thumb size if larger (32/64)
28.04.15 Added: Use 48x48 icons by default in thumbs mode on Vista or newer (32/64)
26.04.15 Added: Use large 48x48 and very large 256x256 icons from system image lists on Vista or newer (32/64)
22.04.15 Added: Use system folder icons also in Ctrl+F FTP connection list (32/64)
22.04.15 Added: Draw dimmed icon for hidden files and folders (32/64)
22.04.15 Added: Show small green arrow as overlay icon when a folder is open, e.g. in tree or when opening very large folder (32/64)
21.04.15 Added: Use default Windows icon for folders (loaded via SHGetFileInfo), except when using external icon dll (32/64)
21.04.15 Added: Use current Windows theme to draw caret (text cursor) in main file lists and trees (32/64)
19.04.15 Added: Scale icons with own code if icon size is different from user-defined size (e.g. 24x24) (32/64)
10.04.15 Added: When using new Vista (or newer) delete method, show in delete confirmation dialog when deleting to recycle bin (32/64)
10.04.15 Fixed: File system plugins: Warn before deleting non-empty subdirectories (if the warning is enabled in the configuration) (32/64)
10.04.15 Fixed: FTP, upload: Treat code 4xx as an error, e.g. 452 Requested action not taken. Insufficient storage space in system. (32/64)
10.04.15 Fixed: Could not load selection from clipboard or file when the name started with Chinese character "one" (horizontal line) because the first byte is a 0 (32/64)
08.04.15 Added: Shift+F6 inplace rename: Press up or down arrow to rename and switch to previous/next file (32/64)
08.04.15 Fixed: Lister: Prevent crash when Windows reports 0 for average character width (32/64)
08.04.15 Fixed: Show error message if QueryContextMenu causes access violation (32/64)
08.04.15 Fixed: Crash opening recycle bin virtual folder, GetDisplayNameOf can sometimes return null pointer (32/64)
08.04.15 Added: F5 copy: Skip empty dirs by appending |**\ to line "only files of this type", can be combined with other include/exclude filters (32/64)
07.04.15 Added: Content field chooser dialog: Show field preview for file/dir under cursor (32/64)
01.04.15 Added: New dialog to choose content plugin fields (32/64)
31.03.15 Added: System drive icons also added to 64-bit version (64)
27.03.15 Added: Search text by plugins: Warn user when he chooses more than one text plugin field, or a text+non-text field (32/64)
27.03.15 Added: Verify entered regular expressions in various dialogs: Colors, hints, thumbnail custom colums by file type etc. (32/64)
27.03.15 Added: Search function: Text search with plugins now supports regular expressions in the filters (to determine which plugin should be used) (32/64)
25.03.15 Fixed: Search function: Alignment of controls when using right to left text (32/64)
25.03.15 Added: Load/Save search with custom text plugins (32/64)
24.03.15 Added: Search function: Internal 7zip and packer plugins + search with content plugins for text (32/64)
22.03.15 Added: Speedup of regular expression search, especially in 64-bit version (problem with upper/lowercase function) (32/64)
22.03.15 Added: Search function: Regular expressions+Office XML (using UTF-8) (32/64)
22.03.15 Added: Search function: Regular expressions+Unicode UTF-8 (32/64)
20.03.15 Added: Lister: Search by regular expression also in Unicode UTF-8 (32/64)
20.03.15 Added: Lister: Search by regular expression also in Unicode UTF-16 (32/64)
17.03.15 Added: Search function: Regular expressions+Unicode UTF-16 (32/64)
13.03.15 Fixed: Folder tabs, showing drive letter in tab: Wrong letter shown when tab locked with dir changes allowed, change to different tab, then change dir so tabs get more lines (32/64)
13.03.15 Added: Search function: Select plugins to be used in main search page text search (32/64)
13.03.15 Added: Search function: New option "Older than" working just like "Not older than". Note: for units >=Days, the separating time is always midnight (32/64)
13.03.15 Fixed: Regex search with 'Everything': Modifiers like (?-i) (=respect case) not working -> remove, match later in TC internally (32/64)
03.03.15 Added: Show system drive icons in drive dropdown list, update when medium removed (Windows 7 or newer) (32/64)
03.03.15 Added: Show system drive icons in drive buttonbar (Windows 7 or newer) (32/64)
01.03.15 Added: Started work on main program look (32/64)
27.02.15 Fixed: Ctrl+F - Edit connection, second tab: Encoding wasn't displayed when using language other than English and encoding 1250 or below in the list (32/64)
27.02.15 Added: Show currently unpacked volume when unpacking multi-volume RAR archive, not just the first volume (32/64)
27.02.15 Fixed: Button bar containing button which opens the _same_ bar as a menu -> icons were displaced by 1 because the link to itself was removed (32/64)
24.02.15 Fixed: Run tcmadmin.exe with current directory set to TC program dir, not the current panel directory (XP) or drive c (after XP) (32/64)
24.02.15 Fixed: Linux: GetCurrentDirectory returns UNC/server/share instead of //server/share for UNC paths linked under ~/.wine/dosdevices/unc (32/64)
22.02.15 Added: Standalone search: Allow to search in search results (after feed to listbox) and selected files. Option is disabled when user changes focus away from search (32/64)
22.02.15 Added: Disable rubberband selection mode via Configuration-Options-Operation, or wincmd.ini [Configuration] UseRubberBandSelection=0 (32/64)
22.02.15 Added: Use different type of rubberband selection in thumbs view: Just select from first clicked image to the one the cursor is on (32/64)
20.02.15 Added: Change attributes: Show error message if setting attributes or timestamp failed (plugins were already handled separately) (32/64)
20.02.15 Added: New internal command cm_wait, accepting wait time in milliseconds, e.g. cm_wait 1000. Can be combined, e.g. em_cmd1,cm_wait 1000,em_cmd2 (32/64)
20.02.15 Fixed: Command line parameter FTPOPEN:Connection_name only worked for left panel, not for right panel (e.g. via /R=) (32/64)
20.02.15 Fixed: Icons with invalid file association (e.g. 32-bit only icon handler in 64-bit TC) didn't show any overlay icons either (32/64)
13.02.15 Fixed: Multi-rename tool: Replace characters (received from plugins) with code <32 (e.g. tab, line break) by spaces (32/64)
13.02.15 Fixed: Content plugin field "boolean", x64 only: Sort order reversed if the plugin returned boolean(-1) instead of boolean(1) (64)
13.02.15 Added: Show command hotkeys in the right click context menu for Lister, Pack, Copy, Cut, Paste, Rename, Delete, and Properties (removed on 9.8.2016) (32/64)
06.02.15 Fixed: Multi-rename tool: When opened via mouse, clicking on one of the buttons like [YMD] added the placeholder instead of replacing the selection (64)
06.02.15 Added: Checkbox to enable/disable "Everything" in search, offer to download if not installed (32/64)
06.02.15 Added: Use "Everything" also on indexed network shares, auto-detect which drives/shares are indexed (32/64)
04.02.15 Added: Use "Everything" search functions (if installed) to make search on NTFS drives faster (32/64)
03.02.15 Added: Support URLs in current path inplace rename and "cd" command: file:///c|/Windows , file:///c:/Windows , file://localhost/c|/Windows , file://localhost/c:/Windows, file://server/share/dir, file://c:/Program%20Files (32/64)
30.01.15 Fixed: Search function: Show error when user tries to use content plugin search on FTP, file system plugin, or inside an archive (32/64)
28.01.15 Added: Show rubberband selection window when selecting with left mouse button, brief+thumbs view need more work (32/64)
28.01.15 Added: Click on tab header with "locked but directory changed allowed" returns to base directory of that tab (32/64)
28.01.15 Added: More checks that the data stored in window data belongs to TC itself, to reduce crashes (64)
27.01.15 Added: Background transfer manager: Set thread priority to highest until the window has been created (may help avoid error message "fatal error: background window not found") (32/64)
27.01.15 Fixed: Multi-rename tool: Files were moved to the base directory when renaming after search - feed to listbox on ftp server (32/64)
27.01.15 Fixed: Ctrl+Up or Ctrl+Shift+Up in search result -> restore previous view mode for new tab (e.g. brief view) (32/64)
27.01.15 Fixed: Date/Time picker in "Change attributes": Time wrong by 1 hour if the date to be set is in daylight saving time and the current date isn't, or vice versa (32/64)
20.01.15 Added: Lister: View files of type RTF, BMP, JPG, PNG, GIF, ICO, HTML with internal viewers also in read-protected folders (32/64)
19.01.15 Added: tcmadmin.exe: Open file in protected directory and pass handle to TC to allow direct access, using DuplicateHandle, thanks to forum user MarcinW for the hint! (32/64)
09.01.15 Added: Left mouse button selection mode: Select files by click+drag BEHIND file name. For Drag&Drop, click+drag file name or already selected line, like in Explorer (32/64)
07.01.15 Fixed: FTP: Remove timeout for FxP (server to server) data transfers, so large files can be sent too (32/64)
07.01.15 Added: Delete button in button bar via right click: Show "Delete: Command: name" to make it clear that only the button gets deleted, not the file to which it points (32/64)
07.01.15 Added: Lister: Increased buffer size to 192k to better handle longer 64k search back for line breaks (32/64)
07.01.15 Fixed: Crash/hang when showing tooltip window with very long lines (problem with automatic line breaking code) (32/64)
21.11.14 Fixed: Main menu texts not visible to screen reader in 64-bit version only (64)
21.11.14 Fixed: Pack dialog (Alt+F5): Packer prefix lost when packing to same dir and clicking on "Create separate archives" for packer with 5 or more characters (e.g. bzip2) (32/64)
18.11.14 Fixed: Custom columns lost after: Sort by custom columns, set Tab to locked with dir changes allowed, go to plugin with its own custom colums, switch to other tab and back -> full view instead of custom columns shown (32/64)
18.11.14 Added: Lister: Increased maximum block size when searching for previous line break to 64k (16k when scrolling up) (32/64)
18.11.14 Fixed: 64-bit self-extracting module for 64-bit only installer not working with large 64-bit handles (AllocationPreference=0x100000) (64)
16.11.14 Fixed: Compatibility flags for Windows Vista, 7, 8, 8.1 and 10 in manifest (32/64)
16.11.14 Added: ZIP unpacker: Support new compression method XZ (method 95) with updated tcmdlzma.dll and tclzma64.dll (32/64)
14.11.14 Fixed: Delete function: Do not count files in file system links (reparse points, hard links, soft links) within the selected subdirs (32/64)
14.11.14 Fixed: Newest unrar.dll not running on Windows 2000 -> use unrar9x.dll on Windows 9x/ME/NT/2000 (32)
14.11.14 Fixed: Overwrite dialog: timestamp was shown as year 1601 if time not available (32/64)
12.11.14 Added: Content plugins: New type ft_fulltextw, supported in plugin interface version (2,11) - untested! (32/64)
12.11.14 Fixed: Rename multiple files on FTP server with Shift+F6 -> no progress was shown, couldn't be aborted (32/64)
12.11.14 Added: Support invalid ZIP archives with no CRC in the local header and behind the zip file, e.g. created by owncloud (32/64)
11.11.14 Added: Support invalid ZIP archives with UTF-8-encoded names but missing UTF-8 flag (created by Dropbox) (32/64)
11.11.14 Added: Delete directly (not to recycle bin): Also ask about files which cannot be deleted at the end of the operation (32/64)
11.11.14 Fixed: Progress dialog operation not correct while verifying (needs to be Copy or Move without speed) (32/64)
11.11.14 Fixed: Alt+F7 search on FTP server, change search start path manually -> current dir was there after closing search dialog (32/64)
09.11.14 Fixed: Reduce stack usage of global exception handler (but doesn't seem to help to catch stack overflow errors) (32/64)
09.11.14 Added: File operations: Show target file name in case of a "disk full" error (32/64)
09.11.14 Fixed: F1 in separate search dialog would always open the default help file TOTALCMD.CHM (32/64)
09.11.14 Fixed: Find files: Clear result list when user aborts search for duplicate files (otherwise non-dupes may be in the list) (32/64)
09.11.14 Added: Double click on file with extension .sha1 will now also open the CRC check function if there is no other association (32/64)
09.11.14 Added: Ctrl+D menu: "Add current directory" will now add paths from stored ftp connections in the form: FTPOPEN connectionname|*/subdir/on/server (32/64)
09.11.14 Added: Ctrl+D menu: Support different path in FTPOPEN, in the form: FTPOPEN connectionname|/subdir/on/server (32/64)
09.11.14 Added: Delete files directly: Also offer "Skip all" when a file is missing (32/64)
29.10.14 Fixed: Compare by content, compare files from two archives with different passwords -> the second file wasn't extracted (32/64)
29.10.14 Fixed: Alt+F8, go to old command line, press right arrow -> command line was selected by mistake only while in brief view (64)
29.10.14 Fixed: Lister: Recognize html tags <br/>, <p/> and <hr/> without a space before the slash (32/64)
29.10.14 Fixed: FTP: Edit 2 remote files with F4, close the first, change+save the second -> file was not re-uploaded (32/64)
29.10.14 Fixed: Configure viewers by extension for Alt+F3: Allow to store %1 or "%1", e.g. because PhotoViewer.dll requires path without double quotes (32/64)
29.10.14 Fixed: Use ShellExecuteEx instead of WinExec to launch EXE files from Alt+F3 (32/64)
29.10.14 Fixed: cd c:\path\file.docx opened the office XML file as an archive. Same when entering path in "current directory" field. Note: NOT changed: paths received via command line parameters (32/64)
29.10.14 Fixed: Ctrl+Arrow on LNK pointing to office XML (e.g. DOCX) opened the office file as an archive (32/64)
28.09.14 Fixed: F3 or Ctrl+Q on directory when default lister font set to ASCII -> Unicode names not shown correctly -> switch to ANSI (32/64)
28.09.14 Fixed: TC 32-bit was preventing screen saver from starting (32)
28.09.14 Fixed: Synchronize dirs: Open external compare tool, close it within 2 seconds -> waiting dialog was shown by mistake (32/64)
26.09.14 Fixed: When unpacking archives with Alt+F9 and no target path is given, unpack to the directory of the archive also in branch view and search - feed to listbox (32/64)
26.09.14 Fixed: No icon shown in the following case: Two extensions (e.g. htm and html) associated to same, non-existing exe file (32/64)
26.09.14 Fixed: Drag&Drop from virtual folders like the desktop to external programs not working any more (32/64)
26.09.14 Added: Multi-rename tool: Load list of many files faster by turning redraw off while loading (32/64)
26.09.14 Fixed: Multi-rename tool: Load names in external editor would sometimes not pass all names to the editor with many files and characters from different codepage in one of them (32/64)
25.09.14 Fixed: Path above file list: Subdirs consisting of right to left text shown in wrong order in 64-bit, or when not using breadcrumb bar (64)
25.09.14 Fixed: Alt+F3 external viewer couldn't be a LNK file, only EXE allowed (32/64)
25.09.14 Added: Plugin detect string now supports wildcards ? (one char) and * (any number), e.g. ext="JP?" -> JPG, JPE, "JP*" -> also JPEG (32/64)
25.09.14 Fixed: F5 copy: CopyAllTimes=1 not working with names longer than 259 characters when using default copy method (32/64)
25.09.14 Fixed: Multi-rename tool: Result list not updated when: Typing first letters of saved rename string, pressing Alt+Down, Enter (reason: changed event not sent by Windows) (32/64)
24.09.14 Added: Synchronize dirs: Compare with multi-part ZIP, support compare by content and view (32/64)
24.09.14 Fixed: Internal associations: Parameter "%2" not handled correctly (initial " not cut) (64)
24.09.14 Fixed: Memory leak in Uniscribe number draw function (32/64)
23.09.14 Fixed: Re-pack any archive to 7zip -> temporary subfolder _tc0, _tc1 etc. wasn't deleted (problem with pack in background thread) (32/64)
16.09.14 Fixed: RDP drive (tsclient) was not selected in combobox when changing it via drive buttonbar (upper/lowercase problem) (32/64)
16.09.14 Fixed: Files - Change attributes: "Load from file under cursor" didn't support alternate Unicode text in field of type "floating", e.g. in field [jpg-comment.GPSLatitude]
16.09.14 Fixed: Secondary sort orders (e.g. by date, then by name) didn't work for directories (32/64)
16.09.14 Fixed: F3 on JPG/PNG/GIF with name longer than 259 characters not working (32)
12.05.14 Fixed: FTP: MDTM YYYYMMDDHHMMSS was no longer detected, so the option to upload file timestamp was no longer shown (32/64)

30.04.14 Release Total Commander 8.51a final (32/64)
29.04.14 Fixed: Left panel switched to c:\ when inserting/removing USB stick while "Drive not found" error was shown (32)
29.04.14 Fixed: Right click context menu: Still crashes caused by PowerArchiver shell extension - fixed by initializing command string to 0 (32/64)

27.04.14 Release Total Commander 8.51a pre 1 (32/64)
27.04.14 Fixed: cm_SaveSelectionToFile/cm_LoadSelectionFromFile not working in archives when using branch view (Ctrl+B) (32/64)
27.04.14 Fixed: Upload to FTP server failed when using MODE Z compression (on most servers, it still completed with APPE) (32/64)
25.04.14 Fixed: 64-bit uninstaller of combined 32+64-bit version didn't remove links to 32-bit EXEs (32/64)
25.04.14 Fixed: Set default of AlignNumberFix value to 0 on Linux (it crashes with some versions of Wine) (32/64)
25.04.14 Fixed: Right click context menu: PowerArchiver shell extension caused crash because it created menu items outside of the requested range (32/64)

23.04.14 Release Total Commander 8.51 final (32/64)
22.04.14 Fixed: No progress bar in system tray icon when using external icon library (via iconlib=) on high DPI device (32/64)
18.04.14 Fixed: FTP: Increased maximum allowed value of DataConnectTimeout (wcx_ftp.ini) from 60 to 300 seconds (default is 10 seconds) (32/64)
18.04.14 Fixed: Crash when aborting delete from FS plugin during the counting phase (checking how many files are in selected subfolders) (32/64)

16.04.14 Release Total Commander 8.51 release candidate 3 (RC3) (32/64)
16.04.14 Fixed: Button bar: Deleting a button via right click (moving the rest to the left) didn't support long parameters >259 characters (64)
16.04.14 Fixed: Compare, re-sync from here: Keep track separately whether the file was changed since the last save, and whether it was changed since it was opened, to avoid unnecessary "The file was changed" dialogs (32/64) 
15.04.14 Fixed: FTP upload: When using dynamic upload block size, start with a size of 2048 bytes (instead of 512) to get faster more quickly (32/64)
13.04.14 Fixed: Compare by content: Text refresh was disabled when pasting a line to an UTF-8 file where the UTF-16 length was shorter than 1024 characters, but the UTF-8 length (in bytes) was longer (32/64)
13.04.14 Fixed: Open archive in already running instance (via /O switch) only placed cursor on archive, even without /A switch (previous fix was only applied to 32-bit) (64)
13.04.14 Fixed: Lister's menu was missing hotkeys 1,2,3,4 etc. when opening menu with mouse (since TC 8.0!) (64)
13.04.14 Fixed: Caret rectangle could be lost over the icon when it is loaded from the background thread (except when using inverted cursor) (32)

09.04.14 Release Total Commander 8.51 release candidate 2 (RC2) (32/64)
09.04.14 Fixed: Very slow extraction of icons or overlay icons could hang opening of Lister (F3) -> use different critical section when loading plugins (32/64)
09.04.14 Fixed: Unpack password-protected RAR with Alt+F9 -> parent of password dialog wasn't set to the progress dialog (32/64)
08.04.14 Fixed: Memory leak in Compare by content - Recompare from here (only if a file was changed) (32/64)
08.04.14 Fixed: Compare by content - "Resync comparison from here" not working correctly if one of the files (or both) was saved just before using the function (32/64)
